commit 7951ed5d56d6ccc71f3a0f7073f43456a5c31dde
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri Feb 23 11:31:06 2024 +0100

    version-0.6.74
    
    - team: add new options like link_watch_policy (jsc#PED-7183)
    - Fix memory leaks in dbus variant destroy and fsm free
    - xpath: allow underscore in node identifier
    - vxlan: don't format unknown rtnl attrs (bsc#1219751)
    - ifreload: VLAN changes require device deletion (bsc#1218927)
    - ifcheck: fix config changed check (bsc#1218926)
    - client: fix exit code for no-carrier status (bsc#1219265)
    - dhcp6: omit the SO_REUSEPORT option (bsc#1215692)
    - rtnl: parse peer address on non-ptp interfaces
    - system-updater: Parse updater format from XML configuration
      to ensure install calls can run.
    - ifconfig: fix arp notify loop (boo#1212806) and burst sending

commit d324d32a28dff24cadc80980a177753313de3c2e
Merge: 30317fb3 ef79d6d5
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Feb 23 12:08:06 2024 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/1000
    
    team: add new options like link_watch_policy (jsc#PED-7183)

commit ef79d6d5c598f76e5818ee0a9a38e475919206c5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:31:42 2024 +0100

    man: ifcfg-team add TEAM_DEBUG_LEVEL

commit c445149c3fd11e8488a8536a1bc8f17b7e9b7dfb
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:31:42 2024 +0100

    team: add debug_level

commit e4b5ac87cfac5d4d7a8109ba6fe846332191a318
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:31:42 2024 +0100

    man: ifcfg-team add TEAM_NOTIFY_PEERS, TEAM_MCAST_REJOIN burst cfg

commit 9dc71e4ecc5742aa2e700ff29b9b638d16a2f827
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:39 2024 +0100

    team: add notify_peers and mcast_rejoin burst config

commit 4223f7b5fcfb16b15ab2e21c6b9e2cb38b2e0c29
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:39 2024 +0100

    man: ifcfg-team add TEAM_LW_ARP_PING_VLANID

commit 6716273aa19c5173e43631a57c026d12c0db3ba5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:39 2024 +0100

    team: add link_watch.vlanid property

commit dd0fbcd78249d85c6355ad83b278c76735d443c9
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:39 2024 +0100

    man: ifcfg-team -- add TEAM_LINK_WATCH_POLICY

commit 8e85dbe6f702b8d8c88e796fa287558934b06a44
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:39 2024 +0100

    man: ifcfg-team convert to Markdown
    
    use the following command to generate the manpage
    ```
    pandoc man/src/ifcfg-team.5.md -s -t man > man/ifcfg-team.5.in
    ```

commit 24582fae86fe0734327a33302e4f350d0218d587
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:38 2024 +0100

    man: ifcfg-team cleanup

commit 5c71ebaf97e41e37e7bfdb90a84f1b30ca4e9290
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 22 21:30:38 2024 +0100

    team: add link_watch_policy

commit 30317fb34904c1d5d7847d9f193fa05b5c77d1b8
Merge: 771166a0 70f54a3e
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Feb 22 09:54:19 2024 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/1001
    
    Fix memory leaks dbus variant destroy and fsm free

commit 771166a0916dbf5700a5f7d72f8fb4f6450603b2
Merge: 8c02dc66 efd5215a
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Feb 22 09:51:22 2024 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/999
    
    xpath: allow underscore in node identifier

commit efd5215a427db349f48aa55d4369414be4d7a75d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Feb 20 11:49:19 2024 +0100

    xpath: allow underscore in node identifier
    
    We use underscores in our own XML schema. So lets allow
    using such names in `wicked xpath --reference XXX`.

commit 8c02dc66f432abfd6cb3e1660fa70edeac38cac9
Merge: e381bf6c b68b99e4
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Feb 21 18:45:48 2024 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/997
    
    fsm: whitespace formatting

commit 70f54a3e24d8b706865e0484e9fd27c0356ad1a3
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Feb 21 11:29:37 2024 +0100

    fix: free struct variant in ni_dbus_variant_destroy()

commit 0a91e01391b4741eeb20e9de4f1efc66d1321213
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Feb 21 11:27:41 2024 +0100

    fsm: reset workers on ni_fsm_free()

commit ef616b9ed8e4147dec846ebaab0b3c7a6fdc15ec
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 20 13:25:53 2024 +0100

    schema: pass complete vxlan config to changeDevice
    
    Caused "ignoring unknown dict element" warnings.

commit bf56bbab7a5576e6e2ea748fb828cacbd8de99b1
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Feb 19 16:15:28 2024 +0100

    vxlan: don't format unknown rtnl attrs (bsc#1219751)

commit b68b99e410f556ad0567374d7787394cbfda15bd
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 15 11:16:46 2024 +0100

    fsm: whitespace formatting

commit 820f2376554eb8a9207f765a12c83d64528f02c0
Merge: f47c511c fea2c7b1
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 31 15:26:20 2024 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/996
    
    ifreload: VLAN changes require device deletion (bsc#1218927)

commit f47c511c6d34086d2949fc190fdcf3dc7a87a8d3
Merge: 5560a952 96c62c75
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 31 15:25:16 2024 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/995
    
    ifcheck: fix config changed check (bsc#1218926)

commit fea2c7b13f4d102608fe214a3d53b083d6eecf98
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jan 30 18:27:15 2024 +0100

    ifreload: VLAN changes require device deletion (bsc#1218927)

commit 96c62c7585b9bfae034b5b58d31824e66b0eaec1
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jan 30 15:07:39 2024 +0100

    ifcheck: fix config changed check (bsc#1218926)

commit cdbb4c573e41c5c9c4bf119bfe08776522d99e97
Author: liss <coder.liss@gmail.com>
Date:   Thu Jan 25 11:52:54 2024 +0800

    Fix ifstatus exit code for NI_WICKED_ST_NO_CARRIER status
    
    The 'no-carrier' status was separated from the 'setup-in-progress'
    status. Even though the interface appears active during this status, the
    setup process is not complete and the NIC is not ready. Therefore, the
    `ifstatus <nic>` command should not return 0 for this status.

commit e10b705bffb510c4dad5c946ffe24180fe75d05c
Merge: f1340c47 995c21c2
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Mon Nov 27 14:09:06 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/993
    
    dhcp6: omit the SO_REUSEPORT option (bsc#1215692)

commit 995c21c29dbe33995aacb5f37463016047015bfc
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Nov 2 17:06:01 2023 +0100

    dhcp6: omit the SO_REUSEPORT option (bsc#1215692)
    
    Setting the SO_REUSEPORT socket option causes that replies are
    delivered to the first process/socket bound to an [ip%dev]:port
    with the effect that `wicked test dhcp6 ...` does not receive
    it's replies, but the wickedd-dhcp6 (service) active on the
    same interface (bsc#1215692).

commit ab82f5e54367815545dcab26b419acd9e0b9d431
Author: Mike Lamb <mrl@bytesbymike.com>
Date:   Wed Nov 1 14:31:25 2023 -0400

    duid: fix comment for v6time
    
    v6time is seconds since midnight (UTC), January 1, 2000, modulo 2^32. The value is generated correctly but the comment refers to 2001 instead of 2000.

commit f9b3b0db8d61958a30da6e651b13cbc4b9e847b2
Merge: c2cb4d68 d3fa3575
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Wed Oct 18 11:58:36 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/988
    
    rtnl: parse peer address on non-ptp interfaces

commit d3fa3575fe00c901ff85aa56f03237859f2c0061
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Oct 16 16:01:53 2023 +0200

    rtnl: parse peer address on non-ptp interfaces

commit 8836bc49c657f122267b8f0135d8733225ca8c78
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Oct 16 16:01:45 2023 +0200

    rtnl: pass ifname in newaddr parsing and logging

commit c2cb4d686466a38de67b0c6c7fdc6c5da6c7f368
Merge: 286008be ebb3e0d3
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Oct 9 15:01:08 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/985
    
    system-updater: Parse updater format from XML configuration to ensure install calls can run.

commit ebb3e0d38a501d15956c1b9fa270df1dbc03b8e4
Author: Stephan Brunner <s.brunner@stephan-brunner.net>
Date:   Mon Oct 9 10:55:33 2023 +0200

    system-updater: Parse updater format from XML configuration to ensure install calls can run.
    
    In ni_system_updaters_init(), the updater's format is set by using ni_updater_format_type(ex->format).
    This in turn is used by ni_system_updater_generic_leaseinfo_create(), which is called by ni_system_updater_generic_install_call().
    As ex->format is never actually set, ni_system_updater_generic_leaseinfo_create will always fail with an unknown format error and the install call is never executed.

commit 59801779bee24eb9af4a6c31aaa58344459e1b04
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 3 10:24:52 2023 +0200

    ifconfig: set max addr changes to 128

commit 9b94b6010cdf5788ac083b21e72952470463afe1
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 3 10:24:52 2023 +0200

    appconfig: do not allow arp.count == 0

commit b0d883f17d1d37d0fd4bb141002cc85446a0cbf8
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 3 10:24:52 2023 +0200

    arp: do not wait after last arp-notify send

commit 3c01cb81cd6681035f78a970dd12d265c4329fcd
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 3 10:24:51 2023 +0200

    arp: fix burst sending of arp-probes

commit ac5985e564e791b02be81dfb03ac20ce23737956
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 3 10:24:51 2023 +0200

    ifconfig: fix arp notify for peer-to-peer addresses (boo#1212806)

commit b90abe647fc300cda51c30031416dd2c4b69d0f1
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 3 10:24:51 2023 +0200

    arp: fix start time setting

commit 4749fefe62f9e2f9379df9382c9714d8e560230a
Merge: 6a679287 28a98bcd
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jun 15 17:31:03 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/981
    
    version 0.6.73

commit 28a98bcd24762644a657912d8484aa1077c849ac
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 15:35:01 2023 +0200

    version 0.6.73
    
    * spec: cleanup artefacts and fix some rpmlint warnings
    * arp: allow verify/notify counter and interval configuration
    * arp: handle ENOBUFS sending errors (bsc#1203300)
    * nbft: execute nvmf-connect-nbft.service as post-up (bsc#1211647)
    * extensions: improve environment variable handling
    * firmware: refactor firmware extension definition
    * firmware: enable, disable and revert cli commands
    * code cleanup: fix memory leaks, add array/list utils
    * wireless: Ignore WIRELESS_EAP_AUTH within TLS (bsc#1211026)
    * cleanup /var/run leftovers in extension scripts (bsc#1194557)
    * json: output formatting improvements and Unicode support
    * bond: workaround 6.1 enslave regression (boo#1206674)

commit 6a67928779d0dd4ef83ee201a42abc6f67407abf
Merge: aa4a8ffe 544d48da
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Thu Jun 15 15:33:51 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/980
    
    spec: cleanup artefacts and fix some rpmlint warnings

commit 544d48da2c7c9d8659f1fd2b36370397f00e10b1
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jun 15 11:53:06 2023 +0200

    spec: mark COPYING file as license and not doc

commit 245362aceeb0369bd93a0fe099a5e208045a766a
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jun 15 11:36:32 2023 +0200

    spec: change rcwicked* to relative service links

commit a1facd8d233a8776df5ff28ad169824c07dcbede
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jun 15 11:33:36 2023 +0200

    spec: escape an unescaped macro in comment

commit 7068edc838633d1d79975d8cc0127154f5c3891c
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jun 15 10:47:45 2023 +0200

    spec: drop systemv/systemd build conditionals

commit 317d1e13972fd178ad3219b7be8d0bc474bf92d2
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jun 15 10:39:26 2023 +0200

    client: use interval argument range in `wicked arp`
    
    Parse `--interval <msec[..msec]>` option argument
    as randomization range in `wicked arp` actions.

commit 9cd42dc0339fff1cbaa02da75762ddcdcd74d716
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    client/arputil: fix log message of missing from_ip

commit 33ef487881a831ecffa1f75a6908bc08a9badd66
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    client/arputil: retry sending on ENOBUFS error

commit 1411daa47026a29e73f41fe765311dd9cbad2f02
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    doc: add ARP Configuration to wicked-config manpage

commit 0e82ff4954768ab8b6b8c95af9a40f5d427138e0
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    dhcp4: use arp_send_verify from arp.c and appconfig

commit a829c875877655fef25fb05273adec149c3615dd
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    autoip4: use arp_send_verify from arp.c and appconfig

commit 718382b2b58620d486985411511d78285f3cfbd3
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    arp: add function ni_arp_verify_add_in_addr()

commit c237006840cb2f1d72a8e316741cd5a439d235c2
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    arp: unify error and counting of send verify/notify
    
    This commit unify the counting end error handling mechanism
    of verify and notify.

commit e56b6cf1937c1eff1c5fd31a5b4cc1bf050087a8
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    addrconf: use ni_timeout_t for timeout values

commit fd3c1391a533b58887a20893d7711c2b342d8049
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    arp: change ni_arp_(notify|verify)_send() to use ni_timeout_t

commit cfa2237ac20b100ee96cc89db993c38198756a02
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    arp: fix missing set verify starttime

commit b1db5390b7fc730fc7ee8937ee9c10c669ed1254
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    arp: use appconfig for verify/notify

commit 424a5b489d071f1e96c0a663fa674bf16dcd08f4
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    timer: add ni_timeout_random() function

commit 4f405a33cc3e140b2680178ce9ba6c5613f35a5d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 15 10:39:26 2023 +0200

    appconfig: add arp notify/verify configuration
    
    ```
    <arp>
      <verify>
        <count></count>
        <interval>
         <min></min>
         <max></max>
        </interval>
        <retries></retries>
      </verify>
      <notify>
        <count></count>
        <interval></interval>
        <retries></retries>
      </notify>
    </arp>
    ```
    
    This can be set in `config/addrconf`, `config/addrconf/dhcp4`
    and `config/addrconf/auto4`.

commit a1e5c438802d3a74547792026ba552f4780f40a3
Merge: fdc597d4 1b16aa3d
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Wed Jun 14 21:48:26 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/977
    
    testing: run nbft-test.sh only if jq is available

commit 2f86b73693c9e665c9e705c9bf6719b29cc2d4c0
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jun 14 18:26:36 2023 +0200

    array: declare static realloc in wireless and route

commit 03e97e49679e48a5dac1c3c422d6f9f64b4dda98
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jun 14 18:18:24 2023 +0200

    array: add macro to define qsort cmp function
    
    Add macro to define qsort element compare wrapper in favour
    of a nested wrapper inside the array qsort function to avoid
    executable stack requirements.

commit 1b16aa3d211885a5b8f761115005db5b30752225
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jun 14 14:02:40 2023 +0200

    testing: run nbft-test.sh only if jq is available
    
    Execute nbft-test.sh in make check only when nbft
    is enabled and also the jq utility is available.

commit 83908d53ac904a2e39a1e4e0b1af40372d674829
Merge: dc6ff84a f9cf5987
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Jun 6 11:59:00 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/976
    
    cleanup: fix memleaks

commit f9cf5987677bac10956047e39ef654647e2cd136
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    client/compat: fix memleak in __ni_compat_generate_team_runner()

commit 786dd981ea5abc0f09af11a6111affd88a6cb1b4
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    client/ifstatus: fix memleak in ni_ifstatus_show_control

commit 6f784ad77ceb4f81eaed975cfa78e16bc231211d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    fsm: fix memleak - use ni_client_state_config_reset() on ifdown

commit 30ef651176d72a6bc29ad9a3249f55f013be6933
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    client/ifdown: fix memleak free fsm after usage

commit be222fa6e976ba600f90591bd115faf8949576aa
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    client/nanny: fix memleak in ni_nanny_call_get_device

commit e12d8bf8b84d316a6912fd0dfed2b88b10f3a2fc
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    nanny: fix memleak in ni_nanny_call_del_policy()

commit 89bbd4bf3d13e3f7c617d806829c63dd9b97996a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    ifup: fix memleak by freeing fsm after usage

commit be87d139719dd33ede04801abb2f0a43f046de68
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    compat-suse: fix memleak in __ni_suse_read_ifsysctl()

commit 00c94a90ba0e4c649fed7837168ff4c70882b15d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    compat-suse: fix memleak in __ni_suse_read_global_ifsysctl()

commit 7b359d54828863d7833a01b9c0a38b2f05de3a95
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    ifstatus: fix memory leak in ni_ifstatus_display_result()

commit 3777e93959a41b04edabf54c1bbd47d9002f2194
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    resolver: fix memleak in ni_resolver_info_free()

commit 75f80bbdcb860c01d390538d79cbfebc5286179c
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    capture: fix memleak of ni_capture_devinfo_t->ifname

commit d37bb4f5d5e9655cdf96379995d5d27847d641ed
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    netdev: code formatting - remove whitespaces

commit ec8d02779c7a32469869f9a0d92e471ace3fa73b
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:39 2023 +0200

    netdev: fix memleak in ni_netdev_load_client_state()

commit 08a3d9965d120b745c08210c9a4fb7b312a6aeae
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:38 2023 +0200

    dbus-objects: fix memleak - free xml-document

commit d35424037a84449797581ed8480027c27fb85b70
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 1 17:48:38 2023 +0200

    extension: fix memleak - missing free in ni_extension_free()

commit 4b502ef00e9e4bf1fd09338dada232ebe65d570e
Author: Jorik Cronenberg <jcronenberg@suse.com>
Date:   Thu May 25 11:56:49 2023 +0200

    testing: Add json indenting format testcase

commit c19ae38b008d4ece6afd43fe9fcfeeae96e996ee
Author: Jorik Cronenberg <jcronenberg@suse.com>
Date:   Thu May 25 11:56:40 2023 +0200

    testing: Add json file parsing testcase

commit bab13c0be0e16868ee55f44796d36c549045bebe
Merge: bf342647 e29722c8
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed May 24 18:10:44 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/973
    
    extensions/nbft: add post-up script (bsc#1211647)

commit fede596688905a29ce5483f41bd3547716a56300
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed May 24 14:32:20 2023 +0200

    json: avoid a getc pointer in json reader struct
    
    Replace json reader jr->get,getc,ungetc function pointer
    with jr->get_data,get_char,unget_char as getc() is a macro
    in the C standard libraries, which is expanded by the C
    preprocessor to e.g. _IO_getc.

commit e29722c8a1a892dd269108d70400e6e2ba3a2286
Author: Martin Wilck <mwilck@suse.com>
Date:   Tue May 23 18:56:29 2023 +0200

    extensions/nbft: add post-up script
    
    In multipath scenarios, not all NBFT interfaces and respective
    connections may have been brought up during initramfs processing.
    If wicked brings up some NBFT interfaces after switching to the
    root file system, run a post-up script to initiate the NVMe
    connections.

commit 607cd16d7806e82472a4b4bfce7f930c95d69f8d
Merge: 3f2c95a3 672210b9
Author: Jorik Cronenberg <54934253+jcronenberg@users.noreply.github.com>
Date:   Tue May 23 12:05:57 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/971
    
    json: improve parsing and add basic indenting

commit 3f2c95a37b44583e7b730f3598e2ec305fa1240a
Merge: e3db8cb7 0174923c
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed May 17 20:45:06 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/970
    
    autogen.sh: fix rundir vs localstatedir detection

commit 0174923cdbbd26fc902a7b07fa8231a86877e8d8
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed May 17 20:41:45 2023 +0200

    autogen.sh: fix indenting for fillup-templatesdir

commit 48044319ef17633eb63d21b5c4afb0bac1b8c45f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 8 18:12:23 2023 +0200

    autogen.sh: fix rundir vs localstatedir detection

commit e3db8cb701838ffd285c29371eee1f25346d966c
Merge: 5cd18414 8df5d046
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri May 12 10:02:03 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/969
    
    wireless-ifcfg: Ignore WIRELESS_EAP_AUTH with TLS (bsc#1211026)

commit 8df5d0462a0318d9a4948366d16eae99e3662ed3
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu May 11 13:13:09 2023 +0200

    wireless-ifcfg: Ignore WIRELESS_EAP_AUTH within TLS (bsc#1211026)
    
    Ignore `WIRELESS_EAP_AUTH` when `WIRELESS_EAP_MODE=TLS` is used.

commit 5cd18414f15742a3f9a28258d953a76017f1818a
Merge: b03f6f92 64a2fdfb
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Thu May 11 10:39:23 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/967
    
    extensions: cleanup /var/run leftovers in scripts (bsc#1194557)

commit b03f6f92a236393c4a1fa3f1e917211a0342860d
Merge: 3224679e 4ecbf3dc
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Thu May 11 10:34:12 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/966
    
    wicked-nbft: conditionally disable on SLE < 15-SP5

commit 64a2fdfb218c10987e6560bcaf679b5bdeb8371b
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri May 5 15:43:16 2023 +0200

    extensions: remove unused variables in netconfig
    
    Remove unused /var/run leftovers from the netconfig
    system-updater extension script (bsc#1194557).

commit 9aec8a01654544f6de71b4e6f06ca33ea24dc368
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri May 5 15:42:01 2023 +0200

    extensions: add variables to hostname and firewall
    
    Adjust /var/run leftovers to /run (rundir) in the
    hostname system-updater script (bsc#1194557).

commit 58f91c96b1f03a6f03f960e39cd87376a836bde9
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri May 5 15:39:45 2023 +0200

    extensions: substitute (path) variables in scripts
    
    Actually state and sbin directories in firewall and hostname.

commit 3224679e92aaba607b6060a79d533b36002db5b3
Merge: bf250ac6 1384fce7
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Mon May 8 14:26:10 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/965
    
    autogen.sh: improve usability and enable silent rules

commit 4ecbf3dc46f14fee8f17904100608d90775b0fbc
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri May 5 12:17:33 2023 +0200

    wicked-nbft: conditionally disable on SLE < 15-SP5
    
    Add rpmbuild --with[out] nbft conditional along with the
    configure --disable-nbft option to not build the wicked-nbft
    firmware extension rpm sub-package on SLE/LEAP < 15.5.

commit 1384fce7b742475a2a5c7e266e39680112c7a5a9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 5 10:42:23 2023 +0200

    autogen.sh: added -debug0 and -Werror options
    
    The -debug0 causes to set -O0 compiler option to disable
    optimizations in the intended gdb run with the binaries.
    The -Werror is passed to compiler to fail on all warnings.
    All other arguments are passed to configure (as before).

commit 5fb1570cdb82a91841dad86c6320cd932f56c156
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 4 11:34:22 2023 +0200

    autogen.sh: fetch _rundir from rpm config

commit 03b3b9433b96247b3e75da611bfc53e0dad57d91
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 4 11:23:11 2023 +0200

    autogen.sh: accept further configure arguments
    
    Pass autogen.sh arguments as additional options to
    configure without the need to repeat all defaults.

commit cc7c85392b8e705c0379849970a6593832ab2c7b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 4 10:56:09 2023 +0200

    autogen.sh: add --enable-silent-rules option
    
    Enable silent-rules to improve warnings/issues visibility
    in favour of all the libtool tweaks and compiler options.

commit a24bc79d3579029c11c3cb241f9fad82cf6eecb8
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue May 2 17:59:18 2023 +0200

    wireless: fixup ni_wireless_config_copy changes of f8129040

commit f8129040723127f9e916b70967faa1ccef4be307
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 6 16:28:11 2023 +0200

    wireless: use generic ptr-array for ni_wireless_network_array_t

commit 0c7dc288735ce6c36c8fdff98e0d7ff7fa4547ca
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 6 16:05:23 2023 +0200

    route: use generic ptr-array for ni_route_array_t

commit a80a9eca5a1578f0abb676f942777681346dceff
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 6 15:32:46 2023 +0200

    route: use generic ptr-array for ni_rule_array_t

commit 67063ee7e2026c24665b7ecb6f415a93859be7f4
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 6 14:32:56 2023 +0200

    team: use generic ptr-array for ni_team_port_array_t

commit 4192b5fb837efe680d83da734d87a94f85e88a90
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 6 14:26:33 2023 +0200

    team: use generic ptr-array for ni_team_link_watch_array

commit e73fa59fda263993a7d1e0b8216369a9c09a0d44
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 6 14:16:19 2023 +0200

    ovs: use generic ptr_array for ni_ovs_bridge_port_array_t

commit 7a49e90b254d919583c0ceb7b8de3a77643407d5
Merge: 67bf4012 d310d520
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Wed Apr 26 11:04:57 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/962
    
    client: improve netif-firmware-discovery extension

commit 672210b94e7389ae31ece8a846f6c6e5b1c92aff
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Apr 12 14:57:44 2023 +0200

    json: unescape unicode sequences using iconv

commit e75efc7cce1bbc1735e29f670d648c3e95a4b219
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Apr 12 14:35:06 2023 +0200

    json: implement ni_json_parse_file utility

commit 966deb85061c1d8546a459fc6771926069a8a74b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Mar 18 11:55:03 2023 +0100

    json: update copyright, adjust license and authors

commit 708de9c2063ebb492e21051a304b97b41fc501c0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 17 11:03:28 2023 +0100

    json: add basic indenting support to format_string
    
    Co-authored-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 67bf40128f89e1d3fb29a7a977e46b7499928854
Merge: 1a1359df f3af1233
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Apr 20 16:33:11 2023 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/961
    
    utils: add pointer array implementation macros

commit f3af1233b395b6971ec78884d2fec8bf5c62be14
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Feb 14 15:11:38 2023 +0100

    utils: add pointer array implementation macros
    
    Implement pointer array API generated through preprocessor.

commit 3e513a60e610d9cec6607e2ae1e5e4d22ab7503c
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Mar 2 14:36:57 2023 +0100

    slist: use for address,extension,dhcp6,var_array

commit d310d520274c72f7105f0f82c19024667ecdcfb9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 14 11:07:43 2023 +0200

    spec: cleanup nbft config on wicked-nbft uninstall

commit 61f4cfdde40ddcf14925d8d09c92ff0bb6b4318b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 14 11:06:12 2023 +0200

    config: adjust firmware extensions in client.xml

commit 848d4cf33a5f749b36d8592d973b6ba30579a6bc
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 14 11:06:03 2023 +0200

    man: update firmware-discovery in wicked-config(5)

commit 9528f4da3587016d24ca7656f5360b1367fc7849
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 14 11:05:51 2023 +0200

    man: add `wicked-firmware(8)` manual page

commit 9d315d55046251ae4273344db1970a291cae525a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 14 11:05:41 2023 +0200

    client: add firmware revert command
    
    Add firmware revert command removing firmware extension changes
    from client-firmware.xml applied by the firmware enable|disable
    commands, reverting the firmware extension to it's default state.

commit 40251567ac5c0312ebdd927b8e74e0a8a7da8263
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 14 11:05:25 2023 +0200

    client: adjust firmware extensions commands
    
    - fix enable|disable to add override to client-firmware.xml
      config only for requested firmware extensions and without
      to repeat details like script action command.
    - add firmware name selectors also to interfaces|extensions
    - add --format options showing xml results instead of txt,
      --expand for complete xml firmware definition config and
      --show to show modified config results on stdout only.

commit 1586f86efdd6e86ea440b14b7fea19ed352baf92
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 28 20:08:53 2023 +0100

    firmware: adjust to execute new script actions

commit e7065a7c016df70f7ccb523a9b2cfba7c481eb40
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 28 19:09:27 2023 +0100

    appconfig: refactor firmware extension definition
    
    Add enabled/disabled flag to extension, refactor and migrate the
    firmware extension definition parsing to use one extensions per
    firmware as in system-updater and dbus-service extensions with
    a `show-config` and `list-ifnames` script actions and consider
    env variables specified in the extension and script scopes.

commit 1d62acef008d79e05d48da0c0b05f1c299c0761d
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Feb 24 15:07:12 2023 +0100

    firmware: apply extension environment to scripts

commit 474a01bd5b09e8b4ecacc660fd327421458f3c2f
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Feb 24 14:25:35 2023 +0100

    firmware: fix check if a script is executable
    
    Don't check the whole script command string, but it's argv[0]
    element only, even it's the same with current definitions.

commit 8aa0431ecdad51db50b9028a3dd8ca33439a1b01
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Feb 24 14:20:28 2023 +0100

    utils: add ni_var_array_set_var(s) utilities

commit 12ef1b0b783635fbb4b25269ac15cc128f5fcc9f
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Feb 22 13:22:33 2023 +0100

    process: improve and cleanup get/setenv functions
    
    - refactor and add support to get/set ni_var_array to environ
      and expose the ni_environ shellcmd/process utilities
    - changed to apply default environment to ni_process instance
      instead already to ni_shellcmd (template)

commit bb59a98e060e0e46ff9cac6ca992e730de5982d7
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Mar 2 12:55:19 2023 +0100

    dhcp6: remove unused clone & copy clean parameter
    
    The clean parameter to omit lifetimes and status in the ia and iadr
    clone and list copy functions were used only with a FALSE argument.

commit 02e7a10e7beba7e7050384aa23e18a09c110840a
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Mar 2 12:42:14 2023 +0100

    utils: initial single-linked list utility macros

commit 42bc2f1390b96253ec0aa93eb1332172b1f26a58
Merge: 55e49010 ff9d3a51
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Tue Feb 28 09:45:41 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/957
    
    refcount: split declaration and definition macros

commit ff9d3a518f30e313173c733ed55450a7fbb52427
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Feb 16 14:22:27 2023 +0100

    refcount: split declaration and definition macros

commit af40b13a0aec513199712755329a4dab91ba6186
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Feb 16 14:13:51 2023 +0100

    refcount: change to ni_declare|ni_define as prefix

commit b1248e97a77ab27b80ae484b92c627bba2e7b99e
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Feb 15 14:08:52 2023 +0100

    extensions: update copyright and license-notices

commit b699d906028bce0dac5b89ba5141838511f10ecb
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Feb 15 14:00:59 2023 +0100

    extensions: fix ni_c_binding_new return value typo

commit 7195d6d3581da06a8e63e9f0c0bb0ddfb2a6ee64
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Feb 15 12:18:26 2023 +0100

    netinfo_priv: code formatting, tab align arp declarations

commit a0ae196afd4ab85cf84778bed160b97d20efb93b
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Jan 18 12:08:09 2023 +0100

    arp: resend DAD request on ENOBUFS (bsc#1203300)
    
    If sending DAD request per IP fails with ENOBUFS error, retry it.
    If max retries reached or an unexpected error occurred, the DAD
    will fail.

commit e0dec7596521ef6e7755768149c01d5db8499606
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Feb 15 11:30:42 2023 +0100

    capture: code cleanup
    
    Replace `__FUNCTION__` with `__func__` and do not use `__` prefix
    for functions.

commit 76781e66a8929d966d9a904663a929e7f79b3159
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jan 3 16:02:38 2023 +0100

    capture: add desc for better debugging output on errors

commit 49a9393d3c9335fd1c77c99015f505e925a83951
Merge: b5e5d6e6 7c6129cd
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 14 16:32:24 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/955
    
    testing: Improve test result formatting

commit b5e5d6e62439473d2d9b16ffdb5a1d00e3cb8f41
Merge: fe8c60bb 0b87c381
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Tue Feb 14 16:11:04 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/954
    
    testing: port json-test to wunit framework and extend it

commit 0b87c38176323df51f9ad4bee58425d82eaee7c5
Author: Jorik Cronenberg <jcronenberg@suse.com>
Date:   Tue Feb 14 14:47:55 2023 +0100

    testing: port json-test to wunit framework and extend it

commit 4e804e5200caf54f2dee619e2921c6627551b033
Author: Jorik Cronenberg <jcronenberg@suse.com>
Date:   Tue Feb 14 14:47:33 2023 +0100

    json: add missing functions to json header file

commit fe8c60bbf699dce9b516f323250f7ad1b145f2f5
Merge: 0ada1ece d90cb0c2
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 14 15:41:48 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/953
    
    json: fix parser token value and stack leaks

commit d90cb0c28ade1ce084ccf18eadcc0bc0bf093c7a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Feb 7 20:29:04 2023 +0100

    json: free reader stack struct in stack pop

commit a74f27674877c9b0b97a4e8372f3c5ee58cecc94
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Feb 7 19:15:02 2023 +0100

    json: fix token value leak in parse pair+initial

commit 7c6129cd7eaf8a0a3cf3e6eacbda7117237cfddd
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Feb 8 17:27:25 2023 +0100

    testing: Improve test result formatting
    
    Test result output should not exceed 80 chars per line.

commit 03c3c716f67874c5b97fd53155e91ceeeb49ed79
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jan 30 18:48:31 2023 +0100

    bond: workaround 6.1 enslave regression (boo#1206674)
    
    The kernel bonding accepts only enslave of interfaces in DOWN state
    and the bonding driver sets the slave UP itself after enslave, once
    it also inherited MTU, MAC address, ... to the slave as needed.
    
    All kernels between (at least) 4.12 up to 6.0 accepted to enslave
    using a single `ip link set down master bond0 dev eth0` rtnetlink
    message, which ensured that the (eth0) interface to enslave were
    set down if needed and wasn't rejected to enslave.
    
    Since kernel 6.1 (commit a4abfa627c3865c37e036bccb681619a50d3d93c)
    the enslave processing changed and the `down` flag in the enslave
    message is applied after enslave, causing that the UP flag added
    by enslave is removed again, the slave remains inactive and is not
    used by the bond, which remains in a no-carrier state.
    
    Changed to not pass the DOWN flag any more, but enslave only.

commit 4af5d7576ece4c200b14ccd017fb8c3f34f240b8
Merge: 55d5a533 08dde59b
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Wed Jan 25 22:26:17 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/951
    
    version 0.6.72

commit 08dde59b982966ea29aacdabd0c0f339150bca30
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 22:00:08 2023 +0100

    version 0.6.72

commit 3b684a225117aae608f637c5ee1224f2c1e52d93
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 21:23:20 2023 +0100

    appconfig: fix extension parsing replace operation
    
    Replace old script,binding,extension provided by 1st
    config file with new one provided by a later one.

commit 62bd831aba7385d236e06d39fdba11a34c8ead32
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 18:47:31 2023 +0100

    client: command fix in firmware enable|disable
    
    Fix typo overwriting script command with script name.

commit 383032514c04d247ab8d8e189dd5a620bdd72cfe
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 18:43:40 2023 +0100

    config: fix client.xml to contain disabled redfish

commit 196726b2aca55d370cfb5e8f30124dd77454061b
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 17:45:03 2023 +0100

    spec: add wicked-nbft sub-package with nbft support

commit 489cfa9ac5dfdbd41064c5176fe721d34965e3a5
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 17:44:22 2023 +0100

    config: moved nbft definition to client-nbft.xml

commit 644db316f060bfb5fb91892800f127ac9fe997f4
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 17:41:53 2023 +0100

    git: add etc/client-nbft.xml to .gitignore
    
    generated from etc/client-nbft.xml.in template

commit c01e52de69402d5ce537de8bbe469ff13430bffc
Merge: 6b1850cf efc8a945
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 17:08:06 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/948
    
     extensions: add initial nbft firmware configuration support (jsc#PED-3132)

commit 6b1850cf5b9a3ff61f0d0ba4fee0094351f96fbf
Merge: d7df393a fb0fc890
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Wed Jan 25 17:04:47 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/947
    
    client: add firmware enable|disable command (jsc#PED-3132)

commit fb0fc890467ee6fa934e3b6ef42548f4523f2b59
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 16:47:19 2023 +0100

    spec: migrate client-redfish.xml to client-firmware.xml

commit efc8a94524e74795d545e7170041e603e2f55d0b
Author: Martin Wilck <mwilck@suse.com>
Date:   Fri Jan 20 20:09:42 2023 +0100

    testing: added unit tests for nbft extension

commit 43f5d636f17471de74070a94d281c837d9e4779d
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Jan 25 16:16:16 2023 +0100

    config: include client-firmware.xml in client.xml

commit e1ad1fe9e581a0f03af4eec7986354c4281f9cc8
Author: Martin Wilck <mwilck@suse.com>
Date:   Fri Jan 20 12:26:44 2023 +0100

    client.xml.in: enable nbft extension

commit fd6122db4f6feef8d2cb7e7cdfe13908fccd15a4
Author: Martin Wilck <mwilck@suse.com>
Date:   Wed Jan 11 22:02:16 2023 +0100

    extensions: add nbft extension (jsc#PED-3132)
    
    This extension imports configuration from the NBFT,
    according to the NVM Express Boot Specification 1.0
    and converts it to the corresponding wicked configuration.

commit f639d5143ba5ea2293b639e7d45be486a16e2b14
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jan 24 14:06:25 2023 +0100

    client: alias redfish enable|disable to firmware

commit 63a0bb1f7e1aaa4504dcda3dbe309a0316e0c250
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Jan 24 11:53:39 2023 +0100

    client: add firmware enable|disable command

commit 1a28905955ad741ec38c090245182e9b3c2f70de
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Jan 24 10:21:17 2023 +0100

    appconfig: handle extension definition overrides
    
    Permit to override extensions builtin and script actions
    defined in one config (defaults) by config included later
    in order to enable or disable extension actions.
    Check if extension interface and action name are keywords
    and log location on parsing errors or empty definitions.

commit b78b8eefe1c3524ea24f3e03227fd6385f237fb3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jan 20 15:26:14 2023 +0100

    extensions: add enabled flag to bindings and scripts

commit d045262be530375cde492d4a6f0c8a2aeafb22ff
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Jan 20 14:48:20 2023 +0100

    extensions: remove list argument from constructors
    
    Add list operation utils to c_binding, script_action and extension
    in favor of list argument in constructors and direct manipulations,
    adjust to catch allocation failures and diverse NULL arguments.
    Renamed script_find to find_script to match find_c_binding.

commit 2c7025f438f14a27f0305609b22650803c5b701b
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Jan 20 14:42:22 2023 +0100

    appconfig: move extension prototypes to extension.h

commit 5306f6375a0c9bad0932f316d842cb54dc7fd7c4
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Jan 20 13:35:58 2023 +0100

    cleanup: rename src/config.c to src/appconfig.c

commit d7df393adb9c90f85c37c5a50c1bed925365fe7a
Merge: 2ce1be91 03717ae8
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Tue Jan 24 17:52:54 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/946
    
    client: add firmware extensions|interfaces command (jsc#PED-3132)

commit 2ce1be917ebdf66d39bdd3e07d0f76c1bac80df6
Merge: fd332f7d 8e28aa1d
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Tue Jan 24 13:55:40 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/945
    
    nanny: fix use-after-free in debug mode (bsc#1206447)

commit 03717ae8ccf92fbec7941bd2a4f9e3097e90e89f
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jan 19 12:56:51 2023 +0100

    client: add firmware extensions|interfaces command
    
    - `wicked firmware extensions` shows available firmware extensions table
    - `wicked firmware interfaces` shows interfaces configured by a firmware

commit 7cb5a533a255ef7cd8661221e2eece1860d53192
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Jan 19 12:16:14 2023 +0100

    client: improve netif firmware discovery execution
    
    Return firmware ifconfig as separate xml document for
    each firmware type and separate error handling to not
    break other types if one detected some issues/failed.

commit f0a3730bb6396132b9a52306fb0832344bddeab0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jan 16 11:11:15 2023 +0100

    client: add ni_ifconfig_kind name mapping utils

commit 8e28aa1dfe209b83e61ce1691c067c6bd7947dee
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jan 13 20:09:19 2023 +0100

    nanny: fix use-after-free in debug mode (bsc#1206447)
    
    Fix a use-after-free by getting a local mpolicy->fsm_policy reference
    in unregister_managed_policy to safely access the fsm policy name for
    a debug message logged after unregistering the mpolicy object, which
    is freeing the mpolicy (if it's the last reference).
    
    A policy deletion is performed by wicked ifdown or ifreload and the
    execution is limited to root (uid 0) callers, so it does not bring
    additional privilege possibilities.

commit fd332f7de15c87ed20874d73114dd4a8e0785904
Merge: 271c0253 167523d2
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Thu Jan 12 10:07:01 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/944
    
    Replace transitional %usrmerged macro with regular version check (boo#1206798)

commit 271c02531844b46bef491aa54a117639419f6028
Merge: 0e692801 ced5db71
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Thu Jan 12 10:05:03 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/942
    
    ifstatus: improve to show a no-carrier status

commit 0e692801c0bae47d7d63ddd30b13a941539b336c
Merge: 98488d08 b6c9889d
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Thu Jan 12 08:05:05 2023 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/943
    
    linux: cleanup inclusions and update uapi header to 6.0

commit 167523d20f9a4c2e67a494a7d2490ffb7fa44b52
Author: Ludwig Nussel <ludwig.nussel@suse.de>
Date:   Wed Jan 4 15:33:31 2023 +0100

    Replace transitional %usrmerged macro with regular version check (boo#1206798)

commit 5ae7be82a74b17f788835238aeed2c7a65f98fa4
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Dec 21 12:55:22 2022 +0100

    version 0.6.71

commit 1058174725390c1de17dfd99c9492637f695c7f5
Merge: fff1b6e0 947c314d
Author: cfconrad <cfamullaconrad@suse.com>
Date:   Wed Dec 21 11:01:26 2022 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/940
    
    dhcp: enable raw-ip support for wwan-qmi interfaces (jsc#PED-90)

commit 947c314d8009fafd154d276d4455e3733e28fcf3
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Dec 9 13:07:24 2022 +0100

    dhcp: adjust header for `raw-ip` mode on wwan-qmi
    
    Also add comment with most important RFC references about
    htype,hlen,chaddr,ciaddr and broadcast-bit flag in header.

commit ddbd38ecfa05b8dbf29ed7f311d271c861634422
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 1 20:47:15 2022 +0100

    dhcp: fix "do bits" to enable arp if available

commit f3652059c8562f035964a6e53ed44590c9bae327
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 1 20:26:15 2022 +0100

    dhcp: remove hwaddr and arp availability checks

commit a982233266e860d1908cdc9cf3ff669a93f12424
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Nov 30 22:07:58 2022 +0100

    dhcp: enable on wwan (arphdr-none) interfaces

commit 4e8bf73a598fef9a5a80c326beca9d0bccbaaec1
Author: Thorsten Kukuk <kukuk@suse.com>
Date:   Fri Dec 9 08:22:16 2022 +0100

    Add /etc/sysconfig/network to file list
    
    Add /etc/sysconfig/network to file list of wicked-service sub package
    to fix build failures with cleaned up filesystem package.

commit b6c9889d3c8ae6f9a77bad96c36fa61dda978bf2
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 8 12:50:05 2022 +0100

    linux: update uapi if_tunnel.h header to 6.0

commit 8283792fe27cd26ee60c393a8a00e33a66c46d3a
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 8 12:49:54 2022 +0100

    linux: update uapi if_link.h header to 6.0

commit 33d5ef69fc6dcbdab058684ef9350728d81f86e1
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 8 12:49:39 2022 +0100

    linux: update uapi if_addr.h header to 6.0

commit 9360ef9ece9a2f37378ee0c655b0c462f5ab7a8d
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 8 12:07:47 2022 +0100

    cleanup: net/if*.h inclusions and (re-)definitions
    
    The the old net/if*.h glibc header files conflict with the
    linux kernel uapi header files and don't provide all the
    constants we need to use kernel features (via rtnetlink).

commit 00d0401bf9c1eec9418da0c018c5ff5f5a460838
Author: mt <mt@suse.com>
Date:   Wed Dec 7 11:14:30 2022 +0100

    netdev: use new ni_netdev_index_to_name utility
    
    Avoid direct if_nametoindex and also if_nametoindex calls
    using the ni_netdev_name_to_index utility where possible
    to prepare for (net/if*.h) header file inclusion cleanup.

commit 6a9ee35907c95cebbd5c0421b013c16b7f7ef0af
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Dec 6 13:02:26 2022 +0100

    linux: removed dcbnl.h uapi header file
    
    Cleaned up SLE-11 compatibility artefacts

commit ced5db71c83e3ffec6a14feac0f7d28f6f06cfef
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Nov 29 11:02:39 2022 +0100

    ifstatus: improve to show a no-carrier status
    
    Split the transient `setup-in-progress` status and show `no-carrier`
    status when the interface is set administratively up (device-up),
    but the (L2) link is not up and running yet (link-up), including
    e.g. not-associated wireless links.
    The following (L3) setup like IP / lease acquisition continues to
    appear as setup-in-progress until the setup is sufficient and we
    consider the interface it as up.

commit 73d184b74d0395a49c1092139b86988de5627c82
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Nov 28 21:25:14 2022 +0100

    ethtool: add new advertise link mode map names

commit b0ec7e63ebb3e535744ec2b045970c20667b09d8
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Nov 28 21:17:06 2022 +0100

    linux: update uapi ethtool.h header to 6.0
    
    Keeping conditional __KERNEL_DIV_ROUND_UP macro definition
    needed by the ethtool.h header to maintain compatibility.

commit d0a31f6e5f860d284707b3122e20d7af23e2a868
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 23 17:32:17 2022 +0100

    ethtool: remove link mode mask nwords calculations
    
    Remove the nwords pre-calculation from the link mode constants
    in the linux/ethtool.h header. We have to query it and use the
    nwords value of the kernel for subsequent calls and already do.
    Further, don't limit the list of advertise link modes on dbus
    to mode count in a potentially outdated header file, but just
    apply to the bitfield; we filter driver supported modes later.

commit 2bb64371c46c925720a42ad927e5a8b0d034a357
Author: David Hedberg <david.hedberg@findity.com>
Date:   Mon Nov 14 16:30:30 2022 +0100

    schema: Make the rule to-selector handle network prefixes

commit 1b100a34a13bd072ae18690912125b2021d9e8ad
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Oct 19 13:09:21 2022 +0200

    version 0.6.70

commit d373024eb3bd00201b9268d1b55c0c0130d2e298
Merge: db53b4d0 3f1604e7
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Tue Oct 18 16:48:37 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/936
    
    dhcp6: add option to refresh lease instead to confirm it

commit 3f1604e716729ae410ed64a9512a87e1868fcf34
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 13 14:57:15 2022 +0200

    dhcp6: refresh ipv6 flags on staring in auto mode
    
    In some cases, like during an "ifup ; ifup" there is no NEWLINK
    event from kernel providing the IPv6 ready, rs-sent, ra-rcvd,
    ra-managed or ra-otherconf flags about the router advertisement
    (RA) processing we're using to reliably resolve the auto mode
    (aka follow-ra mode), so we've changed to actively query them.

commit 28691e9c77e1aa57583508dc49bd2c98a3173586
Author: Jorik Cronenberg <jcronenberg@suse.de>
Date:   Mon Oct 17 12:04:39 2022 +0200

    testing: Null terminate map in bitmap-test
    
    Maps are supposed to end with a NULL element as otherwise out of bounds
    reads can occur.

commit 8971dabf4dd014e7c1367ea5db4a9b05d921a860
Merge: 7d704bc9 f6464ab3
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Thu Oct 13 15:25:44 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/934
    
    dhcp4: fix reuse of last lease and retransmissions (bsc#1187655)
    
    When we restart/reboot and have a still unexpired lease, try
    to confirm (dhcp reboot) it or get a new one, but reuse it at
    defer-timeout if the dhcp server currently does not respond.
    Also, adjust dhcp state message retransmission timings and
    don't mix acquire/defer timeouts into their calculation.

commit a47b05ff928033a4207806b9108c74cc18c0bdec
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 29 19:01:29 2022 +0200

    dhcp6: add option to refresh lease instead confirm
    
    Add config option to refresh a lease with (managed) IP address using
    rebind (like when it would contain a prefix) instead to just confirm
    if it's appropriate to the link only (jsc#SLE-9492,jsc#SLE-24307).

commit 7d704bc92a71d6c2e2a8c2bc819e90d24c57c386
Merge: bd794671 ad1e8a13
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Oct 12 16:23:27 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/933
    
    firewall-ext: Do not change firewalld setting on ifdown (bsc#1201053)

commit f6464ab35cea9725f9644b96058eae5e518ce10d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 19:52:54 2022 +0200

    route: fix route tables copy used in lease clone

commit e89ead125bd9bb93c654905bbd046e3636d43331
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 17:44:53 2022 +0200

    lease: init update mask and free dhcp4 sender

commit ca82ef2b9441fa97493d71858158cbcc7c517dfd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 17:28:59 2022 +0200

    dhcp4: restore address list and routes from lease file
    
    Add loading/saving of sender-hw-address, route priority
    and pref-source in dhcp4 lease files.

commit c9ae90f7f414b2e106e8874cd216457dad266025
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 14:34:29 2022 +0200

    dhcp4: handle link down state and reconnect

commit c1bcfef723b03062e740815531886e959f280311
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 12:44:29 2022 +0200

    dhcp4: use netdev linkinfo instead of own copy

commit ac66c96c74a3ff84dc8ffa6df20cf2e086cf592d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 12:39:07 2022 +0200

    dhcp4: log interface and dhcp event as names

commit 8cca24335e2fc5775f8eab036547c097a8afa410
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 12:28:52 2022 +0200

    dhcp4: move sending log message to prepare message

commit d6c6ed40cbf358934aa38eaa2a7dffa58e879cf3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 12:08:37 2022 +0200

    dhcp4: adjust duplicate address check while reboot

commit ad1e8a13eaee14121f3f1c0dce9331bd16d01754
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri Sep 30 10:12:36 2022 +0200

    firewall-ext: Do not change firewalld setting on ifdown
    
    Do not change firewalld settings on ifdown, neither for FIREWALL=yes
    nor for FIREWALL=no (bsc#1201053 and bsc#118950).
    The problem is, that `firewall-cmd --permanent` also change ifcfg
    files, thus it would remove the ZONE= setting from ifcfg on ifdown.
    Changing only runtime firewall settings, trigger a unexpected
    inconsistency between runtime+persistent config.

commit 04107b225b6f4799f41f87c272ab3ec733a90ba8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 11:25:08 2022 +0200

    dhcp4: cleanup lease verify and recover

commit d836dc96ff9162df4a12d8906587ccff1c816985
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 10:24:01 2022 +0200

    dhcp4: cleanup lease time calculation and schedule

commit 3f0c42b0be87bf97ae065342f76e8dd3aacb5395
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Oct 6 08:55:57 2022 +0200

    dhcp4: cleanup retransmissions and state changes
    
    Also do not calculate retransmission times using unrelated
    defer and acquire timeouts and fix the lease acquired time
    (transmit start) vs secs (start time) in offer request.

commit bd794671e3740a6bf796f9594adc3cfc6a72aacb
Merge: 84a37591 0070d9fa
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Oct 5 15:37:42 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/932
    
    Link as Position Independent Executable (bsc#1184124)

commit a1ee804b3251d14597d654df4273068ec88bdb39
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Aug 22 22:35:42 2022 +0200

    dhcp4: use separate delay,defer,acquire timer

commit 9b72394c3fc71aaf197b61177983831f911eefdd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Aug 22 22:07:11 2022 +0200

    dhcp4: add lease time and timeout param init utils

commit c99c6294663506ea5341be9d5b5907dace94d3b1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Aug 18 20:43:56 2022 +0200

    timer: add decrementing to timeout param recompute

commit 1296c4cff01756d859e0f6546e4066dcccc761fd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Aug 17 08:45:22 2022 +0200

    dhcp4: move backoff definition to dhcp4.h header

commit fa6e984739d16043bfc2af30aa13cfc30e71aa35
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Aug 17 08:10:30 2022 +0200

    dhcp4: move socket close to utility function

commit bcf4f7f9d075be0c928f2a201f32aa9af5872a69
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jul 21 10:56:46 2022 +0200

    dhcp4: adopt to use reference counted lease utils

commit d7ee3472cc705d46d63b81639e82e708fcdc5513
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Aug 18 17:48:00 2022 +0200

    wireless: notice logmsg of 'wpa_supplicant stopped'

commit 2ea60e858ebd0e31af664b4a5a10b6f049d2b8b7
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Aug 18 15:58:46 2022 +0200

    wpa-supplicant: Fix error code translation on wpa_supp restart
    
    If the wpa_supplicant restart (e.g. segfault), the restart handler cleanup
    all internal data structures associated to this wpa_supplicant instance.
    With this, the ni_wpa_wif_t->client is set to NULL and we need to cover
    this stage in each translate error call.

commit 1c493ea200657bf95094807880deb1afeca109cf
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Aug 18 15:54:39 2022 +0200

    wpa-supplicant: Remove wif backreference from bss

commit 7d356eac8173be9cf9f88b4978e491004a4edfa9
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jul 7 22:18:08 2022 +0200

    wpa-supplicant: Add refcounting for ni_wpa_bss_t
    
    Each call on DBus can result in async receving of DBus signals.
    Thus we need to protect our current working object, that it
    do not get removed because of such a signal.

commit d128eabff42afa2acc1a7cac3c2fb4d84c69b55a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jul 7 12:24:59 2022 +0200

    wpa-supplicant: Add refcount for ni_wpa_nif_t
    
    Each call on DBus can result in async receving of DBus signals.
    Thus we need to protect our current working object, that it
    do not get removed because of such a signal.
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 7ab5711464cf1a77e5a2419e5deff5fe9b575d2e
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jul 7 12:27:21 2022 +0200

    wpa-supplicant: Remove dead code - __ni_print_string_array()

commit 0070d9fa86e0a0a627c4dce40c2f92b98f29a2fc
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Aug 23 16:47:07 2022 +0200

    Link as Position Independent Executable (bsc#1184124)

commit 92594253ea7dc2cf8aa16f53b744e0e87fa9bc91
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Sep 29 16:12:51 2022 +0200

    Revert "firewall-ext: skip firewallDown action without previous firewallUp"
    
    This reverts commit b04d27121013bb058a47b34eecbee14862206ce5.

commit 37791bb0f535ae42d94abcf83553293edfd7a3ef
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jul 21 22:52:44 2022 +0200

    compat-team: Set <link> node in slaves (bsc#1200505)
    
    The xml configuration of the slave missed
    the `<link>` configuration, when generated from
    ifcfg format.

commit b04d27121013bb058a47b34eecbee14862206ce5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jul 19 10:54:48 2022 +0200

    firewall-ext: skip firewallDown action without previous firewallUp
    
    Reference: bsc#1201053
    
    If a interface configuration contains FIREWALL=no, wicked should not
    touch the firewall configuration on firewallUp _and_ firewallDown.
    
    The firewall schema contains a `skip-unless-present="true"` for the
    method firewallUp. This avoid the calling of the firewallUp DBus method
    on the specific state, as long as the configuration doesn't contain the
    <firewall> node.
    
    On firewallDown, we do not have the configuration, thus we cannot use
    `skip-unless-present="true"` here. And the firewallDown state calls
    the firewallDown DBus method regardless of FIREWALL configuration value.
    To avoid unexpected firewall changes, the firewall extension handle
    firewallDown events only, if a corresponding firewallUp event was
    invoked before.

commit dd77b13f6e821cf3d85e618d0beea2f1b3adcffa
Merge: 773ab8ac 0c9aaccc
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Thu Jul 14 16:43:54 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/926
    
    addrconf: remove address before calling (dhcp) release

commit 24f9f18b22d22a5c3da9ea401f5472f21a91ce05
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jul 5 16:48:59 2022 +0200

    wireless: <auth-proto> prefer wpa/rsn values over wpa1/wpa2
    
    The variable WIRELESS_WPA_PROTO, the field <auth-proto> and the capability
    field <wpa-protocols> referencing all the same bitmap. And we would
    like to see wpa/rsn instead of wpa1/wpa2.
    For backward compatibility wpa1/wpa2 can still be used but
    is not generated on converting ifcfg to XML.

commit 0c9aaccc10095ddd399ed449581045372290aa90
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 5 19:35:46 2022 +0200

    addrconf: remove address before calling (dhcp) release
    
    USGv6: DHCPv6_1_2_07b, According to RFC 3315 section 18.1.6, ”The client
    MUST NOT use any of the addresses it is releasing as the source address
    in the Release message or in any subsequently transmitted message.”
    
    We didn't used the dhcp address as source in release, but because the
    address were not yet removed from the interface, the host were still
    able to use it and responded to echo request (ping) during the release,
    causing an USGv6 testsuite failure.

commit f0dd6db37e3366958292cc9814c96e5265b8b38b
Merge: 5d1a830c 7b7576d0
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Mon Jul 11 15:18:53 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/925
    
    dhcp6: consider relese complete regardless of status

commit 5d1a830c377901d37564b0d4626626b9a98fa47c
Merge: 7d151976 41b0db6f
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Mon Jul 11 14:51:04 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/924
    
    dhcp6: don't consider ppp interfaces unsupported

commit 41b0db6ff4be035e4b4ca36dfaee0088a8fce60e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Apr 28 10:42:34 2022 +0200

    dhcp6: don't consider ppp interfaces unsupported

commit 6c9986a8d17d881698979c78d45b8d985c834e5a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jul 4 13:52:10 2022 +0200

    wireless: minimize extension/type detection race on ifrename
    
    If we process the ifinfomsg_linktype, but the interface was renamed
    in the meantime, the corresponding sysfs path doesn't exists
    anymore. Minimize the race possibility by requesting the new ifname.

commit b765d93a8db3ad2a1011a293d8242f65da8f4aa7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 5 19:07:16 2022 +0200

    dhcp4: send released event with lease uuid

commit 816d90ebb5369b6cc6fc1d12eafd5466707223d8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 16 13:35:26 2022 +0200

    addrconf: move verbose lease lookup to a function

commit 49adbbb32c1d59264e48d2471599ef17762d6741
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 7 09:13:34 2022 +0200

    addrconf: add support to add further updater actions

commit 5359abfd031ebcb950f1513a60a2c1c883d3d9a6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jun 6 18:05:56 2022 +0200

    lease: moved addrconf updater to addrconf.[ch]

commit c0734e6518c6c4f93f31c4f40eac78488b0020b8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 3 11:04:57 2022 +0200

    lease: moved functions from netinfo to addrconf.c

commit d5313a6d0f39f5cfe92e0c213269040b05ac53d4
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jun 27 16:53:30 2022 +0200

    wireless: Fix default key_mgmt for none FT support in wpa_supplicant

commit e2f5ec3073ef48703e8d2a45c93eee7e70a6f17f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Jun 27 16:41:56 2022 +0200

    wpa-supplicant: Get properties of fi.w1.wpa_supplicant1

commit 82d3700e3274d19a51b963bb25a2f46f5b15e497
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 23 15:38:49 2022 +0200

    man: ifcfg-wireless nicer output of WIRELESS_ESSID special chars

commit 514f626684aaf8d5da5ead736942afa75cfb1176
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Jun 15 10:14:20 2022 +0200

    wpa_supplicant: Add missing free of wpa-nif properties

commit 09ebe0a6a4263e1b26991a1f621ec60a89d6a54f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Jun 15 23:25:54 2022 +0200

    wireless: Use refcount api for ni_wireless_network_t

commit 36c2f7ce1f55d4edcd0d879332acaade55f3debb
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Jun 15 23:22:26 2022 +0200

    wireless: Do not use mlock for network
    
    The usage of mlock is wrong here, as we protect a struct,
    which has the pointer to the password, but not the password
    it self.

commit c3a21f6b2968c9c9d62aa81da3d73cc8b18c5342
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jun 14 23:29:56 2022 +0200

    wireless: Set key-management default based on capabilities
    
    We use the passphrase to detect a PSK configuration and the
    eap-method for EAP.
    Once a config is detected and the key-management wasn't set
    explicit, we use defaults for PSK or EAP. The default is all
    known suitable key-managment methods, but only those who
    are mentioned in capabilities.
    
    PMF will be enabled (optional), once it isn't set via config
    and a "newer" key-management method is used.

commit 332649e0c44fa8b427694277a8d0271ffe875912
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jun 14 23:25:39 2022 +0200

    wireless-dbus: Rename ni_objectmode_mask_from_dbus to ni_objectmode_bitmap_from_dbus

commit 0e72c1ed2548d3248acb9100fe0db38d35dc51f5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jun 14 23:22:51 2022 +0200

    wireless: Use correct key_mgmt_map for wpa_supplicant

commit f02e3d908122125310fdf64069f1035eb997b368
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jun 14 23:21:29 2022 +0200

    wireless: Add ifcfg variable WIRELESS_KEY_MGMT

commit f95d15e52848ba4934ea4394c1fc1f06e270aa2b
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed May 11 17:49:42 2022 +0200

    wireless: Add support for PMF (ieee80211w)
    
    Add a option to set `PMF`. It can be `disabled`, `optional` or
    `required`. For ifcfg configuration files use:
    ```
    WIRELESS_PMF=[disabled|optional|required]
    ```

commit 71759c08e5941dd159f779992e1f61c51fe6e2e4
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue May 24 17:47:34 2022 +0200

    xml: Remove orphan wireless constant types
    
    This commit remove the orphan types created with eed7dddbc.

commit 3f832be771756c23f4ccb05b4dcebae243f23847
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri May 13 11:42:08 2022 +0200

    wirless: Fix bss->rsn->management-group
    
    wpa_supplicant send the Management-Group for a bss (scan-result) in
    a different format then in capabilities, thus we need to have the
    cipher name also without `-` bettween (e.g. `AES-128-CMAC` was given
    as `AES128CMAC`)

commit 0c40b925b71df792cea942b54ce4e1340f8d3fee
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu May 12 11:19:17 2022 +0200

    wireless: Add missing GCMP to group capabilities
    
    This avoid debug message:
    ```
    wickedd[6821]: wlan1: unable to translate Group capability gcmp
    ```

commit a9f5ab6ceee79548574572031ed7a36b5880b636
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 23 22:03:35 2022 +0200

    xpath-fmt: Fix segfault when formating an empty node
    
    If we try to format an empty node with xpath, we got a segfault
    in the corresponding printf call, e.g.
    ```
    echo "<foo><bar></bar><foo>" | \
      wicked xpath --reference '/foo' '%{bar}'
    ```

commit b72512fd3e81965dc5bfd8e1c05c9e06c51e4698
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 16 09:38:36 2022 +0200

    pppd: don't fclose twice on rename error

commit b5574ad2a638315bb0c82fb0c00d27b0ccdf3fca
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 16 08:51:25 2022 +0200

    leasefile: don't call fclose twice on rename error

commit b4860037800c0202112648d657ed224e25664124
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 16 08:45:46 2022 +0200

    dhcp4: cleanup useless classid availability check

commit 89f58074d16d659d7ac5666a86b26d01d25a4b63
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 9 17:02:46 2022 +0200

    testing: Transform bitmap-test.c to unittest

commit f3ce38bb201022e055149c08733903ee1018125f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 9 15:56:18 2022 +0200

    testing: Add tests for bitmask utility functions

commit 272a88b5392fc75a9d0fb1671d38a12d447fed2d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jun 9 15:55:42 2022 +0200

    util: Add bitmask utility functions

commit 2528892ac1986870ad891f32350c6532ca773cb5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Jun 7 17:05:33 2022 +0200

    testing/wunit: Add prefix to TESTCASE() generated functions

commit cff372a7b770e571da8af7e811103b483777c05b
Merge: cd308dc6 5291d16c
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Thu Jun 2 21:53:55 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/916
    
    lease: add clone utils and reference counting

commit 5291d16c0cae287ce1e20fa59efd7e5dd1c8f914
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 25 14:55:55 2022 +0200

    lease: add clone utils and reference counting

commit 6dd62ea9b27d0381cea7f9daa2711e1458907383
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 20 15:28:55 2022 +0200

    address: adjust address to use new refcount macros
    
    Renamed address_new to address_create like in route,
    added also an ni_address_list_copy utility function.

commit 61e2168d9dbf452a244d15502cd3c9c0a08e7869
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 20 14:40:12 2022 +0200

    route: adjust routes and rules to refcount macros
    
    Added also rule array and route tables copy utils.

commit 36febb320f6c3ec054571c0f292b72cb772b6d0c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 20 14:08:33 2022 +0200

    refcount: add reference couting utilility macros
    
    Co-authored-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit dde20d8eef14371b93392db90202644b3d1bd824
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri Mar 18 12:28:10 2022 +0100

    Add unit-test for src/socket.c
    
    Cover upcoming regressions and check for issues in corner cases
    which failed in old implementation.

commit afc02733993e959f4769888cf56bee9de1668c2e
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Mar 23 14:34:35 2022 +0100

    socket: Assert early when releasing a active socket
    
    If a `ni_socket_release()` is called with a refcount equal to `1`,
    we hit a assert in a recursive call of ni_socket_release().
    
    Simply check that no one call `ni_socket_release()` on the last
    reference, while the socket is still active!

commit df32481abd443b58caddaf3969e9cfab40caeeef
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Mar 23 13:11:57 2022 +0100

    socket: Do not call close() callback twice
    
    The close() callback was called unconditional, thus it got called
    even if the file descriptor is already unset.

commit 9e7b5059e1f729447eeb3366d13bd7f0e36083b5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 28 16:05:32 2021 +0100

    socket: Fix concurrent manipulation of static socket array
    
    In ni_socket_array_wait() we should not manipulating the same array
    what we use for iteration.
    The static socket array __ni_sockets should not be used for iteration,
    as we might manipulate the array via ni_socket_close() from other
    modules.

commit 7b7576d0ea77fc13518ae336a96c5e9921399a1d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon May 30 17:23:19 2022 +0200

    dhcp6: consider relese complete regardless of status
    
    USGv6: DHCPv6_1_2_07e,1_3_03, According to RFC 3315 Section 18.1.8,
    ”When the client receives a valid Reply message in response to a Release
     message, the client considers the Release event completed, regardless
     of the Status Code option(s)returned by the server.”

commit 58364c8d20047e7150f97b04e803e12a70340241
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 28 13:55:48 2021 +0100

    dbus-connection: Add missing ni_socket_release() calls
    
    When ever we do not care of a ni_socket_t object, we need to call the
    ni_socket_release(), otherwise the reference will kept forever.

commit be181b1db799665761bfbc45f769994a0f7d3dfa
Merge: bf4d9197 44cf8531
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Mon May 23 10:17:11 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/915
    
    client: add --[no-]release option to ifdown/ifreload (jsc#SLE-10249)

commit 44cf8531fdae2494f820cfe54b716910459dacdd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 13 15:49:52 2022 +0200

    client: add --[no-]release option to ifdown/ifreload

commit d4182568210daa4f94d3bff1838c32e67f49e364
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue May 17 17:57:07 2022 +0200

    dbus: Fix common dbus string_array handling
    
    We missed the cleanup of the old value. This lead into
    orphan entries in our local datastructure.
    
    It was detected when debugging BSS info on wireless.
    If I kept the same SSID/BSSID, but changed pairwise or key management
    settings, the old values where still displayed. Because the dbus
    object just get updated.

commit ecaccd4abfc441acb1c68a585833982d70ab412a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 13 15:30:44 2022 +0200

    fsm: pass transition arguments to method arguments

commit d982c97923764852cfde4aa6aaf8b34291b17bf2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 13 15:10:22 2022 +0200

    dbus: add options dict argument to dhcp dropLease()

commit df563d56454f9c5629d7fd5a252a38ba55a7f605
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 13 14:57:56 2022 +0200

    dbus-xml: expose get_argument_type, add _name utility

commit 8339f6f897a61558cd43c241a1c451a0e1445894
Merge: b3a07a52 7562a598
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed May 11 21:30:28 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/912
    
    ifevent: always close old rtnl event sock on restart (bsc#1192508)
    
    The used ni_socket_release(), while restart on rtnetlink event
    errors, didn't closed and deactivated/removed the obsolete socket
    from poll processing immediately. This caused further restarts and
    finally an assertion due to incorrect reference count.

commit b3a07a520c58b2db34dccb398ef9d770b6f41409
Merge: 885ace85 55c773b2
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed May 11 21:24:14 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/864
    
    service: remove systemd-udev-settle dependency from wickedd.service

commit 7562a598b29026f27637244411595c6968daede6
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 28 13:47:24 2021 +0100

    ifevent: always close old rtnl event sock on restart
    
    The used `ni_socket_release()`, while restart on rtnetlink event
    errors, didn't closed and deactivated/removed the obsolete socket
    from poll processing immediately. This caused further restarts and
    finally an assertion due to incorrect reference count (bsc#1192508).

commit 885ace85a2e7f088a30f4e648905f74a2cd7dd8c
Merge: 68a77fb1 d48906e7
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Apr 28 14:43:26 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/911
    
    Remove libiw dependency (since https://github.com/openSUSE/wicked/pull/872)
    used to detect wireless interfaces only.
    Unfortunately `rtnetlink(7)` does not provide this info in the `NEWLINK`
    message, so we're using sysfs telling us if an interface has a wireless
    extension, once the `/sys/class/net/$name/wireless` directory exists
    (issue: https://github.com/openSUSE/wicked/issues/910).

commit d48906e79036bcf36214235eaaf2feca09060d46
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Apr 20 18:30:55 2022 +0200

    wireless: Remove libiw dependencies
    
    Remove libiw dependency (since https://github.com/openSUSE/wicked/pull/872)
    used to detect wireless interfaces only.
    Unfortunately `rtnetlink(7)` does not provide this info in the `NEWLINK`
    message, so we're using sysfs telling us if an interface has a wireless
    extension, once the `/sys/class/net/$name/wireless` directory exists
    (issue: https://github.com/openSUSE/wicked/issues/910).

commit 68a77fb16bcbafb89dfd505586b6e2f86493512c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Apr 13 13:23:56 2022 +0200

    version 0.6.69

commit 064f88316783d28f6a26bbb34bd6767feff59678
Merge: 1b573976 2d32bf7a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Apr 13 12:38:57 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/909
    
    redfish: decode smbios and setup host interface
    
    Add initial support to decode the SMBIOS Management Controller Host
    Interface (Type 42) structure and expose it as wicked `firmware:redfish`
    configuration to setup a Host Network Interface (to the BMC) using the
    `Redfish over IP` protocol allowing access to the Redfish Service (via
    redfish-localhost in /etc/hosts) used to manage the computer system.
    Tech Preview (jsc#SLE-17762).
    
    See also:
     - https://www.dmtf.org/standards/redfish
     - https://www.dmtf.org/dsp/DSP0270

commit 2d32bf7aa11104bd78a0722a601623c1c4248bf5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Apr 13 10:09:53 2022 +0200

    man: add an wicked-redfish(8) manual page

commit 101de45fd301d0fddc2ef9ca198aef968ed86ffc
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 1 16:28:47 2022 +0200

    scripts: add redfish-update post-up/pre-down
    
    The redfish-update post-up/pre-down script adds the "Redfish
    Service IP" address to /etc/hosts using the "redfish-localhost"
    hostname and the "Redfish Service Hostname" if defined by the
    redfish protocol settings.

commit 932fb1ea7a5908c9ef7fb0619f731a411dfecee5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 31 18:18:14 2022 +0200

    client: add redfish service hosts update actions

commit 96c31fb14f6c57f35a58fd8bbee0517b5db2e183
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 31 18:18:14 2022 +0200

    client: add redfish service hosts update actions

commit 878e8dde06c27698821d53da329f2f708f59ac75
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 31 18:16:21 2022 +0200

    client: add redfish command to use in extensions

commit 1b573976a1825246cd518e9c35a3cec06e03fb48
Merge: 3df9735c 4879cdb0
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Apr 1 17:11:07 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/908
    
    wireless: Fix WPA_PSK given as 64byte long hex string

commit 3df9735cd8d4bc35508e19edd63938c094fd2885
Merge: 9f4a45e5 4479350e
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Apr 1 17:07:43 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/907
    
    xml-schema: Fix refcount handling for ni_xs_type_t

commit 9f4a45e5755b72f100cab68d88ef37e2a1718d97
Merge: 83d1f0ff ba400d03
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Apr 1 17:06:12 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/906
    
    man: Remove obsolete ifup-sysctl from ifsysctl.5

commit 4879cdb07ad5e56b97887571a2df1c5a3ba29092
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Mar 10 12:25:01 2022 +0100

    wireless: Fix WPA_PSK given as 64byte long hex string

commit 4479350e1f01ed3d74b7388f4cd218a4dea63658
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Mar 8 23:18:13 2022 +0100

    xml-schema: Fix refcount handling for ni_xs_type_t
    
    If the loaded xml-schema is errournous (e.g. a typo or missing include),
    the cleanup can hit a ni_assert(), because of missing refcount increment
    of the "array-element" type referenced in "array" type.

commit 83d1f0ff10cb3bbfde9a2f58ffae2e464e4c2357
Merge: c1896e6a aab15882
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Mar 30 10:40:48 2022 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/905
    
    compat-suse: Match sysctl.d read order with systemd-sysctl

commit bb283f6d5a5a87543264535a3f0a865f65654e03
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 28 11:41:27 2022 +0200

    sysfs: add utils to scan for usb and pci net devices

commit 6b13e6e9b8cd76057f3aa4b51ad0ba3783088a9f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 28 11:41:14 2022 +0200

    sysfs: little path defines cleanup

commit e7aec13cd877ba5f6a411a73afeca7ef2ec6fffe
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 28 10:47:41 2022 +0200

    utils: add ni_netdev_ref_array_t and basic utils

commit ba400d03c0a8ba7667766beb55f69f5666f389ab
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Mar 23 16:18:57 2022 +0100

    man: Remove obsolete ifup-sysctl from ifsysctl.5

commit c1896e6acf952aa1eee6efc941465bd75247b095
Merge: d56abf2c fc932a42
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Tue Mar 15 22:14:02 2022 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/904
    
    utils: use const pointer for ni_string_array_at

commit d56abf2c089e8be67962377a47996d5b958e3622
Merge: bfaba816 cc42be98
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Tue Mar 15 22:13:39 2022 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/903
    
    buffer: adjust uint length to size_t, guard init
     * adjust unsigned int buffer count and tailroom return type to size_t
     * add guards and return status in init and ensure_tailroom functions
     * adopt the using side to use size_t and zu printf formats

commit fc932a421785501b71985135febf8c929524fd83
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 15 17:09:41 2022 +0100

    utils: use const pointer for ni_string_array_at

commit cc42be988e61ac45451c8328ad4ba46e4e397020
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Mar 5 15:09:42 2022 +0100

    buffer: adjust length and printf formats to zu

commit 3bc7d344bfebb6917b7df1afc26472843fdc1ee9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Mar 5 15:04:47 2022 +0100

    buffer: adjust uint length to size_t, guard init

commit 7b620cce737a9921cea84e38d52bfd7742c56af1
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Feb 14 17:50:02 2022 +0100

    Fix: Apply DNS from RA rdnss after interface ifdown/ifup (bsc#1181429)
    
    On ifdown, the call `ni_auto6_release()` set the `auto6->enabled` state
    to FALSE. This state is never changed to TRUE even if we do a explicit
    `ni_auto6_acquire()`.

commit aab15882dba90ffd8c6f08405aa09114a3dc66f1
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Mar 3 10:39:02 2022 +0100

    compat-suse: Match sysctl.d read order with systemd-sysctl
    
    Match the read order of sysctl.d directories like systemd-sysctl.
    progps-ng does this since 3.3.17 [1].
    
    [1] https://gitlab.com/procps-ng/procps/-/commit/5da3024e4e4231561d922ad356a22c0d5d7bc69f

commit 3a974e43a74cceda9b7501f8186e35703327188d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Feb 21 12:05:30 2022 +0100

    compat-suse: Fix reading of sysctl varialbe addr_gen_mode
    
    Previously the value of sysctl addr_gen_mode was internally set to
    the value of use_tempaddr.

commit 1773c0326917418e3c1fcbc332105c698f423ef7
Merge: 5617850e 6826c83d
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 15 11:36:21 2022 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/899
    
    gitlab-ci: Use CI_PROJECT_NAMESPACE for wicked-ci

commit 6826c83dd2a2f35a0babfdc8d72240e28c577d3c
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Nov 23 22:18:49 2021 +0100

    gitlab-ci: Use CI_PROJECT_NAMESPACE for wicked-ci
    
    Use the wicked-ci.yml from the same `PROJECT_NAMESPACE` as the wicked
    repo belongs to. E.g. if the CI is running on the project `cfconrad/wicked`
    it will also use the `wicked-ci.yml` from `cfconrad/wicked-ci`.

commit cc33ea321801ad8cd6689addd47d32215925de28
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jan 18 16:09:39 2022 +0100

    fsm: fix device rename via yast (bsc#1194392)
    
    Reset worker config instead to reject a NULL/empty config
    xml node -- introduced in wicked 0.6.67 by commit c2a0385.

commit 776494e6c3499da2b96acddfaae6f1a2eb5c7d53
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Dec 20 11:52:36 2021 +0100

    version 0.6.68

commit 3fa9265defff1b44dc03d3d29aa69b0b8fdfc32a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Dec 20 11:51:58 2021 +0100

    Add hint that wicked.spec.in is in git

commit 7bdb6d7d6e445be0f388a67067dc0c9fa362f661
Merge: 5d6e1d4c 90fd8b80
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Dec 16 17:26:21 2021 +0100

    Merge pull request  https://github.com/openSUSE/wicked/pull/896
    
    Fix sysctl file read precedence
    
     * Respect sort order of filenames from sysctl.d directories
       (complete commit 140a945645a1292d4bb5efd240f02f386ae70ae6).
     * Display sysctl key value pairs in debug
     * Add `ni_var_array_sort()` function.

commit 5d6e1d4cacd961418476cdf1987264166e7ea3c7
Merge: 1c2c048d 32fe5013
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Dec 16 17:24:45 2021 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/895
    
    Fix sysctl values for loopback device (bsc#1181163, bsc#1178357)
    
     * Discard config requests on sysctl variables which have the value "-1"
       (bsc#1181163, bsc#1178357)
     * Do not inherit "default" and "all" settings for loopback device (bsc#1181163)

commit 90fd8b80ad013cc627327d41c219e0cdc7123ed1
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 14 14:05:08 2021 +0100

    compat-suse: Fix sysctl file read precedence
    
    Respect sort order of filenames from sysctl.d directories, this
    continues on commit 140a945645a1292d4bb5efd240f02f386ae70ae6 which
    already start sotring the files.
    
    With this patch, the order takes place like `sysctl --system` does.
    A file has precedence over previous loaded files. The order is:
      * /boot/sysctl.conf-<kernelversion>
      * /run/sysctl.d/*.conf
      * /etc/sysctl.d/*.conf
      * /usr/local/lib/sysctl.d/*.conf
      * /usr/lib/sysctl.d/*.conf
      * /lib/sysctl.d/*.conf
      * /etc/sysctl.conf
      * /etc/sysconfig/network/ifsysctl
      * /etc/sysconfig/network/ifsysctl-<interface>
    
    All files from `sysctl.d/*` directories gets collected and sort by basename
    in ascending order. Once a file of a given filename is loaded, any file of the
    same name in subsequent directories is ignored.

commit eedb500c1c5406c3390c6c59f3f2c53f62c83e30
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 14 14:04:21 2021 +0100

    ifsysctl: Show sysctl variable and value in debug

commit ad1366b1e351f48ee1804620bfa51976d15b13a6
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 14 13:59:35 2021 +0100

    Util: Add ni_var_array_sort() and ni_var_array_sort_by_name()

commit 32fe501357784e06ef9aede47068dd8f6f96bb51
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 14 10:01:00 2021 +0100

    compat: use only interface sysctl's for loopback in suse ifcfg
    
    Don't inherit "all" or the "default" template sysctls for loopback, but only
    sysctl settings explicitly configured for "lo" interface (bsc#1181163).

commit 1c2c048d9ca64cf08d2223a15cfa2a06442cb99d
Merge: 63176b5e ca9a8094
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Thu Dec 16 14:04:02 2021 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/894
    
    cleanup: warnings, time calculations and dhcp fixes (bsc#1188019)
    
    - Cleanup timer/timeout and lifetime types and calculations with very high or
      infinite lease time, which caused high cpu on RaspberryPi 2 (bsc#1188019)
    - dhcp6: fix incorrect retransmission time randomization (re-)calculations
      USGv6: DHCPv6_7_1_05c, DHCPv6_7_1_05c, DHCPv6_7_1_05c
    - fix warnings from more recent compilers

commit 22411d884bf508289d301a2385d8dd6da2ed8431
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Dec 14 09:50:57 2021 +0100

    ipv6: Do not overwrite -1 value of syscfg variables
    
    References: bsc#1178357 bsc#1181163
    
    Discard config request and don't change sysctl settings that are set in
    the kernel to -1 as a "not supported/applicable for the interface" (type),
    e.g. `accept_dad` or `use_tempaddr` for loopback or point-to-point interfaces.

commit ca9a80944c0678b96d3e401f4ad4324cf453cdae
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Dec 9 08:14:38 2021 +0100

    dhcp4: don't start timers with infinite lease

commit 8ccc57d264be094b41451b83f3b466b672ff5220
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Dec 8 11:35:30 2021 +0100

    dhcp4: pretty-print max lease/timing debug log

commit 4ae84e91de07937a82266a8b61d33d62ee5420dc
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sun Dec 5 19:54:43 2021 +0100

    dhcp6: reset validation timer on bound/decline init

commit 14086ca7476093e45a65b539559f49fd4fb7b78a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 24 14:08:21 2021 +0100

    dhcp6: fix retransmission time (re-)calculations
    
    USGv6: DHCPv6_7_1_05c, DHCPv6_7_1_05c, DHCPv6_7_1_05c

commit e13d52ae23c0930df15c25ade5ee1de4bbd73597
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 24 13:58:51 2021 +0100

    time: adjust fsm and client/config seconds timeouts

commit 2079cf5776999b85af348b621b584b4244c08040
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 24 13:00:24 2021 +0100

    time: add seconds and lifetime types to schema

commit 5e0d380157434de38d228b0924ffcc0d944a1359
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:18:30 2021 +0100

    time: adjust dhcp4 timeout/lifetime calculations

commit 050b2ad1f7bba5ae5d5f45fbd2e6adea88afea6e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:18:14 2021 +0100

    time: adjust dhcp6 timeout/lifetime calculations

commit 63176b5e6eb08fbfdb2a9756c7df2aeb498d9e0a
Merge: 019c0bc6 e2b39fb8
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Dec 2 11:34:33 2021 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/893
    
    dhcp4: add option to set route pref-src to dhcp IP (bsc#1192353)
    
    When enabled in SUSE ifcfg config files with DHCLIENT_ROUTE_SET_SRC=yes
    or via `<ipv4:dhcp><route-set-src>true</route-set-src></ipv4:dhcp>` in xml
    config, the DHCPv4 IP address is set as the preferred source in DHCPv4 provided
    routes.

commit e2b39fb8496731bd915caf82452e42c737a12b35
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Nov 2 22:51:50 2021 +0100

    dhcp4: add option to set route pref-src to dhcp IP
    
    When enabled in SUSE ifcfg config files with DHCLIENT_ROUTE_SET_SRC=yes
    or via <ipv4:dhcp><route-set-src>true</route-set-src></ipv4:dhcp> in xml
    config, the DHCPv4 IP address is set as the preferred source in DHCPv4
    provided routes.

commit ffd799178ca07dfd3262986bc3108111aafb699f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Nov 25 17:09:27 2021 +0100

    wireless: Fix memory leak of ni_wireless_bss_t

commit c18ef79016447ff3639e70c3ced07967eddc6658
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 8 20:59:05 2021 +0100

    wireless: Rename ni_wireless_essid_already_exists to ni_wireless_config_has_essid

commit ff0e497e42d17907410d8a983c6f7d1c1c378042
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 1 15:40:17 2021 +0100

    wpa: Add objectpath of network when 'AddNetwork' call was successful

commit 017ea73ee20e0e26d97ec14b9a27b4f7059ae1bc
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 1 15:38:27 2021 +0100

    wireless: Reconnect on wpa_supplicant restart (bsc#1183495)
    
    If wpa_supplicant restarts unexpected, we need to configure
    wpa_supplicant again, as the previous configuration is lost.

commit 5c7eeed35a071346fd84f4d87b9bcc0eb373ac89
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 1 10:42:21 2021 +0100

    wireless: Mark if connection recover on wpa_supplicant restart is needed
    
    Remember, if we have enabled all network(s) in wpa_supplicant. This is used
    to to re-trigger it, while recover after wpa_supplicant restarts.

commit a53d73a2d6d8cc387bad26934bc17a88cfd2094e
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 1 10:39:55 2021 +0100

    wpa: Add wpa client ops handler to track wpa_supp restarts

commit 45892b9d0b5a77bae78d58b1a9c880a02f8e2bc2
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 8 20:39:48 2021 +0100

    wireless: Use pointer to store wireless config in ni_wireless_t
    
    There might be ni_wireless_t object without successful applied
    configuration. Such objects are identified by `wlan->config == NULL`.
    For this reason, the ni_wireless_config_t object is now referenced by a
    pointer inside of ni_wireless_t.

commit e38118905710d06bcdb66753a8b8f039ba81512f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 1 10:25:11 2021 +0100

    wireless: Separate set_state() function from wpa_supp callback

commit 5eaf4ff03e8c81e7bc3867c24449a7f46aa4eb77
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon Nov 1 10:14:33 2021 +0100

    wireless: Add copy config functions

commit 87eb8c4620851cb736015a083f07241374b06bca
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:16:41 2021 +0100

    time: adjust socket poll wait timeout

commit 19ad3f1bc084c906d0fffc0ff80239a99d6bc7f5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:16:17 2021 +0100

    time: adjust timer and timeout utils and calculations

commit 0ba590278226ee8e8abf22e9433488edf4cffba6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:13:01 2021 +0100

    time: add ni_timeout_t for lifetime in miliseconds

commit 00a4f9fa8cf660b1e2b56171e71d67fe5534aee6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:12:29 2021 +0100

    time: move related utils from socket.h to time.h

commit d65559d2737fbea1cc86109043c0909120ef5ab4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:10:52 2021 +0100

    cleanup: fix dhcp6 signedness comparison warnings

commit 208d3722e5591e9134f58e1536d2081a620a7f78
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 22 11:10:20 2021 +0100

    cleanup: fix dhcp4 signedness comparison warnings

commit 1e12a08d11bfd028e0afffaeaeace03016821c4e
Merge: 163934ef 6ebeabf8
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Fri Nov 19 09:24:19 2021 +0100

    Merge pull request https://github.com/openSUSE/wicked/pull/891
    
    tuntap: avoid sysfs attr read error (bsc#1192311)

commit 25a74b994a93f6e173bc7cecd559d85fb499c359
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:56:15 2021 +0200

    cleanup: don't reset ident before logging it

commit c96a79617c672c98d5fe501283493af90184d83e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:44:15 2021 +0200

    cleanup: different signedness comparison warnings

commit a94035aaa359bebd6a457af1d16a6bad97de7bc0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:38:15 2021 +0200

    cleanup: fix to use size_t format length modifiers

commit 9b073dd5a52ac167a52608af825d7c24d158257d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:34:15 2021 +0200

    cleanup: fix incorrect vasprintf return value check

commit ff081e21643047b005cecd35e680efd0eb37e293
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:32:07 2021 +0200

    cleanup: path name format truncation warnings

commit 2dc938e58ce64d8e26afdd144aa077135745608b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:28:37 2021 +0200

    cleanup: fix enum conversion due to wrong constant

commit 1d4a9e2ffc2918426132b6813e808c4e34057fa0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 27 11:27:16 2021 +0200

    cleanup: incompatible acquired pointer warning on 32bit

commit 6ebeabf8232bb5ffa27a6fc3e37c356305523436
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 17 17:34:07 2021 +0100

    tuntap: avoid sysfs attr read error (bsc#1192311)

commit fa9b275f1e275c4dc6aff7dd4937312c2c30fe55
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Nov 9 16:41:24 2021 +0100

    iflist: Display ifname on unexpect interface flags warning

commit c048b55ac02c3e47c4fadbd0c33ab29f8d93a513
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Nov 9 16:36:35 2021 +0100

    ifstatus: Fix warning of unexpected ifc flag combination (bsc#1192164)
    
    Do not log warnings for a valid flag combination on interface state
    changes, regression of 9970c287aaddef6a770e80f241d8acafb19bb89d .

commit 9e9ba6eb1f167f140701c52ddc7eb0ad0fb1b84b
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Nov 9 16:40:11 2021 +0100

    iflist.c: Remove trailing whitespace

commit 9917ec929d9d409905f43dd99d7a7da5eba0b2b9
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Nov 4 11:50:02 2021 +0100

    gitlab: Change gitlab issue template

commit f48390930b8e285a5d950d1e8c87c9cfbfbb830c
Author: Callum Farmer <gmbr3@opensuse.org>
Date:   Sun Oct 24 13:05:01 2021 +0100

    dbus: config in /usr shouldn't be marked as %config
    
    %config is only needed when the file is installed to /etc
    It shouldn't be used when it is installed to /usr

commit 9ec360fa0fcb8f48bddb27aeada3b24fdc44e973
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Oct 1 16:14:57 2021 +0200

    - version 0.6.67

commit 332fc4db89886f144b2002e4b1d77039b86f2c6b
Merge: da10480c 6471a601
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Oct 1 12:56:17 2021 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/885

commit 6471a601f2c2c8562a8ef79da95c59a9a3d18dd6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Oct 1 12:39:19 2021 +0200

    dbus: install config in /usr (bsc#1183407,jsc#SLE-9750)
    
    As a system service, wicked should install the bus config in
    /usr/share/dbus-1/system.d instead in /etc/dbus-1/system.d
    on more recent SUSE systems. Guarded to >= 15.5 code base
    as in jsc#SLE-9750, that is effective on Tumbleweed now.

commit 3de9772471c464658d5b46758907932f4fc89d7b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 16 03:21:38 2021 +0200

    process: log command of reaped child (gh#openSUSE/wicked#741)
    
    Changed error log message to debug with an additional warning
    when it took 1sec or more.

commit 0c96bee46c71ed897745ce8d184b0906ff3f464e
Merge: 75a5830f 9970c287
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Sep 10 13:30:15 2021 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/882
    
    ifstatus: Don't show link as "up", if UP and LOWER_UP but not RUNNING

commit 9970c287aaddef6a770e80f241d8acafb19bb89d
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri Sep 10 11:02:31 2021 +0200

    ifstatus: Don't show link as "up", if UP and LOWER_UP but not RUNNING
    
    With wireless we have the case, that the interface is in operstate equal
    to DORMANT. This is used to indicate the EAP authentication and set by
    the wpa_supplicant. In such state, we have LOWER_UP and UP, but __not__
    RUNNING.

commit 63f91e658ec09d7f35a53d7a55ec285dc9a56419
Author: Michal Rostecki <mrostecki@opensuse.org>
Date:   Wed Sep 1 11:36:32 2021 +0200

    firewalld: Make the firewalld zone assignment permanent (boo#1189560)
    
    Before this change, restarting the firewalld service resulted in lack of
    interface assignment. This change fixes that by making the assignment
    permanent.
    
    Signed-off-by: Michal Rostecki <mrostecki@opensuse.org>

commit 5272db97d765447ed271ec927d8e18d9e8086a9d
Merge: af342797 d0d739e2
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Aug 13 10:50:11 2021 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/876
    
    fsm: cleanup and improve ifconfig and ifpolicy access utils

commit af342797d37d9066cbe97961c25d30f63ad032f2
Merge: a4edf028 68fc3425
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Aug 13 10:49:17 2021 +0200

    Merge pull request https://github.com/openSUSE/wicked/pull/875
    
    dbus: cleanup the dbus-service.h file and unused property parse makros

commit 68fc34253cd3a20ba03bffd76ae40b8754a9c3d1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 23 12:27:03 2021 +0200

    dbus: remove rw flag from wireless dict properties

commit 686ba7928d19ce8004c1319bed5ad7ff510349d7
Merge: fb8dcaa5 64db817f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 23 12:25:06 2021 +0200

    dbus: Cleanup the dbus-service.h file and corresponding makros
    
    1) remove the unused .parse() function to gain the possibility to specify the
       `PROPERTY` makros with `SET_FN` or `GET_FN` to define only `.get` or `.set`
       handler function, e.g.:
          ```NI_DBUS_GENERIC_BYTE_ARRAY_PROPERTY(bss, IEs, ies, SET_FN)```.
        - `SET_FN` => from DBus to C
        - `GET_FN` => from C to DBus
    2) remove the unused `rw` argument from `NI_DBUS_GENERIC_DICT_PROPERTY`.
    
    From gitlab merge request wicked-maintainers/wicked!167 by Clemens Famulla-Conrad

commit a4edf0288f392c058179ba6ed07c93f4c0abfb06
Merge: 1a6818a2 8f5e7737
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Jul 23 12:23:24 2021 +0200

    Merge pull request #874 from mtomaschewski/code-spell
    
    cleanup: applied code-spell run typo corrections

commit d0d739e229487c31e188a99240314b2bad2e8854
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 13 15:28:35 2021 +0200

    client: use const in nanny add policy xml node call

commit d4cb0d074602999b9d197e840e1d4553a9776b59
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 13 14:07:13 2021 +0200

    fsm: expose also an ni_fsm_ifworker_new utility

commit c2a038568a220051dbfbdb2a6b31f027c72d51be
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jul 12 11:09:22 2021 +0200

    fsm: refactor worker from xml to expose identify

commit 64db817f64c37fb7c4d10a86f1b5943ca15ea5a5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 15 18:05:23 2021 +0200

    dbus: remove rw setting from NI_DUBS_GENERIC_DICT_PROPERTY

commit c6e981da0fc2216cda042c0c7f1ae19f8fc72ba2
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 15 17:14:54 2021 +0200

    dbus: Remove not used .parse function from ni_dbus_property

commit 52e898437360ebfacd99eb158b2654525c8cb139
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 9 12:45:34 2021 +0200

    nanny: imporove managed policy creation and set owner

commit 73b69d7bb76778ed0dbd93754c9f4fac8acb1952
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 9 11:56:18 2021 +0200

    dbus: use bool constants in unregister server object

commit 5de453ed21b9ab043dfddbac6812001e4cc43058
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 9 11:55:20 2021 +0200

    fsm: add ni_fsm_policy_array_t primitives and cleanup

commit 1e8480d64621755da9bc9d43c3953c0e41ab3912
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jul 8 14:11:40 2021 +0200

    client: checksum ifpolicy converted from ifconfig

commit bacc59d4b1dedaca97eca9648c8e918b41730b31
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jul 8 11:27:19 2021 +0200

    ifconfig: improve xml config/policy access utils

commit 2be9ee3df3a51685c10b14cebd0b8798272d5a14
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jul 8 09:18:37 2021 +0200

    util: add utility to init uuid to a null uuid

commit c2cc6ed4ed258c04a040013b62aae8b38ddfb033
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 29 12:04:55 2021 +0200

    dracut: fix to avoid adding interface configs twice

commit 7246316bd0ef5cfd7a4971746f311a04b2df909d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 29 11:20:38 2021 +0200

    dracut: improve bridge= option (error) handling

commit 8f5e77378b787cee807103c3148830882691967c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 20 09:39:52 2021 +0200

    doc: regenerated html documentation of xml schema

commit d704e39afe2c48a286f723e666b43d1a8b180771
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 20 09:39:07 2021 +0200

    schema2html: replace 1st multiline eol with space

commit 5d7751495d3b5e664391c0fa05a07f7afea3e0ed
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 20 09:38:39 2021 +0200

    schema2html: don't segv on missed dict entry type

commit 2fabf050df74f3fce83856659f1959fcf1ab4944
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 20 09:37:44 2021 +0200

    schema: add missed type to wireless bss wps dict

commit 4c124fbd084cc6fdc026e52af9a766c88c493fb2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jul 20 09:37:03 2021 +0200

    cleanup: applied code-spell run typo corrections

commit ffb448823c573fe6f613afae92f4ed7b822d5c5f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 29 11:05:45 2021 +0200

    dracut: improve team= option (error) handling

commit 10be719c89d439fd45301c01f833e8ae33d02f59
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jun 28 15:42:20 2021 +0200

    dracut: improve bond= option (error) handling

commit 2c6fa24d233bce17c7e60f10c7850c6fc2472123
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 18 08:08:50 2021 +0200

    compat: do not generate empty bond slaves node

commit a5e7d1650e355503ec4e04869d48577a7b51f5d2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 17 17:41:15 2021 +0200

    compat: fix vlan id parsing in suse ifcfg

commit b1707ea4f596ca51c29e1c81f510a0626708d612
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 17 17:41:13 2021 +0200

    dracut: fix and imporve vlan= option parsing

commit a03b335d3b2cd3e6de4d3ed5790961ab63efcbf0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 17 11:51:12 2021 +0200

    dracut: expose ifname= as pre-parsed meta option

commit ea4dc4dbe1386b3f72a5c6b4a03a019b03331bcd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 17 11:40:43 2021 +0200

    dracut: refactor to parse known params in order

commit 1038f415e1f2d06421577c250155b55d00a9d578
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 17 10:51:50 2021 +0200

    compat: prefer ifname to generate ifconfig xml

commit fb8dcaa59ba7ec1485da36043ec1282feab0f3f8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 15 20:15:22 2021 +0200

    version 0.6.66

commit c0b83688b1ea08996ae842bfec3f3f6b451b16a8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 15 20:12:37 2021 +0200

    spec: updated copyright year

commit 5904f7a4309474cc69c7a70538afb5c05bdfe4fd
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:44:05 2021 +0200

    wireless: Read WIRELESS_REGULATORY_DOMAIN from global config
    
    Read the WIRELESS_REGULATORY_DOMAIN from /etc/sysconfig/network/config
    instead of ifcfg-* files.

commit beabc2cb6ab37301339dbe82d6876fa41322a1c8
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:43:35 2021 +0200

    wireless: Adopt manpages to latest code changes
    
    The man-page is written in markdown within the file `man/src/ifcfg-wireless.5.md`
    and converted to man with pandoc:
    ```
    pandoc -s --to man --from markdown ./man/src/ifcfg-wireless.5.md > man/ifcfg-wireless.5.in
    ```

commit f180db90782ac852d04bd47d58d0884c94c70fc3
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:43:05 2021 +0200

    wireless-ifcfg: Allow scan only configuration
    
    We allow configurations which have only one of the following
    wireless settings set: WIRELESS=yes, WIRELESS_AP_SCANMODE,
    WIRELESS_WPA_DRIVER or WIRELESS_ESSID.

commit 91c75771b59415e1321980842bb4d56dedaa6dd0
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:41:33 2021 +0200

    wireless: Fix WPA-EAP and certificat handling (TLS/TTLS/MSCHAPv2)
    
    This commit allow the configuration of TLS, TTLS and MSCHAPv2.
    
    In ifcfg files, the specified certificate path will be passed to
    wpa_supplicant.
    In wicked-xml configuration files, there is support for different
    formats:
     * `path`: a normal path, wpa_supplicant need to have read access
       (like ifcfg)
     * `external-file`: The certificates get read by `nanny` and
       transferred to wickedd as `blob`
     * `hex-string` the certificate data as hex-string.

commit 2073dfe512579a3c579de439e81187abcf919ee5
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:41:02 2021 +0200

    wireless: Show wireless connection info in ifstatus
    
    Example output `wicked show-xml <wlan>`
    ```xml
    <current-connection>
      <state>established</state>
      <bssid>02:00:00:00:00:00</bssid>
      <signal>-30</signal>
      <duration>136</duration>
      <authmode>WPA2-PSK+WPA-PSK</authmode>
    </current-connection>
    ```
    
    Example output `wicked --verbose ifstatus <wlan>`
    ```bash
    wlan1           up
          link:     #6, state up, mtu 1500
          type:     wireless, state established, ssid MySSID Muha, WPA2-PSK+WPA-PSK
          wireless: bssid 02:00:00:00:00:00, signal -30, duration 7s
    ```

commit cd005af6770d855b9f12fce147aca4fc254f22bd
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:39:32 2021 +0200

    wireless: Fix WEP configuration
    
    This commit fix WEP configuration.
    
    Use _one_ single function to parse WEP keys from different formats.
    Supported formates are string, hex-string or `-` separated hex-string,
    like iwconfig did it.

commit ad008f8e705bd0d1871f2b7b045048407f138d0a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:38:52 2021 +0200

    wireless: Use a dedicated structure to store scan results
    
    Use a dedicated structure (ni_wireless_bss_t) to store and hold wireless scan
    results.
    
    A user of wpa-supplicant.c can set a callback `on_scan_done()` which
    get's a list of all current BSSs.
    A new scan can be triggered with `ni_wpa_nif_trigger_scan()`.

commit 22315a53eee5ff42a8f7f2d2127838d8a47e716c
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:37:47 2021 +0200

    wireless: add handler for DBus method shutdownDevice()
    
    On shutdown, the interface configuration from wpa-supplicant gets
    deleted.

commit 24c7aa629dcbb19c5182ecd66fcadde01a03058f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:36:27 2021 +0200

    wireless-xml: Store the list of networks in a <networks> array node
    
    Changed the wireless config from:
    ```
    <wireless>
      <network></network>
      <network></network>
    </wireless>
    ```
    to
    ```
    <wireless>
      <networks>
        <network></network>
        <network></network>
      </networks>
    </wireless>
    ```
    
    A migration implemented in `src/client/policy.c`, so old version get
    automatically updated!.

commit f50e4690f6f7351b1292c0e7831e9f0dde5c5953
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:34:05 2021 +0200

    wpa: Use new DBus API from fi.w1.wpa_supplicant1
    
    Change the DBus interface of wpa_supplicant to v1 version
    (see: https://w1.fi/wpa_supplicant/devel/dbus.html).
    
    Following interfaces are implemented/used:
        * fi.w1.wpa_supplicant1
        * fi.w1.wpa_supplicant1.Interface
        * fi.w1.wpa_supplicant1.BSS
        * fi.w1.wpa_supplicant1.Network
    
    The idea is, that wpa-supplicant.[ch] is considered as helper to
    communicate with the wpa_supplicant service, but do _not_ have a 1:1 relation
    to wireless.c, because we would like to use it later with 802.1X on
    ethernet as well.
    
    A user can register various callbacks to get status and property updates
    like:
      * on_network_added
      * on_network_selected
      * on_state_change
      * on_properties_changed
    
    As we do not write every property of a fi.w1.wpa_supplicant1.Network we
    can not "update" such a DBus object, we need to delete and recreate
    them.
    A network is created on `DeviceChanged` event, but it is `disabled`. On
    wireless_connect() all networks get enabled.

commit 6685ae912e5f770af4d5a940dd78005a0003a5c3
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:33:21 2021 +0200

    ifconfig: Call wireless_connect() before ni_netdev_device_is_up()
    
    With 36a08a878 the call of `wireless_connect()` was omitted. But we need
    the call of `wireless_connect()` cause it is used to enable the
    configured networks.

commit eed7dddbc1e1b2bcf5ae75a64377806dba8948e0
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon May 31 22:32:50 2021 +0200

    wpa/wireless: Use bitmaps for capabilities like key-mgmt, ciphers a.s.o
    
    We need bitmaps instead of enum for a lot of capabilities like
    key-mgmt, ciphers and wireless proto.
    For example with pairwise-ciphers, we need to define TKIP, CCMP or both.
    
    Co-authored-by: Marius Tomaschewski <mt@suse.com>
    Co-authored-by: Clemens Famulla-Conrad <cfamullaconrad@suse.com>

commit 7fb3eda6da87748636b3cc6de86fd101868d9c23
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:32:03 2021 +0200

    wireless-compat: Only set priority based on WIRELESS_PRIORITY
    
    Use value given with `WIRELESS_PRIORITY`. The order in the ifcfg file
    does not specify any order. Default priority is 0.

commit ce3ea7c31156ead6fbde1627a28df9eeb661b089
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:31:43 2021 +0200

    wireless-xml: Drop method setScanning()
    
    Only valid methods are:
     * changeDevice -- configure the device incl. scanning according to ap-scan setting
     * shutdownDevice -- delete device in wpa-supplicant
     * linkUp -- connect a network == ni_wireless_connect(dev) in src/ifconfig.c
     * linkDown -- disconnect a network == ni_wireless_disconnect(dev) in src/ifconfig.c

commit 7d459983f411e8675155e60f31b977a9b7f671f3
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:27:13 2021 +0200

    wireless-xml: Format and indent according to .editorconfig

commit e73a354cdc95bd71d8e2b55e7ec1f67cb35eb34a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Mon May 31 22:22:28 2021 +0200

    wireless: Rename ni_wireless_print_ssid and other *_ssid_*()
    
    Rename:
      * ni_wireless_print_ssid() => ni_wireless_ssid_print()
      * ni_wireless_parse_ssid() => ni_wireless_ssid_parse()
      * ni_wireless_match_ssid() => ni_wireless_ssid_eq()
    
    Add function:
      ni_wireless_ssid_print_data(const unsigned char *data, size_t len, ni_stringbuf_t *out);
    
    Avoid static buffer in `ni_wireless_ssid_print()` and use `ni_stringbuf_t`.

commit 46bcfa84e1d13931c016ccadbbac1a5beb257a2f
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon May 31 22:21:22 2021 +0200

    wpa: use wpa debug tag instead of wireless
    
    Replace ni_debug_wireless() with ni_debug_wpa() in wpa-supplicant.c.
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 77707e2e1bee6216c341eee4fe7e891d5304b18d
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon May 31 22:20:40 2021 +0200

    wpa: add wpa logging tag and ni_debug_wpa macro
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 4930c5d6d8451520a0b70ea7d518af0bb9230ecf
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri May 7 15:39:25 2021 +0200

    nanny: Fix ni_nanny_identify_node_owner() exit condition
    
    The function is calling it self recursively with `node->parent`, but
    didn't checked if node is already a root one.
    
    This just fix the `Segmentation fault` which was discovered, if we reach
    a configuration constraint like:
    
    ```xml
    <password type="string" constraint="required">
      <meta:user-input type="password" prompt="please enter WPA EAP password"/>
    </password>
    ```
    and the password wasn't set in the current configuration.
    
    But it doesn't fix the prompt for password!

commit dfe9a01ff6c25dd0585420100e82c5222bffcd0c
Merge: ac5e5a62 4cedb2f2
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Apr 30 12:07:02 2021 +0200

    Merge pull request #870 from cfconrad/dbus_schema_add_hex_string
    
    xml-schema: add hex-string byte-array notation

commit ac5e5a62aa555a47f2348f24b779e093c48bfaaa
Merge: 8cbb5ccd 08db604e
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Apr 30 12:06:43 2021 +0200

    Merge pull request #867 from cfconrad/github_pr_1_format_bitmap_to_array
    
    utils: format/parse bitmap to array and string alternatives

commit 08db604e0578468be83b0efa883a262ac2566078
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Sat Apr 17 00:18:44 2021 +0200

    testing: Add bitmap-test.c for bitmap utils

commit 9ad116bf2e6d1d469f822ab26bf80ddd79a84109
Author: Marius Tomaschewski <mt@suse.com>
Date:   Sat Apr 17 00:22:56 2021 +0200

    utils: format bitmap to array and string alternatives
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 95ca24b9f82ab8ff4c15a4d211e2de6ae3028375
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Apr 9 11:22:06 2021 +0200

    utils: added parse bitmap string and array utils
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 8785279417fa31af8bb5ab4527ca0f841f91090b
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Fri Apr 16 23:29:55 2021 +0200

    util: Add function ni_stringbuf_join()

commit 4cedb2f2499a982aae5c8743ec693b0a142de5d9
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Apr 15 16:19:52 2021 +0200

    xml-schema: Add hex-string
    
    On XML, the data is in the format of `^([0-9a-f]{2})*$` and each two ascii
    characters representing one byte.
    
    It can be used to store opaque data in XML. The DBus end will get a
    byte-array.

commit 8cbb5ccdfaa49420342861facaaacff3a9b6cab7
Merge: d4b311ae fe395ee1
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Apr 6 16:19:21 2021 +0100

    Merge pull request #866 from mtomaschewski/dhcp6-nis
    
    dhcp6: request nis options on sle15 by default (bsc#1181812)

commit d4b311ae42fed1835d0f8f92b24a314e5814f177
Merge: 60042077 d47aa210
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Apr 6 16:19:10 2021 +0100

    Merge pull request #865 from mtomaschewski/dhcp4-reboot
    
    dhcp4: discover on reboot timeout after start-delay (bsc#1181812)

commit fe395ee115d4a8150b1954f7bdba8f4df1e74641
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 31 15:58:11 2021 +0200

    dhcp6: set nis servers from response msg in lease

commit e23949fe561cd16b52ab488f92138b5184e9cb5e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 31 15:44:53 2021 +0200

    lease: consider nis with multiple domains for dhcp6

commit 7ae954e38d366e40913716eb6595255390931d1b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 31 15:32:03 2021 +0200

    nis: cleanup nis definitions for wicked

commit 840a9372a69c9d8f6c29af2dd152b93233739418
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 31 15:29:05 2021 +0200

    utils: add an string array find match utility

commit 86bcdd9e21bee58807b5813c288e684d2c8eb6ca
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 31 15:24:33 2021 +0200

    config: fix to init update flag mask to defaults

commit ded7f66ccbc8b98ef6d8a78534df53f1a2108e16
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 31 15:23:26 2021 +0200

    dhcp6: request nis options on sle15 by default

commit 6004207734f57e10ac74b7c2f87c55aae4689288
Merge: 8964ba2f f5aacaeb
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Mar 25 08:47:51 2021 +0000

    Merge pull request #862 from mtomaschewski/ethtool-perm-addr
    
    client: expose ethtool --get-permanent-address option

commit 8964ba2fa10efe8993d5cd987dbfbfeefeb55c3c
Merge: add770c2 bbf7148e
Author: Marius Tomaschewski <mt@suse.com>
Date:   Fri Mar 19 14:18:31 2021 +0100

    Merge pull request #863 from cfconrad/cfconrad_github_pr_schema_improvements
    
    xml-schema: Do not allow anon types for union and struct

commit d47aa2101029238c9526914e454452c97beb26ce
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 18 11:38:33 2021 +0100

    dhcp4: discover on reboot timeout after start-delay (bsc#1181812)
    
    When enabled, randomize start delay in range 1..config, max 10sec.

commit 55c773b20ea615a7ed96935fef735028eaa6e605
Author: madanyang <madanyang@users.noreply.github.com>
Date:   Mon Mar 15 21:50:15 2021 +0100

    Remove systemd-udev-settle
    
    According to udevadm systemd-udev-settle.service is deprecated. Hence removed from Wants and and After

commit bbf7148ea26369e05fb622a47232103c6f9f4daa
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Mar 11 16:00:56 2021 +0100

    xml-schema: Fix ni_xs_name_type_array_find_local() with NULL check
    
    Anon types have `ni_xs_name_type_array_t->name` equal to NULL.
    This fix a NULL pointer exception in such a case.

commit 56ad5bcd581aaa38c35be4ed37aa216d0f7d6d5f
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Mar 11 16:00:30 2021 +0100

    xml-schema: Do not allow anon types in union or struct
    
    We do not allow anon types in `union` or `struct`, as we already to with
    `dict`.
    
    This is forbidden after this commit:
    ```xml
    <define name="certificate" class="union" switch="type">
      <path type="string"/>
      <external-file/>
      <hex-string/>
    </define>
    ```
    
    Each child element of a union or a struct need to be defined in the
    "complex" way like:
    ```xml
    <define name="certificate" class="union" switch="type">
      <path type="string"/>
      <file type="external-file"/>
      <hex  type="hex-string"/>
    </define>
    ```

commit f5aacaebce5591f46879f2ddd0aaa70e392551c8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 10 03:43:08 2021 +0100

    client: expose ethtool --get-permanent-address option

commit 5ddb8d4027a7717abbf86016731128da38b8d6d8
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Mar 9 23:18:28 2021 +0100

    dbus: Format code in ni_dbus_property

commit 6d8c9c016c148bbe1e3a6507b339cc024e0cc5d6
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Mar 9 23:17:27 2021 +0100

    dbus: Add generic byte-array property macros
    
    Add the ability to use byte arrays as generic property.
    The data is stored in a dynamic ni_byte_array_t.

commit b1943f8b943e83452bc017ea2d1d614c619f7ff1
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Mar 9 23:12:23 2021 +0100

    utils: add initial byte_array utilities
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 66681c3398e48165e118ca1fc525222c9c2262df
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 4 13:35:57 2021 +0100

    version 0.6.65
    
    - ifconfig: differentiate if to re-trigger dad on address updates (bsc#1177215)
    - client: parse sysctl files in the correct order (bsc#1181186)
    - ifup: fix for set up with unenslave from unconfigured master (boo#954329)
    - rpm: prepare for new builds using usrmerged rpm macro (boo#1029961)
    - rpm: Let wicked-service also provide service(network)
    - cleanup: remove obsolete use-nanny=false (gh#openSUSE/wicked#815)
    - dbus: add variant container, generic object-path and uint32 array macros

commit ee332a0af747ec8814bf885fa4ea409c5da5b2fc
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Feb 23 23:49:59 2021 +0100

    dbus: Add ni_dbus_variant_t of type UINT32_ARRAY
    
    This allow sending and receiving of DBus types like 'au'
    (DBUS_TYPE_ARRAY_AS_STRING DBUS_TYPE_UINT32_AS_STRING).

commit 0a59dfb63bbd1e539d789f32b5b14a940f726052
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Feb 23 23:49:21 2021 +0100

    dbus: Add ni_dbus_variant_is_object_path_array()
    
    Add new function to check if variant is of type object-path-array,
    and also `NI_DBUS_OBJECT_PATH_ARRAY_SIGNATURE`.

commit d3660eeb3409eae3fa691e86a3719c273669d08b
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Tue Feb 23 23:32:16 2021 +0100

    dbus: Add generic object_path and object_path_array property macros
    
    This commit add the two macros:
    
      * `NI_DBUS_GENERIC_OBJECT_PATH_PROPERTY`
      * `NI_DBUS_GENERIC_OBJECT_PATH_ARRAY_PROPERTY`
    
    and the required impelementations to fill `.set`, `.get` and `.parse` in
    the ni_dbus_property_t structure.

commit 6655fe90790c31f87b7bc96590ac3ce2893c0f00
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 23 23:46:16 2021 +0100

    dbus: add signature utility macro for common types
    
    Signed-off-by: Clemens Famulla-Conrad <cfamullaconrad@suse.de>

commit 2e403ca0e5bd2436f35b9bfd1228940523aa9911
Merge: 2a05c77e 42b443fb
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Feb 19 13:58:11 2021 +0000

    Merge pull request #857 from mtomaschewski/retrigger-dad-or-not
    
    ifconfig: differentiate if to re-trigger dad on address updates (bsc#1177215)

commit 42b443fbc6ef71f2a26400558138f257aabbfe91
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 1 13:22:26 2021 +0100

    ifconfig: differentiate if to re-trigger dad on address updates

commit 22c9f13a553e616edd7088aab4f234b782ae1715
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 1 12:53:58 2021 +0100

    dhcp6: set lease addresses tentative on link-up/reconnect
    
    When we've just started or on each link-up (carrier detected)
    event, set all lease addresses tentative for the next commit
    to retrigger dad as we "may have moved to a new link".

commit a6255dd4c220735c9555bdc299bba85932cced15
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 1 12:53:05 2021 +0100

    lease: add utility to set all addresses (non-)tentative

commit fc3da8167a8f99e6ac40b4770723e6689fd69de9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 1 12:51:28 2021 +0100

    address: add nodad address flag utilities

commit 2a05c77ede159ab152a4595a44f9e9f7c1d94370
Merge: 5ed54b42 d19b4124
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Feb 15 15:17:16 2021 +0100

    Merge pull request #855 from cfconrad/github_cfconrad_master_pr_display_error
    
     dbus: Display element name on unknown enum value error

commit 5ed54b4295c26ed75a7d0d07dcc17e7f4731c914
Merge: a65d572c d398b9fb
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Feb 15 15:10:21 2021 +0100

    Merge pull request #854 from lnussel/usrmerge
    
    rpm: prepare for usrmerge (boo#1029961)
    
    In order to prepare for Tumbleweed to finish the [UsrMerge](https://en.opensuse.org/openSUSE:Usr_merge), the compat symlinks in /(s)bin have to get out of the way. The rpm macro %usrmerged was introduced to allow to prepare packages and to be able to do the switch globally once as soon as all packages are prepared.

commit a65d572ce351518d02fc40770e2e41115d8806a9
Merge: e59b8609 140a9456
Author: cfconrad <40127946+cfconrad@users.noreply.github.com>
Date:   Fri Feb 12 14:21:07 2021 +0100

    Merge pull request #856 from Dzejrou/master
    
    client: parse sysctl files in the correct order (bsc#1181186)

commit e59b8609519395f65717d1c37c66f85f28f8938b
Merge: 0c07e72f cf6b7cdd
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Feb 9 11:49:32 2021 +0000

    Merge pull request #853 from Vogtinator/patch-1
    
    spec: let wicked-service also provide service(network)

commit 140a945645a1292d4bb5efd240f02f386ae70ae6
Author: Jaroslav Jindrak <jjindrak@suse.cz>
Date:   Thu Feb 4 15:13:59 2021 +0100

    client: parse sysconfig files in the correct order

commit d19b41243208cbe1b889042564ab47e2c71aa014
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jan 21 14:30:57 2021 +0100

    src/dbus-xml.c: strip whitespace

commit aacf60547cb5d7907030e2754cd5ca69856a5e94
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Jan 21 14:30:25 2021 +0100

    dbus: Display element name on unknown enum value error
    
    If a enum value contain unknown things, the error message should output
    also the element name which it belongs to.
    New output format looks like:
    
    ```
    Dec 04 13:57:54 linux-22ob wickedd-nanny[3372]: /run/wicked/nanny/policy__wlan1.xml:21: element <auth-proto>: unknown enum value "wpa1,wpa2"
    ```

commit d398b9fbd81c6a3892b41280f72d62851ea7d75b
Author: Ludwig Nussel <ludwig.nussel@suse.de>
Date:   Mon Nov 30 17:15:57 2020 +0100

    prepare usrmerge (boo#1029961)
    
    When the %usrmerged macro is set, all binaries should be placed in /usr.
    No change to file list without.

commit cf6b7cdd8a12608ea0e738a0cba635db8c10d9ab
Author: Fabian Vogt <fvogt@suse.de>
Date:   Fri Nov 27 14:31:31 2020 +0100

    Let wicked-service also provide service(network)
    
    The old provides is kept for compatibility for now.

commit 662cd552db276b84517bbbe3aeccece905320d68
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Nov 26 14:19:08 2020 +0100

    dbus: Add ni_dbus_variant_print(stringbuf, var)
    
    Add function to print a ni_variant_t into a stringbuf. Also implement
    the type DBUS_TYPE_VARIANT.
    Added DBUS_TYPE_ARRAY represented like <array> to avoid warnings.

commit 852f195837be9513da660b143b57d576c1ea36b6
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Nov 26 14:18:46 2020 +0100

    dbus: add initial variant container type handling

commit 56a823276f95c0eefc064d4afe3e6a241cfe1c5d
Merge: d8e7727f d7972817
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Nov 26 01:55:19 2020 +0100

    Merge pull request #851 from mtomaschewski/drop-use-nanny
    
    cleanup: remove obsolete use-nanny=false (gh#openSUSE/wicked#815)

commit d8e7727ffde98536f676fd4967380fedc31f5768
Merge: 31e83383 468a60bc
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Nov 26 01:54:47 2020 +0100

    Merge pull request #850 from mtomaschewski/ifup-unenslave
    
    ifup: fix for set up with unenslave from unconfigured master (boo#954329)

commit d7972817e30c1af37743c449c205802e7b777526
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 27 23:06:55 2020 +0100

    cleanup: remove obsolete use-nanny=false (gh#openSUSE/wicked#815)

commit 31e83383efdb0bcb7530a8e91868fc11bdda52f3
Author: mmnelemane <mmnelemane@suse.com>
Date:   Tue Nov 17 11:27:49 2020 +0000

    Add new template file for regular issues

commit 468a60bcf107b7375702490a4a1171860429d852
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 2 12:14:46 2020 +0100

    fsm: reset all netdev properties before refresh

commit eb7ff4308380013ebe903f0c11498e19afac5429
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 2 12:13:18 2020 +0100

    netdev: cleanup and add all property reset utility

commit c9256d08c8a7236d70a60508f01752c444191679
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 2 12:11:16 2020 +0100

    ifconfig: refresh link state after unenslave
    
    Obsolete state information caused to no set up the interface
    after unenslave from undesired/unconfigured master while ifup
    and caused an error of the wait for link/carrier call later.

commit 2902c2b75969ee1f8eedcf3bd6e46ceeedee12bb
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Sep 30 16:30:40 2020 +0200

    version 0.6.64

commit b4283ef2802509168d3c150ce14dafe65e34ec9e
Merge: c15df546 c7f169f1
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Sep 30 16:29:02 2020 +0200

    Merge pull request #847 from rtorrero/bug-959556
    
    team: add IPv6 to teamd ports when nsna_ping linkwatch is used (bsc#959556)

commit c7f169f138af3d2b554a36684d2b4635e2d257f1
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Apr 1 16:59:16 2020 +0100

    team: adjust teamd ports on nsna_ping linkwatch (bsc#959556)

commit e80c76fca660c0bb82c73c177affaba11ba05657
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 29 16:59:01 2020 +0200

    ifreload: lower `marked X for` messages to debug

commit 5c7c3f6e5e2b6a00e6a4577ee579ec8a479e22d1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 29 16:48:07 2020 +0200

    ifreload: check system slaves on master reload
    
    Check if config of currently enslaved interfaces changed
    also in `wicked ifreload brX` to reload (shutdown) slaves
    without config and removed from the slave/port list.

commit c3ca473daecffab2de29932f9514c18e08ec0903
Merge: 0e28da01 b5b96b4c
Author: Marius Tomaschewski <mt@suse.com>
Date:   Mon Sep 28 13:42:45 2020 +0200

    Merge pull request #844 from rtorrero/bug-1174099
    
    Avoid incomplete ifdown/timeout on route deletion error (bsc#1174099)

commit b5b96b4cf7c554535d32d0174592cfaa3c36b71a
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Jul 30 16:14:38 2020 +0100

    ifconfig: don't fail on route deletion

commit 0e28da011e27653135aeff02bc8380fa515290eb
Merge: cff36165 e66d6998
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Sep 22 18:26:37 2020 +0100

    Merge pull request #843 from mtomaschewski/ifcfg-create-cid
    
    dhcp4: add DHCLIENT_CREATE_CID to ifcfg (jsc#SLE-15770)

commit e66d6998f5376304d55ceccd74a3df588085cc4f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 22 15:29:52 2020 +0200

    man: document DHCLIENT_CREATE_CID in ifcfg-dhcp(5)

commit 65e4dccf8dcc764a6fb1271937968b98054d807d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 22 09:41:05 2020 +0200

    dhcp: use client-id instead of clientid in tester

commit e26713ddfa242820baee64efd03b2675926f62c0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 22 09:40:49 2020 +0200

    dhcp4: add DHCLIENT_CREATE_CID to ifcfg (jsc#SLE-15770)
    
    Overrides the DHCPv4 client-identifier type to use specified in the
    wicked-config(5) `create-cid` option, the interface type specific
    client-id type and compile time defaults.
    Note: DHCP over Infiniband (IPoIB) mandates an rfc4361 client-id.

commit cff36165f9b705a8e607149328bbc95319ad87d3
Merge: 27e719b5 582a4396
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Sep 22 09:25:02 2020 +0100

    Merge pull request #841 from mtomaschewski/ifreload-1
    
    fixes to ifreload on port/slave changes (bsc#1168155)

commit 3833751f08f18716c8fbabaf283dbe956eba777b
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Jul 29 14:56:24 2020 +0100

    teamd: fix hwaddr_policy to use correct name from schema

commit 6c174854b4658a6696cdad9bae7939416b0340ed
Merge: 038d2f96 008c8888
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Jul 6 13:37:21 2020 +0100

    Merge pull request #837 from mtomaschewski/config-include
    
    config: fix include file name buffer handling

commit d307f8c1ebb40e00261d8c960c8cd2e41ecdb21d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jul 1 14:48:34 2020 +0200

    utils: fix var array insert at pos < array count

commit 008c888890006a1a01e8d3c705cdef31b32c055b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jul 1 14:35:28 2020 +0200

    config: fix include file name buffer handling

commit 582a43961786ccac58f1e1d4044e0f0b667199d7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 12 15:08:51 2020 +0200

    bridge: remove port unenslave on bridge shutdown

commit 463b21ae9d139e4dc8ad3275949c9e986f2723e5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 11 18:54:26 2020 +0200

    ifreload: rework marking workers for down+up run

commit 36a08a8780ab06d3ab3f672fd0f442e979718e1a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jun 8 11:52:09 2020 +0200

    ifconfig: adjust enslave changes in linkUp calls

commit 84d7e77d71686b6e4793bd1af55dbe0372b879b0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 5 08:29:40 2020 +0200

    ifconfig: unenslave ports/slaves on ifdown requests

commit 836b1ddb1345554e1ea75728cf243c72dc7e991b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 5 08:28:25 2020 +0200

    team: add port remove dbus+unix calls and unenslave

commit c4dee7d58dd66978af92ef5e08d8270929b9fee0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 2 10:19:04 2020 +0200

    ifreload: add short and cleanup options parsing

commit 87fcf64f8021bf3d044f2c46dd9b6b222e3f32e5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 14 17:20:18 2020 +0200

    fsm: don't complete config dependencies with kernels
    
    We want to modify the kernel state and relations to match the config,
    not to "complete" the config with kernel relations we're changing.

commit 09b1c5d1b2cdaa790aaf4821bc1faaf6a559c19c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 14 13:01:50 2020 +0200

    fsm: add print system hierarchy in case we need it

commit cc53241ddc13efbf550cf4c07ef5cf25a7adc564
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 14 12:53:00 2020 +0200

    fsm: rename print hierarchy to print config hierarchy

commit 4c59dd59cfd72ec6d8327fb1e2e077028a5700d3
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue May 26 09:54:24 2020 +0100

    gitlab-ci: load external templates for CI

commit cc0258993e6624a4ef552af0afe3c74fe68b7f48
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 4 13:50:18 2020 +0100

    version 0.6.63

commit 866826fb7f6dfb456305eaf558f4296bc17cdb5e
Merge: fe6ac264 c2e3f2ae
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Mar 4 13:44:19 2020 +0100

    Merge pull request #831 from mtomaschewski/bug-1165180-0.6.60
    
    spec: fix old libwicked package provides/obsoletes (bsc#1165180)

commit c2e3f2aef10fb45caa5ed46009d51e18bd88ec12
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 4 10:47:48 2020 +0100

    spec: fix old libwicked package provides/obsoletes (bsc#1165180)

commit a69a119b83b1d94bd9d868b83f175eefefa7e2c6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 12:58:09 2020 +0100

    ifsysctl: fix arp_notify,accept_redirects,use_tempaddr

commit 33a9744ba2bc54101bb4a8841d902c19fd5caac2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 12:20:35 2020 +0100

    ifsysctl: parse addr_gen_mode and stable_secret

commit a83515b2f6e552792f2f6afba34998ad050f72e4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 12:18:03 2020 +0100

    schema: add addr_gen_mode and stable_secret to model

commit 94b1d26318d06069843dbf299b8acd516badcd98
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 12:07:29 2020 +0100

    ipv6: set addr_gen_mode and stable_secret in kernel

commit 5468c078071561c46550827609bc091b13d4d3f2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 11:55:12 2020 +0100

    ipv6: map devconf to sysctl names as in kernel 5.5.6

commit cb2696ca7144116875154b22af91ba9905bd5c3b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 11:31:22 2020 +0100

    ipv6: add addr_gen_mode stable_secret protocol variables

commit 5d6c6aefb2aac33055dd1f803a0768ebd74e1e8d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 28 01:39:36 2020 +0100

    sysfs: add utilities to get/set ipv6 address sysctl

commit d539bba071c5837bec94a0cdf1c44060ad643e1e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Feb 26 17:16:08 2020 +0100

    version 0.6.62

commit 082b635cd1ae7c893e91d221d24dd36817ab0350
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Feb 26 17:11:35 2020 +0100

    spec: adjust rpm spec file licenses and url tags

commit 0699d59048f2e67d6e29f5cd8b017903d061e216
Merge: f62ab041 e94fb47a
Author: Marius Tomaschewski <mt@suse.com>
Date:   Wed Feb 26 12:18:58 2020 +0100

    Merge pull request #828 from rtorrero/security-1
    
     security: memory usage errors in DHCPv4 and DHCPv6 handling

commit f62ab04162fd3e30b96fac0c73fde0bcc09c5fc5
Merge: 4ef7c7b7 c8d3f932
Author: Marius Tomaschewski <mt@suse.com>
Date:   Tue Feb 25 15:04:25 2020 +0100

    Merge pull request #825 from rtorrero/bug-1160939_rto-min-fix
    
    schema: change rto_min key to avoid not applying it (bsc#1160939)

commit c8d3f932b23a89e50ea69ee9b7584342711639fe
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Feb 24 11:01:29 2020 +0000

    ifcfg: consider new iproute time format for rtt,rttvar,rto_min

commit e94fb47a5e578842bb305a8c232e3df718e8794d
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Jan 31 10:55:24 2020 +0000

    dhcp4: discard lease on client-id mismatch (CVE-2020-7217,bsc#1160906)

commit 127876d452e44045f6470c1e44b1c95b48437f81
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Jan 31 10:40:00 2020 +0000

    dhcp6: don't add free'd IA to ia_pd_list on T1>T2 (CVE-2019-18903,bsc#1160904)

commit b5d618de07819d60ace7b2741f62d83d011be3f8
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Jan 22 12:19:12 2020 +0000

    dhcp4: free lease on response without message type (CVE-2020-7216,bsc#1160905)

commit 9c1a64fdb77772169f7b28550978534c125b7e40
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jan 22 12:42:09 2020 +0100

    dhcp6: fix use-after-free on option parsing failure (CVE-2019-18902,bsc#1160903)
    
    ni_dhcp6_fsm_parse_client_options() frees msg->lease without clearing
    it to NULL, leading to UAF.

commit 4ef7c7b75a9e53e66a46e7c6475de3749222d818
Merge: 1ee4770a e1646682
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Feb 24 11:05:18 2020 +0000

    Merge pull request #826 from mtomaschewski/var-array-name
    
    utils: don't reject NULL var array names/keys

commit 2b6b9fa4deb3f033e3748477d8004fb360a81dd6
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Wed Feb 12 12:59:56 2020 +0100

    Introduce .editorconfig file
    
    Convenient way to have project based editor config, see http://EditorConfig.org
    
    I walked through the project and tried to identify the most common used
    ways for different file types.
    
    Following four types:
    
      * xml and .conf files
        => 2 spaces
      * manpages
        => 3 spaces
      * doc/html
        => 1 space
      * all others
        => tab with 8

commit e164668272ebd5f9bb720c0e84ad6ea5bd94094e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Feb 11 08:32:01 2020 +0100

    utils: don't reject NULL var array names/keys

commit 402fea7de8df803101e4e113d36c22c7b2c20d3d
Merge: 8240a4a6 d0396a32
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Feb 7 13:32:25 2020 +0000

    Merge pull request #823 from DimStar77/master
    
    Packaging: BuildRequire pkgconfig(libsystemd) instead of systemd-devel

commit 5b669932606a2bacd46c02b61b88283c8f623422
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Feb 5 16:42:45 2020 +0000

    schema: change rto_min key to avoid not applying it (bsc#1160939)

commit 17e60f2cce44b9ad267b3aed3b17b2808b133e23
Author: Jan Zerebecki <jzerebecki@suse.com>
Date:   Fri Jan 31 11:32:38 2020 +0100

    Order After network-pre on startup
    
    Add network-pre.target where ordering is already After
    SuSEfirewall2_init.service.
    
    SuSEfirewall2_init.service is also missing a Before on network-pre.
    After that is done in SuSEfirewall2 it can be removed here.
    
    Quote about network-pre from man systemd.special:
    This passive target unit may be pulled in by services that want to run
    before any network is set up, for example for the purpose of setting up
    a firewall. All network management software orders itself after this
    target, but does not pull it in.

commit 8e7310c6637a403e9ecba64ad4af46f3963db43d
Author: Jan Zerebecki <jzerebecki@suse.com>
Date:   Fri Jan 31 11:18:22 2020 +0100

    Order wickedd After Open vSwitch on startup
    
    Otherwise these are treading on each other while bringing up interfaces
    which results in failures. Ordering Open vSwitch Before network.service
    isn't suficient as wickedd and wickedd-nanny may start before that.

commit d0396a32cd2b75e1444ebe179e2c53219767104a
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Fri Jan 24 15:45:15 2020 +0100

    Packaging: BuildRequire pkgconfig(libsystemd) instead of systemd-devel
    
    On OBS/openSUSE this has the positive side-effect of using the -mini
    flavors, meaning we can move up in fhe build queue and not be
    blocked behind the 'full featured systemd package'. There is no
    difference for the consumers.

commit 98c0115e5e8b0db84752e5eb81a2b1abbae58618
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Mon Jan 13 14:38:57 2020 +0100

    force aligned struct accesses

commit de2bce5efb6cd5f32a26ce8ef3adc52ebac605f6
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Mon Jan 13 14:00:20 2020 +0100

    ni_iaid_create_hwaddr: deal correctly with unaligned memory

commit ebd4f30689f89ef008675102d9539332b89925de
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 16:37:18 2020 +0100

    turn signed shifts into unsigned shifts: undefined behaviour

commit dc449aacecdd36bc797e5d808bb24b1bf30317b1
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 14:56:00 2020 +0100

    hostname lookup: don't use shellcmd after freeing it
    
    the process keeps a reference to it, so this was no uaf before. This
    way it's more robust to changes in ni_process_new at least.

commit 11866ee000cadc1c950ed7883edaf5f56187203e
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 14:54:34 2020 +0100

    fix use-after-free in timer

commit d0aa2afa319ff76b2f866316fafe76630d1723d3
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 14:11:15 2020 +0100

    ni_dhcp4_fsm_arp_validate: handle failure to create ARP handle

commit e9a9520142f0aa37398fbbd4c829b6e825b71f1e
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 14:00:02 2020 +0100

    buffer: remove 0-byte memcpy undefined behaviour

commit 8ac6ffcc70e55b19e2ff6f5e4b748bf6a66734cc
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:50:03 2020 +0100

    ni_rule_print: remove superfluous format argument

commit 9b76473e0504e3ab1e4de4d3292e5cc9acbdd201
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:48:46 2020 +0100

    process_run_info: fix check for signal termination

commit c9ce47dbc8bca88f59d07c3078f9f414df8b97c4
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:47:16 2020 +0100

    ni_ifworker_netif_resolve_cb: initalize cwtype variable

commit 5d3d74458b7e1c4ae9060805994b4c270017f571
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:45:00 2020 +0100

    __ni_objectmodel_route_nexthop_from_dict: do not print uninitalized var

commit fed802e40cf51823890bac1cb7f7d617bd23af18
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:44:00 2020 +0100

    ni_config_parse_addrconf_dhcp6_nodes: fix length parsing

commit b25f199ba117d6b333c808165be979073f03f556
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:42:36 2020 +0100

    ni_auto6_on_nduseropt_events: initialize changed variable

commit 3aef8af62ae556ed6bf702eb085209e6dc80cf06
Author: Malte Kraus <malte.kraus@suse.com>
Date:   Fri Jan 10 13:41:38 2020 +0100

    client: format hostnames correctly

commit 50bf6f6197e964203c0b96e7f49b603a2b2bf7eb
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Dec 11 10:51:50 2019 +0100

    version 0.6.61

commit 86bec3fe0613131d606cbee04138d360b1d20db5
Author: Anton Smorodskyi <asmorodskyi@suse.com>
Date:   Mon Dec 9 14:16:32 2019 +0100

    Add missing packages to INSTALL instructions

commit d90985e51ea93d7d2ae0540dcc4774a8e2e1ecca
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Dec 9 10:24:01 2019 +0000

    dracut: expose cmdlines as config backend options

commit b7cf5ac6b000904382dacb12b4e655bd72452995
Merge: b253fd6a c53f71ef
Author: Marius Tomaschewski <mt@suse.com>
Date:   Thu Dec 5 15:58:40 2019 +0100

    Merge pull request #818 from rtorrero/arp-void-check
    
    address: don't check hwaddr length if parsing as ARPHRD_VOID

commit b253fd6a004495e5a73b0b756eb03a4e48f10612
Merge: d2f2a4e3 bfb763cf
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Dec 5 14:57:15 2019 +0000

    Merge pull request #817 from mtomaschewski/var-utils
    
    utils: added find and insert var array utils, cleanup

commit c53f71efa386a732844cfd54d137790508bfeec4
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Nov 21 12:17:24 2019 +0000

    address: don't check hwaddr length if parsing as ARPHRD_VOID

commit bfb763cfab73823b05462dd2cc9864c381925ee1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 21 13:05:01 2019 +0100

    utils: added find and insert var array utils, cleanup

commit 8dfeff34e27cd5e6264213faa16b368f072e3bed
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 21 11:12:28 2019 +0100

    client: add show-policy calling policy generation

commit 57cee42c3c561ac707a1d8ef6756c73fd8c314c7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 21 10:44:35 2019 +0100

    client: add ifconfig kind to ifconfig_read utils

commit 1376feddaf7b0cc223ace6c9f59e8eb0c69f3943
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 21 10:37:16 2019 +0100

    client: initial support to generate a policy directly

commit 14da6e6fd5ef43b317707cb29066879a4f5aa80b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 14 12:10:01 2019 +0100

    client: cleanup convert and show-config commands

commit d9afecd5c7f595aba04ed700b94ed402af0cce0c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 13 16:47:07 2019 +0100

    xml: check document argument before accessing root

commit d1dfb7246d43c20094515ef07fea1760a964ce7d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Oct 4 13:10:56 2019 +0200

    version 0.6.60

commit 16879eea8c1b8c26f9e79166fd490b2d148b7617
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Sep 25 17:31:30 2019 +0100

    spec: move internal libwicked library into the wicked package

commit 2b092458e61b644e19860c4e28ff3c4564095814
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Sep 23 14:42:28 2019 +0200

    fix library versioning to avoid crash (bsc#1143182, bsc#1132977)

commit caac162b5a8784d65babfaea60c87446cec00607
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 19 18:29:25 2019 +0200

    version 0.6.57

commit 7b76166b4360384b13d2f52a88f760fa917b9953
Merge: 28703f5e a840a535
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 19 18:28:43 2019 +0200

    Merge pull request #813 from mtomaschewski/dhcp6-noprefixroute
    
    dhcp6: omit noprefixroute with address-length (bsc#1150972)

commit a840a535119a7c9bcd618433f8923735ee1f553a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 19 14:52:57 2019 +0200

    dhcp6: omit noprefixroute with address-length (bsc#1150972)
    
    Permit to assume that the address prefix-length override
    specified in the config is a valid on-link prefix length,
    to let the kernel create a route for this prefix.

commit 202b3c949794d76421f75bee310d6f9088017898
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 19 14:20:51 2019 +0200

    dhcp6: differentiated mode=auto resolving from RA

commit 5ce682e0380ebafbe1cce6096282ee9501fa6d66
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 19 14:08:08 2019 +0200

    dhcp6: pick not yet provided IAs on confirm rebind

commit aa123cddcb29ed94b3f63abd215bbb17f3c9f129
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 16 15:52:14 2019 +0200

    ipv6: parse ra-status flags provided in newlink msgs

commit 9cbac51a85520152c76bea7f09007709d7c92a31
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 10 16:43:10 2019 +0200

    dhcp6: don't return error if not enabled in RA

commit c8554cddb9c553f0c911627f462769d4a6cd43de
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 10 14:00:28 2019 +0200

    dhcp6: don't adjust empty mode mask to auto in format

commit def696a3427141017481a40912e22c037444c9a8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Sep 6 20:35:24 2019 +0200

    version 0.6.56

commit b6d960fd8c38d46417adf5f82b7ba70214ced4f0
Merge: d59edde0 6e67208a
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Sep 6 19:34:24 2019 +0100

    Merge pull request #811 from mtomaschewski/dhcp6pd-v1
    
    dhcp6: initial support to request prefix for delegations (jsc#SLE-5936)

commit 6e67208a5a255117de39739e33cb16e2a95a2889
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Sep 6 15:37:32 2019 +0200

    dhcp6: add lease ia_list translation to/from dbus

commit f399d0a03d43f79c0dbb4df2b07f0a73a004e247
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 5 16:33:39 2019 +0200

    dhcp6: don't log ia-address/prexies in build twice

commit f182a25e3ac5ad505b96b979a1a98cc9aadea3ae
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Sep 4 14:54:10 2019 +0200

    dbus: fix to check error ctx handler before calling it

commit 4611f5ce70f517259b7cae3c3724d015886aa1b6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 15:35:08 2019 +0200

    dhcp6: add pd prefixes to the leaseinfo output

commit f69cd0d9084bfb6d569cffbdead3c01c1f46049d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 15:34:03 2019 +0200

    dhcp6: move typed ia utilities to options

commit 766aac1179194129f9f37bdc73978ef9d90c122d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 15:08:15 2019 +0200

    dhcp6: omit expired ia addresses in leases write

commit 4a03f45368ae8ef3419741665c8730266bc065c2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 14:17:31 2019 +0200

    dhcp6: improve address/prefix overview on lease commit

commit 503c27fc4a7760307fdf354938002ff187596f05
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 11:28:13 2019 +0200

    dhcp6: start with rebind on confirm with prefix

commit c987e2eeae9cf798dc3ce6e1b7cc66225c3e4e4a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 11:06:03 2019 +0200

    dhcp6: adjust DEC_/REL_MAX_RC timings to RFC8415

commit 1b75ad94a0aec5c38278f4936e430b42dd9cfe9d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 10:32:27 2019 +0200

    dhcp6: adjust valid iadrs counting in solicit replies

commit d8b78dd9d54004f536ccc6fde256e892e3496f4f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 10:29:22 2019 +0200

    dhcp6: move iadr usable, add lft left utilities

commit 939cdef880868d7cd36337322648e6327fe33ded
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 02:12:17 2019 +0200

    dhcp6: apply sol-max-rt and inf-max-rt from msg

commit 722f68d3a120cc9642528661a3408a8a44095650
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 02:05:31 2019 +0200

    dhcp6: parse DHCLIENT6_PREFIX_HINT in suse ifcfg

commit dc376538493751f7b82427ba1a5df6eac44967b7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 01:57:29 2019 +0200

    dhcp6: cleanup fsm message parsing parameters

commit c558aeab3403b4729626e294df3f745df4719186
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 01:48:04 2019 +0200

    dhcp6: new ia_address,ia_prefix utils with pd-exclude

commit 8cfa95338cf5dae95b33fddf622597ffb828cbb2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 01:13:39 2019 +0200

    dhcp6: parse dbus and xml prefix request with hint

commit 07438e16852bc4469d39ab5f7187ce08eca21a44
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 00:51:46 2019 +0200

    dhcp6: cleanup common dhcp6 forward declarations

commit e6a01a7108de79867fc9f6ec6d842fc73ce06d03
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 00:41:04 2019 +0200

    dhcp6: add ia na+pd depending on mode bits to solicit

commit ccd68a129ae290f7b9df03ddc6db637a86895e45
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 00:28:27 2019 +0200

    dhcp6: split ia/iadr clone/copy and move to options

commit 18952894f8c632ae5a8dd07aa9e2600ffb22590d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 30 00:06:20 2019 +0200

    mkconst: introduce getmap permitting aliases

commit 9b0bb06bc52eab481a1ca73803f2ab11a4e9fd36
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Aug 29 23:56:34 2019 +0200

    dhcp6: change mode to a bitmap with a prefix bit

commit d51535cd0e7e8a6b4e461c8976c315cca3c7ae2d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 5 15:06:34 2019 +0200

    dhcp6: set the noprefixroute addresses option

commit 21ca758151e6820ed7a94c6d66f564bccaf061e7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 5 15:05:45 2019 +0200

    address: add noprefixroute convince utilities

commit 47e540a7456fd0a5b9b951117b75523b24a10300
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 14 17:25:26 2019 +0100

    version 0.6.55

commit a1cbda33c559adc66618abf747fc22ae7c13df85
Merge: d5d6cdef 05e1f79c
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 14 17:12:11 2019 +0100

    Merge pull request #809 from rtorrero/man-address-length
    
    man: document new address-length setting

commit 05e1f79c86f6e596a1dd942141800db0fe0a4a9b
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 14 17:06:15 2019 +0100

    man: document new address-length setting

commit d5d6cdeff977122be408ffb1eb3019d1fa4b5f9b
Merge: a3e11b9b 15ca1073
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 14 16:28:36 2019 +0100

    Merge pull request #808 from mtomaschewski/address-len
    
    dhcp6: do not default to a /64 address prefix-length (bsc#1132280)

commit a3e11b9bb797811525930dee844466033a23de5c
Merge: 4d87c5a4 515463d3
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 14 16:27:27 2019 +0100

    Merge pull request #807 from mtomaschewski/timer-time
    
    time: use boot time for timer instead of real time (bsc#1129986)

commit 15ca1073a50d57161972e961f6a266ef9064e16b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Aug 14 16:17:27 2019 +0200

    dhcp6: do not default to a /64 address prefix-length
    
    Add an address-length aka DHCLIENT6_ADDRESS_LENGTH ifcfg option, which
    permits to specify explicit prefix-length to use for the DHCPv6 address,
    e.g. 64 to use address as 2001:db8::1/64 or 80 for 2001:db8::1/80.
    When 0 or unspecified (default), prefix-length of the smallest on-link
    prefix (highest /length number) in the IPv6 router advertisement matching
    the address is used or 128 (see also rfc5942).

commit 515463d3d84a73b372ce607cef2d304b788ff26c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Aug 12 14:41:57 2019 +0200

    dhcp4: consistently log xid in host byte order

commit a15377f24392d26cf0a71c6cf0354ce2e1e350a8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Aug 12 14:39:15 2019 +0200

    dhcp6: set transmission start later and log timings

commit b9697174ae3c664508255fbfb1ceea302cd864cd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Aug 12 14:38:04 2019 +0200

    time: use boot time for timer instead of real time

commit 59a2b50a23e2bd1f23088938e15c8048b0c78561
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Aug 12 12:00:00 2019 +0100

    dhcp6: Lower 'unexpected xid' msgs to debug level

commit 54d81982d2f84a54d44ae1abd23085c26049a089
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Jul 29 16:57:01 2019 +0100

    systemd: change udev settle from preexec to depend

commit c77199471b9da4087f5d61907df1ef13e094636f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 26 15:12:42 2019 +0200

    bridge: honour ifcfg LLADDR and set link address (boo#1142670)

commit 0d8a76bed6ba2b77c4d7b09806adbc7958d8234a
Merge: 7fa72c4e 6d504fab
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jul 18 12:05:51 2019 +0200

    Merge pull request #801 from e4t/master
    
    rfkill: In switch statement check enum variable not constant

commit 7fa72c4e246937f9da753770efa07cd9f7b816e9
Merge: dda52157 5a870224
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jul 18 12:05:39 2019 +0200

    Merge pull request #799 from ken23421/fix-fsm-timeout
    
    dhcp4: nullify defer timer pointer when timeout

commit 6d504fab6f7c778b6987559ca68e282b972adac5
Author: Egbert Eich <eich@suse.com>
Date:   Wed Jul 3 08:54:41 2019 +0200

    rfkill: In switch statement heck enum variable not constant
    
    This fixes broken Wifi support reported in:
    https://bugzilla.suse.com/show_bug.cgi?id=1140117
    
    Signed-off-by: Egbert Eich <eich@suse.com>

commit 9b30eab8b5e3b27a28e2a061b75c0275e7183050
Author: Martin Wilck <mwilck@suse.com>
Date:   Fri Jul 5 09:49:04 2019 +0200

    man: ifcfg-ovs-bridge(5): recommend STARTMODE=nfsroot
    
    This may help avoiding user surprises.

commit 5a870224791066c87bfc54ed7d8ed14b61d4b73c
Author: Ken Lin <ken23421@gmail.com>
Date:   Thu Jul 4 13:21:19 2019 -0400

    dhcp4: nullify defer timer pointer when timeout

commit 284b1e6aacf8a96fd79e57ca3e68844f93bafa3d
Merge: c9d471b0 02b9d19f
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Jul 3 15:36:35 2019 +0100

    Merge pull request #797 from mtomaschewski:subtype-cleanup
    
    ifconfig: clean up and separate subtype handling

commit c9d471b07ccedd6ac734a9d6a1fa6a15639f6ab4
Merge: e3ed2e04 5edcd4ef
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Jul 3 14:22:54 2019 +0100

    Merge pull request #796 from mtomaschewski/cleanup-inline
    
    cleaned up (extern) inline use in header files

commit 02b9d19f9207664daec1b72a6fc0cae2042f8e3a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jul 1 15:51:49 2019 +0200

    xml: move xml_document_array_t to types.h

commit 21ddb19402c834f1eacfc0efa4bc9e012e0fce4a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jul 1 14:52:44 2019 +0200

    ifconfig: check /etc/SUSE-brand to guess type suse

commit c0e769968879b6f824270ca879289dc3dade9dd7
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Jul 1 14:50:35 2019 +0200

    ifconfig: clean up and separate subtype handling

commit 5edcd4efafb05d8cb7de3bf90a4538d10fa65703
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 21 12:00:27 2019 +0200

    cleaned up (extern) inline use in header files

commit e0926edba42db6b5bbf87f08cc553fc6d496311d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jun 12 16:00:47 2019 +0200

    dhcp4: clone all wicked-config dhcp4 options (bsc#1132326)
    
    A per device specified route-options and create-cid config options
    where reset instead to inherit from global defaults, causing to not
    consider them and to not send any dhcp4 routing options in requests
    when other config (e.g. custom options) were defined per device.

commit a78d3c461e6e0759a1fe1c15bc7672be744d8e46
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 11 12:33:06 2019 +0200

    testing: move ifbind.sh to testing/scripts

commit 9d489b2875e305210eb880c8d7c6c16ebb4ade20
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 11 12:28:19 2019 +0200

    testing: add ifbind.sh to dist files

commit 33f80e732fb085595ca07ef7541c176e26e0e912
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 11 12:25:38 2019 +0200

    testing: little ifbind.sh improvements

commit b9625b32490ebb3e924bb273b2963e1cb8a105f1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 11 12:23:14 2019 +0200

    testing: added ifbind.sh script to test hotplugging

commit d4465ef03ab1d70e2e7fb292807e9152443ab5ca
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 5 15:10:50 2019 +0200

    version 0.6.54

commit d0c5848efed70bb34cb2c70bca0cf095c0711fc7
Merge: 526989d1 6b1f8ed1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 5 15:08:01 2019 +0200

    Merge pull request #791 from mtomaschewski/bug-1118206-1
    
    use systemd notify and prevent backlog at start by calling udevadm settle (bsc#1118206)

commit 6b1f8ed18f254b3ba237ab0d9135c9a7b4892852
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Mar 13 18:26:21 2019 +0000

    systemd: ask udev to settle before wickedd runs

commit 996051cab7ca9e27548b66cd94bfe27cb5045667
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 7 12:03:46 2019 +0100

    systemd: remove bus-name from type=notify services

commit 8a125d47a4e066e77cd560c8d814ac1495b2a0bb
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 4 12:52:29 2019 +0100

    daemons: change services to use systemd notify

commit 33ea8d283584988e039d7f4ca3ba87b7c78828dd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 5 17:17:59 2019 +0100

    rpm: add systemd-devel build requires to spec file

commit d92f62fae954b8e33ae004c1eb22c9d832aa399b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 1 12:05:01 2019 +0100

    fsm: do not process events while refreshing state

commit c4fb741b6304beb8508f719bf7598a97978314ac
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 1 12:15:26 2019 +0100

    nanny: block event processing while init and start

commit 19e388bd76c1c0e6ae442ab17e49d0a1277bb514
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 1 12:14:46 2019 +0100

    fsm: expose methods to block and process events

commit 46d43b9e8517b2f9427022de6c5cabf7e0be55d0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 1 12:13:22 2019 +0100

    nanny: background first, then init and start

commit 33270b565c0caf27e2b377ed6dd31613343cdd53
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 2 14:44:10 2019 +0200

    dhcp6: don't discard confirm reply without status (bsc#1127340)

commit 0ad333f513982cbb05098db633bfe0fca81c958d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 18 14:39:03 2019 +0100

    ethtool: set lro legacy flag and not txvlan

commit a03519320080f3dcaaddf8abf170186bbddbdcd9
Author: Paul Zirnik <paul.zirnik@suse.com>
Date:   Mon Feb 18 14:35:25 2019 +0100

    ethtool: log correct legacy flag name on error

commit 784dac00dab0155f23675a8f2c2d2fdcd4264e4a
Author: Clemens Famulla-Conrad <cfamullaconrad@suse.de>
Date:   Thu Feb 14 11:23:17 2019 +0100

    Init memory before use in ioctl
    
    Pointed by valgrind.

commit 2e3416835f0fe2d90682ce1186d755d3a19741c5
Merge: b14f7753 9062a11c
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Jan 30 11:36:07 2019 +0000

    Merge pull request #786 from mtomaschewski/rename-segfault
    
    fsm: fix find pending worker loop segfault (boo#1106809)

commit 9062a11cd20d3e09d5525cb3db29f6aad0131afa
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jan 30 12:25:05 2019 +0100

    fsm: fix find pending worker loop segfault (boo#1106809)

commit b14f77532d7b83a37731eb1826779519bbf7b228
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Jan 24 16:36:11 2019 +0000

    version 0.6.53

commit eeccda90d4d8f18ca936b026a04e0830533eb6f6
Author: Malte <malte.kraus@suse.com>
Date:   Thu Jan 10 11:55:06 2019 +0100

    link with full relro by default: binary hardening
    
    can be disabled by running configure with --disable-relro

commit 80279bf8e6f6ef5bb7e7e20e5cb90040b2815f43
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Dec 19 10:17:35 2018 +0100

    dhcp: request hostname/fqdn option in the tester

commit 9d4a7c7b2c2cba06fe1ba4b8523b7a1abe456b99
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 16 12:19:09 2018 +0100

    version 0.6.52

commit e60f6f68c8424755829c446c3565f2a6bad2c418
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 14 11:15:42 2018 +0100

    compat: fix ifcfg parsing crash if network/config is missed

commit 66d6350bf028f2c0941add35f5d8d8f8b24cf832
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 2 12:35:51 2018 +0100

    wickedd: fix netdev bootstrap race (bsc#1107579)

commit e8c1ac65b2e2bb5452640d74b518f00669d1809e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Oct 26 14:31:10 2018 +0200

    version 0.6.51

commit 9d731464945d2dd2c93a631608c63ae5a98332b2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 24 13:49:07 2018 +0200

    compat: assume mschapv2/gtc for PEAPv0/v1 in suse ifcfg

commit 3cbe5c652419342fbcdbdda7a207baa13d839ac1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 23 13:35:33 2018 +0200

    wpa: use correct function to map phase2 auth type

commit ba4a7b765ba7c92d7c95ce9f0762fcdff91f2ed7
Author: James Oakley <jfunk@funktronics.ca>
Date:   Sun Oct 14 16:11:51 2018 -0700

    Convert dst_port to network byte order during VXLAN setup

commit e6e00395dfe3c6b789dd8ab22088e76ad9d99f6d
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Oct 4 13:23:54 2018 +0100

    version 0.6.50

commit c68d69da192cd4530319bb22987fa9626328ba5d
Merge: 9ee99d89 51733759
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Oct 4 11:56:36 2018 +0100

    Merge pull request #775 from mtomaschewski/nanny-leaks
    
    nanny: fix memory leaks on fast create-delete calls (bsc#1095818)

commit 51733759211289282cada610f48d883e9c3b5b6c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:51:37 2018 +0200

    fsm: cleanup worker reset (reinit) vs. free

commit 4f62a0874081720f2ccd163da0a9ec622b6bc77d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:43:55 2018 +0200

    fsm: do not process or pass pending workers to nanny

commit 6b082524fa2024c3de8036ac93dfd6d4166ba61b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:37:14 2018 +0200

    nanny: catch init failures in device registration

commit 9ee99d89e9c69725fc3493d7538cfa48364b8a05
Merge: de7b8525 01bc2939
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Oct 3 12:27:25 2018 +0200

    Merge pull request #774 from rtorrero/firewall-def-zone
    
    firewall: do not assign default zone, but pass as is (bsc#1109147)

commit f4bb5e9c6a1d3aa8efe48b01cf5d56cc8b8e66c2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:32:53 2018 +0200

    netdev: allow NULL in get and put functions

commit e2e9ee01c9a7b131867fab67d9a524db841c8e69
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:30:07 2018 +0200

    model: fix to call (netif) dbus object destructors

commit 2423eb77e4e31c223fd6c99c74419e09890b73a2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:26:03 2018 +0200

    model: removed server specific call in netif destroy

commit 5284f9444abea52279ad6783de0378c9ef215105
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:23:07 2018 +0200

    fsm: handle NULL in worker get and release calls

commit e4a7c38721cadba1c6875307ba4e607e2b62443a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Oct 2 01:20:41 2018 +0200

    fsm: process device delete event separately

commit 01bc2939a95d1c10e75a7c82bac666ba5dad54ab
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Mon Oct 1 13:08:54 2018 +0100

    firewall: do not assign default zone, but pass as is (bsc#1109147)

commit 4975c4f49c1eb9d5f75b6bf5f546e95f9c03b897
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 18:27:13 2018 +0200

    calls: split get netif service and netif list utils

commit dba165a988be05720a197b2aaf065a5cd2390ec5
Author: Eclipse Webmaster team <webmaster@eclipse.org>
Date:   Wed Sep 26 14:34:51 2018 -0400

    Fix Typos

commit 64d62c35c88b205be1f67c23892408670feb28b0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:46:24 2018 +0200

    xml-schema: fix range constraint values parsing

commit 4075e5069c75ae8f27b187808d9737eac1a8f67f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:42:39 2018 +0200

    xml-schema: remove underscores from ni_xs_type_new

commit a62dfe5ead79a941f34aca834d8f2fa2e3faa77e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:38:58 2018 +0200

    xml-schema: fix type leak around ni_xs_build_one_type

commit 8d69167f0e51a9f363226833faa1a1be4d7317f6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:16:15 2018 +0200

    fsm: free worker control mode on worker free

commit b0f3df40890c7a45f0b7248f143c69fa93f3a341
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:14:43 2018 +0200

    xpath: trace and free complete xpath expression tree

commit e561f4c8fc0e5df9115dd3eb0bd8f94f4ac31946
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:10:18 2018 +0200

    nanny: fix config leak in ni_nanny_recheck_policy

commit 23d248d98078597a3ded18175b2c4c2e74356451
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:09:25 2018 +0200

    dbus: free pending call in ni_dbus_connection_call

commit 84a7b68b7a219a5c5a6f719c25dc686de6664e97
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 24 14:06:01 2018 +0200

    dbus: free dbus_message_iter_get_signature result

commit 350a23bfe13fd29e9b2b503e916e7aeade27175d
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Sep 21 14:05:09 2018 +0100

    version 0.6.49

commit ab65a32db5cb33375d373f9c4417e54075285734
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Sep 21 13:04:28 2018 +0200

    cleanup: avoid -Wimplicit-fallthrough warnings

commit 352a1fa86aa6db6f7cd523d0b962a4f86c059704
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Sep 21 12:06:21 2018 +0200

    dhcp6: add missed parentheses overlooked in pull #771

commit 333c568814b8844162ba9e6ab51cb4982e964a82
Merge: 56f006ab 564a0985
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Sep 21 10:49:15 2018 +0100

    Merge pull request #771 from mtomaschewski/dhcp6-decline
    
    dhcp6: fix to properly decline dynamic addresses

commit 564a0985ae8ee037f3fdd3d86d8cc1d8445c4684
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 14:07:38 2018 +0200

    dhcp6: process address decline response messages

commit 56f006abf7a12c74d1a7907815565fe9deb10aa8
Merge: bd996a76 5c078cee
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Sep 20 14:53:39 2018 +0100

    Merge pull request #770 from mtomaschewski/hostname
    
    extensions: do not use /etc/HOSTNAME artifact (bsc#972463)

commit 5c078cee0b9dcaded55e7f4dace953843b71ff5a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Sep 18 16:06:46 2018 +0200

    extensions: do not use /etc/HOSTNAME artifact

commit a4695fea3f2c8c4fbad5cac8ced2e888231e3083
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Sep 6 12:04:25 2018 +0200

    ethtool: call offload ioctl if requested by offload name
    
    e.g. tso has been splitted into several features and the
    old STSO offload ioctl sets multiple features at once.

commit 71a067252d740bdd3209e1320a86ec8f313d917a
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Sep 4 12:28:15 2018 +0200

    ethtool: client support for pause

commit 5192f2358a72d126ac86848e48f2a9f083e7ed1b
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Sep 4 12:15:19 2018 +0200

    ethtool: add support for pause

commit 32cf2fa8d5657ca3898d32ea8c9ed14609290e85
Author: Nirmoy Das <ndas@suse.de>
Date:   Wed Sep 5 11:46:09 2018 +0200

    ethtool: fix return value in ni_ethtool_set_eee

commit d51ad81aa87a4a28d33a8189eb34218745d9f136
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Sep 4 12:11:31 2018 +0200

    ethtool: preserve param value on failure

commit 9c294de8a1ea3828c7077c63ae285e2937492b49
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 31 15:00:10 2018 +0200

    dhcp6: refresh info at rfc4242 info-refresh-time

commit 85641c0f68b9054c464492047d2ac025d1fea02d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Sep 3 11:32:21 2018 +0200

    dhcp6: add rfc4242 info-refresh-time config

commit 368a015e50d445cb9bd47eae75eaeb4d196155d4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 14:04:53 2018 +0200

    dhcp6: log declined lease address info on decline

commit 0613980dffdbd0049608affc519fca247d5a3568
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 14:03:17 2018 +0200

    dhcp6: decline on tentative address-delete events

commit 9290cba151bd60bc82cc28bcc30f6584ad7f971e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 14:00:31 2018 +0200

    ifconfig: adjust ipv6 duplicate address checks

commit dd7501889163dc64e4849597d660a8c51e19b3bf
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 13:54:43 2018 +0200

    server: mark addresses as duplicate also in leases

commit b008719b6629c1cbd87666831289740566c185d2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 13:53:50 2018 +0200

    ifevent: emit delete event for untracked addresses

commit 697ac05b6f63c4eb1306fd911543c35b73a98278
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 12:24:11 2018 +0200

    dhcp6: add ia addr equal address and prefix utils

commit a107a98589a639b885be0c1dd1241fde7989b387
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Aug 28 11:29:04 2018 +0200

    dhcp6: add ia and ia addr list find ulitity

commit 165fcc5ddc5be90382534f3154428200161c044f
Merge: d9be3fe4 75bee47e
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 22 14:12:05 2018 +0100

    Merge pull request #765 from mtomaschewski/dhcp6-ia-time-list
    
    dhcp6: use timeval in ia and add list manipulation utils

commit 75bee47e6cf5df3f8bd60a179b35db81f7781f0d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Aug 22 14:46:30 2018 +0200

    logging: fix to zero pad milliseconds as .XXXsec

commit 9ae768ba35f0cb87463a634337ce60d102f365a9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 14:39:43 2018 +0200

    dhcp6: use timeval struct for ia acquired time

commit d9be3fe45f62684949453c0c0dc1446e731cb6e2
Merge: 8b254157 1cf2c2b2
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 22 09:04:45 2018 +0100

    Merge pull request #764 from mtomaschewski/dhcp6-req-not-on-link
    
    dhcp6: restart on NotOnLink status request reply

commit 8b25415708589cefcb42505128b83c61f23c01f7
Merge: 1198569c 2b1338d5
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed Aug 22 09:04:02 2018 +0100

    Merge pull request #763 from mtomaschewski/bootproto
    
    ifcfg: show unknown/invalid bootproto as error

commit 1198569c181d164c45c193c5f4e80b716842a6e3
Merge: 244e1eec 08af9045
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Aug 10 17:41:53 2018 +0100

    Merge pull request #762 from rtorrero/dhcp6-preference-opt-wip
    
    dhcp6: Fix server preference and weight option behaviour

commit 244e1eecdc9a46ead9aef9b563db480673721ba5
Merge: 09eaa0d5 35ec18fc
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Aug 10 17:41:27 2018 +0100

    Merge pull request #761 from mtomaschewski/dhcp6-retrigger-dad
    
    dhcp6: retrigger duplicate detection on all address updates

commit 27e7d277051879e8693e64c2e66a686b5de05e98
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 13:52:57 2018 +0200

    dhcp6: add ia and ia-addr list manipulation utils

commit 07fd24986f6a67487e1173e1117e829397f58825
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 13:52:24 2018 +0200

    dhcp6: minor status utility cleanup/improvements

commit 09eaa0d58d46f43ac5f727f8fd2b4c3e8093a26a
Merge: 2da16606 fc095f31
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 14:22:38 2018 +0200

    Merge pull request #760 from MikhailKasimov/patch-1
    
    man: add ifcfg-lo.5 manual page

commit fc095f3196a30d76aeb03ba584ecfb70f898b51f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 14:19:37 2018 +0200

    man: add ifcfg-lo.5 to make and spec files

commit 2b40de2aca3327c872509e048af1069f1b93484b
Author: Mikhail Kasimov <mikhail.kasimov@gmail.com>
Date:   Thu Aug 9 18:18:03 2018 +0300

    Create ifcfg-lo.5.in

commit 2da16606b65f0e107745c35c1be988744eeb79b1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 14:02:55 2018 +0200

    make: fix make dist broken by pull request #755

commit 1cf2c2b253184af9bdd536d7c56e589407105c47
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Aug 10 12:54:39 2018 +0200

    dhcp6: restart on NotOnLink status request reply

commit 58174c0e5a0788433fffe7bb39595f12dda1220a
Merge: 5738162d f8860442
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Aug 9 18:36:32 2018 +0200

    Merge pull request #757 from rtorrero/man-dhclient6-client-id
    
    man: add missing documentation for DHCLIENT6_CLIENT_ID

commit f886044283578f1595dcedff1dbbd3254adc23eb
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Jul 31 09:59:00 2018 +0100

    man: add missing documentation for DHCLIENT6_CLIENT_ID

commit 2b1338d598745b2731dfacfca1ab1c5652197174
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Aug 9 17:32:46 2018 +0200

    ifcfg: show unknown/invalid bootproto as error

commit 08af90458a0f844e4aec78b0d8d90dd63c5ae5c4
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Aug 9 09:54:18 2018 +0100

    man: fix ranges for dhcp6 weight, timeouts and broken opt

commit fb1cc3b367ee9caa9379645ea0de94b1783f2a73
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu Aug 9 09:27:54 2018 +0100

    dhcp6: fix and improve preference option

commit 35ec18fc84e9a14d2102d54ff3ba76fc3c7d4a05
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 28 17:15:47 2018 +0200

    ifconfig: omit addresses expired in the meantime

commit 7a0e0012e49ee87ea1f2aede7f4c3d1e46e310e7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 28 16:36:54 2018 +0200

    ifconfig: do not update dhcp6 address lifetimes
    
    delete and re-add address to enforce duplicate address
    detection on any lease apply / address update (18.1.8).

commit 9b8aa41b77aef7aa63a94277c44519310ace2e63
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Jun 28 14:58:11 2018 +0200

    address: add remaining lifetime convince functions

commit f0d18cf019e7dcee021a3d5ea3ee82aa540c1acc
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Jun 8 16:58:44 2018 +0100

    man: Fix small  typos

commit 4e4c19a43beb96343e9304a499a3bde12cbd0fe5
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Jun 8 16:51:09 2018 +0100

    documentation: remove old release-howto

commit 6df8569999ce3bb47b75d4016f2dd13b797cec4f
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Jun 8 16:50:11 2018 +0100

    documentation: Add FAQ link and remove old FAQ.txt

commit 415b006fe0eec5d87b5c6ac8e091eb9a3a71ba25
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 5 18:27:27 2018 +0200

    man: improved create-cid in wicked-config(5) once again

commit 35d913a0671e117e6892d65dd76b54e2411dcbca
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Tue Jun 5 12:29:06 2018 +0100

    Update man to match new DHCPv4 rfc4361 client-id

commit 1308cbfa63a95e4123babb0c8a32bb39225b6810
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 1 20:21:05 2018 +0200

    version 0.6.48

commit 094b72ac31816a2565decfae77d1d3befde396b1
Merge: 6c173120 306c72b4
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Jun 1 20:18:55 2018 +0200

    Merge pull request #752 from rtorrero/cache-info_4
    
    Improve address cache info: Fix wrong datatypes and apply various cleanups

commit 6c1731201a874c90309309c09ccfb027dd0ed0b1
Merge: 3e30a488 d4df0a7c
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Fri Jun 1 19:15:28 2018 +0100

    Merge pull request #751 from mtomaschewski/ethtool-service-4
    
    ethtool: streamline options available on all devices (bsc#1085786)

commit d4df0a7c2dc5a6fd4b1238a686908c859a4117d3
Author: Nirmoy Das <ndas@suse.de>
Date:   Mon May 28 15:31:11 2018 +0200

    man: add an entry in spec file to include ethtool-wicked

commit 43438a32bd5f4029105334c61cb3bc02e04628a9
Author: Nirmoy Das <ndas@suse.de>
Date:   Mon May 28 15:31:11 2018 +0200

    man: add wicked-ethtool(8) utility manual page

commit ea4082983370134af75abe4cc52ee6c9065471f2
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri May 18 15:53:04 2018 +0200

    ethtool: add link-detected info property

commit 1ae62cc131eff497db0c34f9baf40754fcfabe81
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri May 18 14:20:22 2018 +0200

    ethtool: add options to wicked ethtool utility

commit 9eb8b150e5b16ac72a1e73302679a19b2702cd40
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Apr 24 15:53:02 2018 +0200

    ethtool: streamlined suse ifcfg for new dbus service

commit b47dd5895563f12437cc5f07b5ee26050412a126
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 24 13:54:15 2018 +0200

    config: migrate wicked:xml to new ethtool schema

commit 1f78f14c048e115dc4623cdd3e82a0f8077d61b9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 24 13:31:49 2018 +0200

    nanny: migrate policy config to new ethtool schema

commit a922b76dea0d106fa22e558407228e44e08276cc
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 24 13:21:18 2018 +0200

    config: xml ethernet to ethtool migration utility

commit 306c72b4cede4b524a8e778d5ba1cd90b58b9ddc
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu May 31 11:55:36 2018 +0100

    fix incorrect format specifiers

commit 6d45c9be28934ab0ca6b1b2035d44f21d16b84af
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Wed May 23 15:36:45 2018 +0100

    switch to timeval for acquisition time in lease

commit 8e8c96f62638be866d4e0f1105accef220176235
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Apr 23 15:13:21 2018 +0200

    ethtool: streamlined options for new dbus service

commit 092986f6a25d690126d3bfa6e66102219d62c259
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 6 13:58:46 2018 +0200

    ethtool: change to use netdev-ref instead of ifname
    
    The ethtool ioctl interface isn't using ifindex, but
    maybe there will be a netlink interface one day...

commit 31c5bac470da83c114809f7be83ae19d847c6842
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 13:05:50 2018 +0200

    ifstatus: use new address print in verbose status

commit 5ffa487f820e0b5372baaa4c0a918598d94817d5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 12:29:40 2018 +0200

    ifconfig: log newaddr ifname and address details

commit 3328743625069ccd6705cf387ebb429d619f09f2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 12:25:28 2018 +0200

    address: add a utility to print address details

commit 3d42b1d4798239fdec6f6b83b9d2548ee3482e75
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 10:08:55 2018 +0200

    address: cleanup cache-info lifetime usage

commit 8397f8ae5e5709300764704f778d7ce27e290e40
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 10:08:16 2018 +0200

    address: initialize cache-info lifetimes to infinite

commit 0cb80e3a16eacfa02075368499ba78731e6fc347
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 09:33:48 2018 +0200

    address: renamed ni_ipv6 to ni_address_cache_info

commit 47b5d0904f021c5b0c11f2cb32e9db2be5f6063c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 23 09:17:30 2018 +0200

    prefix: cleanup lifetime in ra event logging

commit ba6376fad2c250f648b373ef6e9e6939fe352101
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue May 22 17:10:01 2018 +0200

    address: add lifetime stringbuf print utility

commit 693542c2f53f20a6f62ca3b284723f842188d763
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue May 22 16:11:27 2018 +0200

    route: removed unused and wrong cache-info field

commit 3e30a48878c7dcb94e22fc7c7a7deca5d4216a5b
Merge: c6fb1333 215d6838
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed May 16 10:59:51 2018 +0200

    Merge pull request #749 from rtorrero/dhclient-broadcast
    
    dhcp4: add ifcfg option to request broadcast response from server

commit 215d683815a697abaafbadecaf03999637499ad6
Author: Rubén Torrero Marijnissen <rtorreromarijnissen@suse.com>
Date:   Thu May 10 13:08:53 2018 +0100

    dhcp4: expose broadcast response as DHCLIENT_BROADCAST in ifcfg files

commit a3a71ed115022b0183f1f49e66904d1acfde119b
Author: Mikhail Kasimov <mikhail.kasimov@gmail.com>
Date:   Sun May 13 02:57:51 2018 +0300

    man: wickedd.8: wickedd-auto4: fixed typo
    
    Fix typo in wickedd-auto4 description (#739)

commit 3c7b62ee0a45412163b3bcb26f217f2b8bf78104
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Apr 3 14:50:54 2018 +0200

    util: add bitfield isset and parse from/format to hex

commit 52f7b2dd4a25d25ee18bd735b6629883b307a8b9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 26 15:44:47 2018 +0200

    ethtool: fixed driver support map variable name

commit 64a4f1739af76da2a6c542e738a1c329c5edc1f4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 26 15:34:00 2018 +0200

    ethtool: fix comparison in uapi/linux/ethtool.h

commit f5abf5681de78bd98d2036d1dd5614b47bb5ef35
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Mar 26 15:24:59 2018 +0200

    linux: update uapi ethtool.h header to 4.14

commit dca09ec6007ccaedd348b8243985124a20411ae1
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Mar 23 16:32:18 2018 +0100

    version 0.6.47

commit 2daab5f878b15dacd25cc1fafb0e94c09f87e420
Merge: 54a8504c 4ad43d8a
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Mar 23 16:28:57 2018 +0100

    Merge pull request #746 from mtomaschewski/ib-setup
    
    ipoib: do not fail setup on mode or umcast set failure (bsc#1084462)

commit 54a8504c4db33a97c5c41ebe51e58735521b591c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 23 16:13:05 2018 +0100

    client: remove unused variable from show-xml

commit 0f06a5110113d1cc439ee5ec7a98a8c9dff9c191
Merge: 6bd60518 e8196360
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 23 16:11:13 2018 +0100

    Merge pull request #744 from rtorrero/showxml-filter
    
    client: fix show-xml to filter by interface name (issue #735,bsc#954758)

commit 4ad43d8a9c25e033e9a0233a3b053f25a37b1e31
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 23 13:58:30 2018 +0100

    ipoib: do not fail setup on mode or umcast set failure

commit e81963603da12284bbe57e48ac0b984e3a22c3ce
Author: Rubén Torrero Marijnissen <ruben.torrero@gmail.com>
Date:   Tue Mar 20 00:57:40 2018 +0000

    Add some missing _free calls to address potential memory leaks

commit 990ebee267499860a32a6aa9a9ae6f3d41a33b45
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 20 17:24:41 2018 +0100

    client: omit link-type check in policy matches
    
    This provides a hotfix for a bond reenslave issue with enabled
    fail_over_mac option, where the slave configs are also setting
    custom mac addresses (bsc#1083670).

commit 351623040d16a3e5b8292494097ac85357d00522
Author: Rubén Torrero Marijnissen <ruben.torrero@gmail.com>
Date:   Tue Mar 20 00:55:35 2018 +0000

    Change the DBus interface check for non-useful interfaces to use the NI_OBJECTMODEL_NAMESPACE constant

commit 6e39f2792e435bb83b7db7dbd9f9c1bcecfc6c7f
Author: Rubén Torrero Marijnissen <ruben.torrero@gmail.com>
Date:   Fri Mar 16 20:01:23 2018 +0000

    Implement missing feature to filter by netif on show-xml opt

commit ca46db000d1ba409ece672aed40d69ff4e602183
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Mar 16 16:13:05 2018 +0100

    version 0.6.46

commit d5cdf97c5dd3df72bfd3fbfb9b9843c0aeef3705
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 16 11:25:05 2018 +0100

    ifconfig: refresh state before link change/enslave

commit 1cc21a47200abed2445da6b27114949d1f2826c0
Merge: 4f35ae13 8f5b18e0
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Mar 16 09:34:41 2018 +0100

    Merge pull request #742 from mtomaschewski/bsc1085020
    
     ethtool: query priv-flags bitmap first (bsc#1085020)

commit 8f5b18e08f7ad8d30c4a0578095cfec759d8743e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 15 17:30:28 2018 +0100

    ethtool: query priv-flags bitmap first (bsc#1085020)
    
    The hns 2.0 driver (hns_enet_drv) reports 531 priv-flag
    names, even it does not support private flags at all but
    only test and statistic flags.

commit e06c8ac4cff4a26272b2dd2740348ae072e70d7a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 15 17:26:19 2018 +0100

    util: fix a memory leak in ni_var_array_free

commit 5d4f29dfb40e917c508e37f0692a574461607979
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 6 15:25:55 2018 +0100

    man: documented arp action in wicked(7) man page

commit 95126b9236623a48b457b7d796dc58167a993504
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 6 15:24:59 2018 +0100

    client: updated the wicked <action> usage

commit cb291a2a59823d47b6179f2d7134b9368a34600a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 6 15:24:13 2018 +0100

    client: refactor arp utility and add ping support

commit 79a46040f0bade98b30ed38e1c6303576fa8d8d8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 26 10:27:15 2018 +0100

    dbus: omit zero-length hwaddr data properties

commit 55bb056f65662262efe40179fc57a1ab96d7d159
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 26 08:21:30 2018 +0100

    version 0.6.45

commit 3ad52334829bddcba9a406ef82616e91ff5ea9dd
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 23 14:01:53 2018 +0100

    ifevent: fixed always true/false issues

commit 7c85ea2522b82be40a48453a8c729f5da7a32305
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 23 14:01:28 2018 +0100

    vxlan: fixed src port range self compare

commit 7d52f3b61930dbffd00ecf76cd5cb917276dbbc6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 23 12:53:40 2018 +0000

    dbus: fixed string format issues in error messages

commit e85a1aa92a27e2ef61f5b0934f02d594d215be1c
Merge: 71c5d9a4 a7ff3f5e
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Feb 15 21:17:22 2018 +0100

    Merge pull request #734 from mtomaschewski/ethtool-service-ibft
    
    ibft: no IP setup on bnx2x storage-only interfaces (bsc#1072343)

commit 71c5d9a42e8373aecc973c6f3dbef92aeb860829
Merge: 7e5b861c d2e11509
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Feb 15 14:31:13 2018 +0100

    Merge pull request #733 from mtomaschewski/ethtool-service
    
    ethtool: introduced a separate dbus service and utility

commit a7ff3f5e162c3c6b21ed1519b62c29a1c5628681
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Feb 7 12:33:55 2018 +0100

    ibft: no IPs on bnx2x storage-only interfaces (bsc#1072343)

commit d2e115091ec38d85a380b1feb11f9f9b69039368
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Feb 7 11:00:27 2018 +0100

    client: introduced wicked ethtool command

commit 865fc669c95c51876a20ac9c81e69c2ca315aca0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 5 11:36:39 2018 +0100

    ethtool: introduced a separate dbus service

commit d6bd66c11d152f2d4a57c8e92481609e185c9aa3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 5 11:01:37 2018 +0100

    fsm: disabled changeDevice call overloading

commit 7e5b861c3160adb0437f31ec08950bed52ea808f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 2 16:27:00 2018 +0100

    version 0.6.44

commit 209af1d82a9768cbc6e9a949ebafc880c9983928
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 2 14:43:25 2018 +0100

    utils: fixed and improved bitfield utilities

commit 3b1fed44b5f49153098f843e3bea92ae227a397b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Feb 1 15:01:28 2018 +0100

    spec: conditionally disable dhcp4 rfc4361 client-id
    
    Disable for sles12 and leap42 to preserve defaults,
    where it needs to be enabled via wicked-config(5).

commit 74e117a2797f49d53647d6f8b75c7392f8fd2dfc
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Feb 1 14:30:48 2018 +0100

    dhcp4: enable rfc4361 client-id for DHCPv4
    
    Enabled DHCPv4 to use the rfc4361 client-id on ethernet interfaces.
    When disabled via the --disable-dhcp4-rfc4361-cid configure option,
    ethernet type interfaces will use an tratidional RFC 2132 sect 9.14
    client id (01 type followed by the mac address) by default, the new
    rfc4361 client-id can be enabled as default or per interface in the
    wicked-config(5).
    The new rfc4361 client-id (ff type followed by dhcp6 iaid and duid)
    is mandated by infiniband RFC 4930 and required to update the A and
    AAAA (ipv4 and ipv6) DNS records in the same zone (e.g. ISC dhcp).

commit 55bf667acb2fcd17eb0f7a69c2e9accca7320f38
Merge: 55cebabb a578bc0c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Feb 1 13:09:21 2018 +0100

    Merge pull request #730 from nirmoy/1078245_fix_arputils
    
    client: fixed wicked arp utility command (bsc#1078245)

commit dc8fd3dbb02e574921490b9972d6148cc2a16871
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jan 31 15:33:29 2018 +0100

    autogen: removed -Wno-missing-field-initializers

commit a578bc0c82b1fd4ac8a53b4f256d12df8db08aeb
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Jan 30 13:33:47 2018 +0100

    arp: fix ni_do_arp declaration(bsc#1078245)
    
    was cause by 15e69c474b02971b63d5a177ba8bf364b2fc261c

commit 390690c3017b180e97938cd7ae4d733245eac03e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jan 8 15:17:27 2018 +0100

    cleanup: add mising/explicit field initializers

commit 0dcc3fbc0c296df85a4ac9736542a32e2264adf9
Merge: 0ba93e2a 151de2e7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jan 8 11:24:45 2018 +0100

    Merge pull request #728 from Conan-Kudo/fix-pkgconfig-file
    
    Fix wicked pkgconfig file to request libnl3 instead of libnl1

commit 0ba93e2a304f1ea7a22202e09a56944c9b0d510a
Merge: 8c7684dd 45aecd01
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jan 8 11:21:27 2018 +0100

    Merge pull request #727 from Conan-Kudo/fix-broken-dbus-set-error
    
    Add missing DBUS_ERROR_FAILED error type to dbus_set_error() call

commit 151de2e7449ef9af68233058cae1928d248c0702
Author: Neal Gompa <ngompa13@gmail.com>
Date:   Wed Dec 27 19:41:53 2017 -0500

    Fix wicked pkgconfig file to request libnl3 instead of libnl1
    
    When wicked switched from libnl1 to libnl3 in 4591b86fda9e5b1e9383eb7e1ee0190ee57f8a1e,
    the required changes to wicked.pc were not made. This meant that the
    modules requested to link against libwicked by external applications
    were wrong and would lead to broken builds.

commit 45aecd01a0ffda59fab3e94fadca37a418b74574
Author: Neal Gompa <ngompa13@gmail.com>
Date:   Tue Dec 26 22:55:00 2017 -0500

    Add missing DBUS_ERROR_FAILED error type to dbus_set_error() call
    
    I'm not sure how this call ever worked, since dbus_set_error() was
    missing necessary arguments to operate properly...

commit a6d3ba81a00fef238ae7fa60baf96b889ade5f17
Author: Neal Gompa <ngompa13@gmail.com>
Date:   Tue Dec 26 22:52:51 2017 -0500

    Enforce formatting input as string
    
    This was breaking the build of wicked in Fedora, which does
    -Werror=format-security in the default build flags.

commit b1864c1fcbedfd49ff55fb82b528ac86b0825317
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Dec 21 10:16:04 2017 +0100

    wickedd: explicitly unbind slaves on deletion
    
    When a master device is deleted, explicitly clear references
    pointing to it on slaves instead to let it perform by further
    event, which may arrive later than an attempt to enslave them
    into a new, recreated master device (with same name).

commit f4ff93f501889426c3d9e006d5459ae2ee113395
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Dec 16 02:15:43 2017 +0100

    version 0.6.43

commit 9a036e252074fbfe290dd6c8a9a21d30249c1259
Merge: 15ed220c f018665d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Dec 16 01:57:24 2017 +0100

    Merge pull request #724 from mtomaschewski/dhcp6-confirm
    
    dhcp6: reapply confirmed addresses on any status other to not-on-link

commit f018665d7c2ceca7c8a74b98baf576027e509a00
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Dec 7 14:56:00 2017 +0100

    dhcp: accept confirm status other than not-on-link

commit 01d48380a78a09a56e7dcaf3d67b299f65bf6647
Author: Nikola Pajkovsky <npajkovsky@suse.cz>
Date:   Thu Dec 14 10:53:12 2017 +0100

    ifconfig: set MTU even if device is up (bsc#1059292)
    
    wicked should not supplement what drivers in kernel are capable. That
    means, that if device is up, and is not capable set MTU on-fly, kernel
    returns error. This is driver problem, not wicked and should just
    print an error and continue.
    
    Signed-off-by: Nikola Pajkovsky <npajkovsky@suse.cz>

commit 9609b1aff0ff2bf389da695616d853483799c65c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Dec 7 10:57:42 2017 +0100

    dhcp6: verify lease type and family in recover

commit 8c6d29c5f0faa224c24a67109efdcf9f99363cfc
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Dec 6 18:14:00 2017 +0100

    dhcp6: update lease addrs from ia-list on confirm

commit c86b5eae0c143fbe227497117458f6177d02b3f5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Dec 5 19:47:32 2017 +0100

    dhcp6: expose utility to copy ia to lease addrs

commit 0892be7e73773fac5ae1b0f89048e57c17ccd75e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Dec 5 12:58:11 2017 +0100

    address: add helper function to set temporary flag

commit 165ddb1c720088f30ba0c35c5783979170afedc3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Dec 1 13:24:55 2017 +0100

    version 0.6.42

commit 6dc9bc4c95a4933ed9dbaca00f1c1378f18b0c16
Merge: f7ca1f19 e39eb322
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Dec 1 13:23:29 2017 +0100

    Merge pull request #722 from mtomaschewski/fillupdir
    
    spec: use new _fillupdir macro for fillup-templates (boo#1069468)

commit e39eb3222f915ca2535b180bdbc56179b10d22f7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Nov 28 13:17:11 2017 +0100

    spec: use new _fillupdir macro for fillup-templates

commit 9590d61a86cf5e0aecaef60a43376ba75d26b1f2
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 23 15:28:57 2017 +0100

    dhcp: clear hostname on lease recovery/reboot(bsc#1057007)
    
    ref:https://gitlab.suse.de/mtomaschewski/wicked/commit/7f7b696d1db281b4198f15f07ab3cabace0e25d5

commit 97485b89608b964345264cbdb2880388bceb97f6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 23 11:57:21 2017 +0100

    man: add FIREWALL and ZONE variables to ifcfg(5)

commit 51f60f3e9b65a634316fc256d6671949b415bc50
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 22 20:03:31 2017 +0100

    firewall: add firewalld zone support to extension

commit 5759ee6b951d892348444dc3f9af21a06c0d24d3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 22 17:34:52 2017 +0100

    client: parse FIREWALL and ZONE ifcfg variables

commit 89987b8529bff14db0e2e02e24dbfb6bd337bcc3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Nov 22 16:05:34 2017 +0100

    schema: cleanup example from firewall schema

commit c294fe06fb7aaf9a734f6dc3868fe6717a90bbc8
Merge: 6014f39d bb327fcf
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 9 14:21:06 2017 +0100

    Merge pull request #717 from mtomaschewski/slave-up-cleanup
    
    ifconfig: cleanup slaves before enslaving (bsc#1036675)

commit 4e88a3911ceee3cf0e719669eb93f15ff05f5dcf
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Sep 26 12:35:37 2017 +0200

    ethtool: handle each offload sflag separately

commit f4165573873253f35d3568b6caed7201c9331fe3
Author: Reinhard Max <reinhard@m4x.de>
Date:   Tue Jun 13 16:08:25 2017 +0200

    Implement new ethtool offload options: rxvlan, txvlan, ntuple and rxhash.

commit bb327fcf2be92f6e32c4d53c2359f2e939524359
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Aug 31 09:20:20 2017 +0200

    ifconfig: cleanup slaves before enslaving them

commit 9b73afd946b1f1bbc69b9c5412da0343b5cd5533
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Aug 1 18:56:46 2017 +0200

    ethtool: handle channels parameters (bsc#1043883)

commit 7c1a9184b235ad7a2ce49fb804d72facf43cb3ba
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Jul 28 14:34:06 2017 +0200

    version 0.6.41

commit 34f8b516d2e411bc12b3e20e426f5c4afea76499
Merge: 5a640304 cfb2ee27
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Jul 27 15:27:01 2017 +0200

    Merge pull request #714 from mtomaschewski/dhcp6-fixes-1
    
    dhcp6: fix to send up to 5 release retransmissions

commit 5a640304a8a9ff7c78a7f432e4bb3bdf4dc11b45
Merge: d11ef7de 71ca1d1e
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Jul 25 15:43:12 2017 +0200

    Merge pull request #712 from gjuroski/master
    
    ifconfig: do not stop adding routes on one bad route (bsc#1036619)

commit d11ef7ded48aefc667bd0e6d26844578b7748b23
Merge: 3d7ea72a 553893ad
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Jul 25 13:24:37 2017 +0200

    Merge pull request #711 from mtomaschewski/dhcp4-ib-cid
    
    dhcp4: fix to use rfc4361 client-id on infiniband (bsc#1022872)

commit cfb2ee27d0ff17f04c7d36f7abbfca4f04ba0c43
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jul 24 19:03:28 2017 +0200

    dhcp6: fix to send up to 5 release retransmissions

commit 553893ad8d810e2df2afb515a76c5a2141b91793
Author: Nirmoy Das <ndas@suse.de>
Date:   Mon Jul 24 14:02:20 2017 +0200

    man: updated dhcp6/default-duid in wicked-config(5)

commit 5e134dfd307f32beab7dc4c292217cda6627643d
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Jul 20 13:44:58 2017 +0200

    man: documented duid and iaid commands in wicked(8)

commit 11a64e2ebb94657b762d8e10b239b5f4e5e9ce26
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 14 13:37:26 2017 +0200

    man: document dhcp4/create-cid in wicked-config(5)

commit 680007419a1f74c560a320377d9ca6857e84a981
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jul 14 13:22:09 2017 +0200

    config: allow to disable sending a dhcp4 client-id

commit 15e69c474b02971b63d5a177ba8bf364b2fc261c
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Jun 22 15:38:43 2017 +0200

    client: add wicked iaid and duid map file utilities

commit d679b013372fbd1d91448ce0f2e16aface27aa1b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Jun 19 13:15:41 2017 +0200

    dhcp6: adopted to use new duid/iaid functions

commit 9796aac4b48b7264830f1f6f87e3970f283b4aa2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jun 14 09:41:15 2017 +0200

    lease: fixed to also read state from lease file

commit cfa84ddeb50ea75466657a263c933de56a60a932
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jun 14 12:24:14 2017 +0200

    dhcp4: use a dhcp6 based client-id when configured

commit 3a7c0f18a38b8e3ff737dc533728565d61033472
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jun 14 07:48:31 2017 +0200

    netinfo: const ref ptr in ni_netdev_ref_resolve

commit 1f973fc21392cfd3d3c138aba28356c1ba9451f9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 19 12:30:50 2017 +0200

    iaid: added iaid map file and creation utilities

commit fe8cc3f626149b0eb36cc7d132fc09b4453cd8a4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri May 19 12:24:22 2017 +0200

    duid: acquire utility to create and update map file

commit 386415a2fd39c0e6bee0e771e3f3efe542727407
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue May 16 17:19:32 2017 +0200

    config: extend default-duid, add dhcp4 create-cid

commit e62f42adcb260fd294495372f75d46f622d87fec
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue May 16 16:10:12 2017 +0200

    duid: introduce new duid map file access functions

commit 80e697c0eeefc8c66fd1cfc6d039a4088111c63a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 13 10:06:34 2017 +0200

    duid: add create utils from device and string args

commit 85812738392c72d707c8604727f8a021388cfdee
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 13 09:46:02 2017 +0200

    duid: add hwtype name map for supported types

commit da9fb3139707610125a9afb1766b9a43d23dd448
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 13 09:19:26 2017 +0200

    duid: moved well-known duid type structs to duid.h

commit dba29f5b02acac6d1337ceb2fe024173a3c8163d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Jun 13 09:19:02 2017 +0200

    duid: add map for well-known duid type names

commit e05c0b567b03461c4341838cfda75b6930b3ffc2
Author: Markos Chandras <mchandras@suse.de>
Date:   Mon Jul 17 11:24:06 2017 +0100

    man: ifcfg.5: Fix directory name for compatibility scripts
    
    The directory name is 'scripts' instead of 'script' so fix that.

commit 72559e81393cbc2a219577a79cc89a454fb5bb9e
Merge: b80af80f 9f0fdfcc
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Jul 14 16:54:26 2017 +0200

    Merge pull request #710 from mtomaschewski/dhcp-class-id-check
    
    dhcp4: own check for user class id strings (bsc#1045522)

commit 71ca1d1ecbbf46d3291a6406d0267ce592a30f61
Author: Zltko Gjuroski <zgjuroski@suse.de>
Date:   Fri Jul 14 11:09:42 2017 +0200

    Fix: wicked stopped adding routes if /etc/sysconfig/network/routes has a wrong route

commit 9f0fdfccc25ce5d533b018a10518c2fcfad0f52e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jun 28 08:24:57 2017 +0200

    dhcp4: own check for user class id strings (bsc#1045522)

commit 396e9895aa6ebdf9e26d85eb3d739a03e5e6df12
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 9 15:03:02 2017 +0200

    man: updated wicked-config(5) and ifcfg-dhcp(5)

commit 2b61590dcd80428d2290aae95ed9f05d908b2817
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 9 15:02:22 2017 +0200

    ifcfg: add DHCLIENT and DHCLIENT6_UPDATE variables

commit ff65de40a3dd30cc60689666911974ba4cff8dc7
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 9 13:25:04 2017 +0200

    dhcp6: create iaid when the lease request arrives
    
    creating iaid while initialization may run into a
    not yet assigned device mac address, e.g. on xen.

commit 15b48f28753a447c28f156b9e394fbaa0bd277f9
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 9 13:23:26 2017 +0200

    dhcp: cleanup configurable common allow-update flags

commit a2284ddf17ec085b95f442fdbccc4f5ef088b1d8
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jun 9 13:13:49 2017 +0200

    addrconf: split addrconf update flag parsing utility

commit bf7548e1a8680b8bebf28646530cc51d0c888fbd
Merge: ad4184e2 9ca307b9
Author: Nirmoy Das <ndas@suse.de>
Date:   Mon May 15 14:28:11 2017 +0200

    Merge pull request #707 from mtomaschewski/vxlan-2
    
    vxlan: convert ifcfg VXLAN_REMOTE_IP to remote-ip

commit 9ca307b91679bc46b1585a3322d753fcfd5225ac
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon May 15 13:51:50 2017 +0200

    vxlan: convert ifcfg VXLAN_REMOTE_IP to remote-ip

commit ad4184e28438ed709a5948a7de3e8f7a06b53d50
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu May 4 14:43:04 2017 +0200

    version 0.6.40

commit bdb2b4f20c5482b1becd524ec1b48639e6041c5e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Apr 28 14:04:36 2017 +0200

    fsm: clone bound config and cleanup references (bsc#1030053)
    
    Create full clone of config snippets we resolve and bind to method
    args as the binding/resolving is modifying them. Clear namespace
    attribute in resolved reference node so it does not confuse later.

commit 993496340e76a438fab47e6915da22d666ac0b15
Merge: 17383614 3494e4e5
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Apr 27 20:03:05 2017 +0200

    Merge pull request #703 from mtomaschewski/job_cleanup
    
    updater: fix orphaned bg jobs on device delete (bsc#1029133)

commit 17383614a82ab70fea0c7241ce23b9c3fd1e19a9
Merge: fedf94cd 960dccc4
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Apr 25 18:14:30 2017 +0200

    Merge pull request #701 from mtomaschewski/vxlan
    
    vxlan: initial support (boo#1026780)

commit 960dccc48332e1fcb54cc0c4fee3ad6a008b7f0a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 25 17:20:40 2017 +0200

    vxlan: added vxlan services to dbus config

commit 0ef9e0c8160dfb4e8411613d535ec41087370b59
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 25 16:48:27 2017 +0200

    vxlan: send id (vni) unconditionally

commit 3494e4e53be8b43d47d7f6b50a9b01c44ec8c524
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Apr 12 16:52:12 2017 +0200

    updater: fix orphaned bg jobs on device delete (bsc#1029133)
    
    Decouple to not leave orphaned system updater background jobs,
    which blocked job processing, when a device object is deleted
    and the reference through device, lease, update gets cleared.

commit 5c84b6495cde95b2342dcc58359d726017a1c4d6
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 11 12:03:57 2017 +0200

    spec: added ifcfg-vxlan(5) man page to file list

commit 270161061a324c278136783d9437311ae6e98b30
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Apr 10 14:53:55 2017 +0200

    dhcp6: use the lease parameter, not dev->lease

commit 4164b1d51951c37d5f54fbacb2e10ec9fec89702
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 4 12:38:11 2017 +0200

    schema: added ageing and max-address properties

commit 328814a1ea430f9b75dfbba69d651ae7b808aaea
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 4 12:27:02 2017 +0200

    man: documented suse ifcfg vxvlan variables

commit 1767e5d42f9a47064ad78e20e510e53e6c31f220
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Apr 4 08:26:29 2017 +0200

    ifcfg: add suse ifcfg vxlan support

commit 348dd08e995e19392904443f67be7ef425204803
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Apr 1 01:11:27 2017 +0200

    vxlan: add schema and dbus service objectmodels

commit 0111ad270e5a00fbb1598dd276a9e90b694af73c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Sat Apr 1 01:10:49 2017 +0200

    ifconfig: send vxlan properties via netlink

commit f041f4789a72db22ee6fe0a0efd5d140f0968404
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 8 13:11:00 2017 +0100

    vxlan: parse vxlan netlink options on newlink

commit 23b5a46e74a3cf99e468495b8754bed48794c770
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 8 13:06:05 2017 +0100

    vxlan: added initial vxlan structure and utils

commit 6143ece59cfe8f48eee4185290cf911d88499e88
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Mar 8 13:05:05 2017 +0100

    util: ipv4 multicast socket address test utility

commit 17581296d4eeb097752a4ba4e089404ca6dd8eb5
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 7 13:08:19 2017 +0100

    vxlan: added interface type

commit ddb842b78ef5d7f9244d45e50a39c7858be65a58
Merge: 6cadb353 597729a0
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Mar 31 17:29:40 2017 +0200

    Merge pull request #700 from mtomaschewski/fqdn
    
    dhcp: correct and complete the fqdn support (bsc#1025757)

commit 6cadb3530fb86039692da4ec753fd3520e3f9cb2
Merge: e53b1579 25853a6f
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Mar 31 17:27:44 2017 +0200

    Merge pull request #699 from mtomaschewski/pri-reselect
    
    bonding: properly send primary reselect as U8 (bsc#1027231)

commit 597729a0dd6dbbca3fe27cc1e7d75c2aca597828
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Mar 30 12:05:28 2017 +0200

    man: added fqdn variables to ifcfg-dhcp(5)

commit 32ecd1866aeadf95216fda1954ec3ef8a4fc6c18
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 15:16:14 2017 +0100

    ifcfg: added sysconfig.dhcp-wicked fillup template

commit 25853a6ffccb9e187623b1a446515eb5cd45c31c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Mar 28 10:39:33 2017 +0200

    bonding: properly send primary reselect as U8

commit 975d858b3656753fa040ab092a87ac569dee33c2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 15:15:36 2017 +0100

    ifcfg: read dhcp fqdn variables from suse ifcfg

commit 0aa6cd53bbf7c3eda7a35148fc939e80c7814f1e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 15:03:20 2017 +0100

    dhcp6: replace old with a complete fqdn support

commit 28dbf0505d57f24f6d4707ad8f2f18d4d2aca362
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 14:58:50 2017 +0100

    dhcp4: replace old with a complete fqdn support

commit 714e06521ad1032533f1c2856b3a9e96d1c56b22
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 14:51:43 2017 +0100

    dhcp6: add fqdn settings to the client request

commit 59db3a3d863618210a270d779cb2387404e0de26
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 14:45:17 2017 +0100

    dhcp4: add fqdn settings to the client request

commit 0c84f5f76641c398221976c84c1ab4f01c693a2a
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 14:34:08 2017 +0100

    addrconf: common dhcp fqdn flags and lease data

commit b3d08f2dcdf75106300d669b5f1cfe78720ec193
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 14:30:48 2017 +0100

    dhcp: common utils to decode/encode a dns domain
    
    Using canonical wire format specified in RFC1035 Section 3.1,
    without explicit terminating null label as required for DHCP
    FQDN options in RFC4702 Section 2.3 and RFC 4704 Section-4.2
    to send relative domain names.

commit 762086918de4afd4827f1375ed10cbd325cb7908
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Mar 24 14:28:19 2017 +0100

    utils: fix qualified length in domain name check

commit 8e3cb84e6ac0c6fe83283acdfe9cdb021d0a9695
Author: Yadan Fan <ydfan@suse.com>
Date:   Thu Mar 16 12:15:36 2017 +0800

    dbus: change caller-uid timeout to 15sec (bsc#1026683)

commit 043809a68f82933b3af89f66ec8151d1d82687e1
Merge: 9ea72941 f3b2e536
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 20 18:50:17 2017 +0100

    Merge pull request #697 from nirmoy/coalese_5
    
    ethtool: add missed coalesce sample-interval

commit f3b2e5366b8d7d93f1272ef85e4b6900a20b286d
Author: Nirmoy Das <ndas@suse.de>
Date:   Mon Feb 20 18:39:26 2017 +0100

    ethtool: add missed coalesce sample-interval

commit 63537c104cf0e5b844b0083a260557714dab7f43
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 20 18:25:53 2017 +0100

    compat: format ethtool eee advertise as hex number

commit a0e94c58d76ac90698f330edb505acb574750127
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 20 18:12:52 2017 +0100

    ethtool: use a bitmask constraint in eee values

commit 296c87b43b3aeb23e157ca926239cd331fea130f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 20 18:12:21 2017 +0100

    dbus: add a bitmask constraint to uint schema

commit 671d4332b8a9aa16988495f9fc27fca05b691882
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Feb 20 11:34:56 2017 +0100

    ethtool: handle eee parameters (bsc#1007909)

commit 874e8dbd91dae2b60ea399a96cd67ff7318eaffb
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 17 18:45:09 2017 +0100

    ethtool: added missed adaptive-rx/tx, some cleanup

commit ba79ca23b2306d460c6e8e7590339bf809b8bbf6
Merge: 329c74bf 9c15f3f0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Feb 17 18:15:52 2017 +0100

    Merge pull request #693 from nirmoy/coalese_3
    
    ethtool: handle coalesce parameters (bsc#1007909,gh#openSUSE/wicked#685)

commit 9c15f3f0631a3d20f8ec23d7557596057e2a1c50
Author: Nirmoy Das <ndas@suse.de>
Date:   Wed Jan 18 16:55:42 2017 +0100

    ethtool: handle coalesce parameters (bsc#1007909,gh#openSUSE/wicked#685)

commit 329c74bfed5dc6f9e5bfa849e410fd7c4235be85
Merge: ead227e1 3a0fde1b
Author: Nirmoy Das <ndas@suse.de>
Date:   Mon Jan 30 12:04:17 2017 +0100

    Merge pull request #692 from mtomaschewski/bond-xmit-policy
    
    bond: fix xmit-hash-policy mismatch (bsc#1021914)

commit 3a0fde1bd25d46b23324a6452085085bd0452d7e
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jan 25 16:26:17 2017 +0100

    bond: fix xmit-hash-policy mismatch (bsc#1021914)

commit ead227e1a3b436252463152687ce3af211f0346f
Merge: 1e8d157e 9e66f664
Author: Nirmoy Das <ndas@suse.de>
Date:   Wed Jan 18 16:48:48 2017 +0100

    Merge pull request #688 from mtomaschewski/bsc-1009801
    
    ifconfig: avoid timeouts on large number of IPs (bsc#1009801)

commit 9e66f664b7bbdebc82c3c8f34a275a8c3444e6b3
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Jan 18 16:09:02 2017 +0100

    ifconfig: don't send tentative/dadfailed flags

commit f2aa191dabb87f9f339f28057d0d2a0cc1497920
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jan 13 12:45:54 2017 +0100

    ifconfig: fix ipv4 address label change compare

commit 1c6256368b89b4c469df721b4080b290a3d87942
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jan 13 12:45:26 2017 +0100

    ifconfig: compare once if address needs a change

commit 6ef6194c7d1233ee6227da5546dd4e0d91b44535
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jan 13 12:42:29 2017 +0100

    ifconfig: set, verify/notify ipv4 addresses in chunks

commit 62adb4dd5957da606f04a1f0281de30355dc992c
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Jan 13 12:39:43 2017 +0100

    arp: added ipv4 address verify/notify utilities

commit 3b19055df7fb4c1dcd29f04a317ba8df5a789069
Author: Nirmoy Das <ndas@suse.de>
Date:   Fri Jan 13 11:09:41 2017 +0100

    ethtool: permit zero ring parameters

commit 55f5f718cd9e41a20d18e7b3bc3e71a25bbcf661
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Jan 12 13:15:51 2017 +0100

    ethtool: handle ring parameters (bsc#1007909,gh#openSUSE/wicked#685)

commit 28a7fd7702a8be91dad11a076f8ecbd7fcb3b18b
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Dec 7 13:40:22 2016 +0100

    address: moved address functions to address.h

commit 09d3b95a609aec25cedb00b215f9e25681e92aa2
Author: Marius Tomaschewski <mt@suse.de>
Date:   Wed Dec 7 11:40:00 2016 +0100

    address: add reference counting and array utils

commit d7b07e3e7e65c7ae1ba31e6907e3f2f718470d5d
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 18 12:24:19 2016 +0100

    version 0.6.39

commit 0a459cb5ac18eddf46b84ca259ff665af1a39964
Merge: e3d8a499 9db26d33
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 17 16:31:35 2016 +0100

    Merge pull request #680 from mtomaschewski/dhcp6-auto
    
    dhcp6: fix refresh on newprefix workaround (boo#972471)

commit e3d8a4997aef0b729bedb7c18c96cd48c245e05c
Merge: 9341aacf bbd962a1
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 17 16:31:16 2016 +0100

    Merge pull request #679 from mtomaschewski/dhcp-sender-mac
    
    dhcp4: add sender hw-address to lease if available (issue#663)

commit 9341aacfbce42ee2f1dbc65ca595b5f17be94ef3
Merge: b4de08eb e056dbd2
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 17 16:30:59 2016 +0100

    Merge pull request #678 from mtomaschewski/dhcp4-nitpick
    
    dhcp4: ignore invalid options, do not nitpick (issue#671)

commit b4de08eba3c45a1784d52257ed1b41eb92e25e36
Merge: 8b60d8a8 ac6fed0e
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 17 16:30:37 2016 +0100

    Merge pull request #677 from mtomaschewski/addr-scope
    
    model: fix to consider address scope (bsc#988794)

commit 8b60d8a8e78f17245e7e5623eed4ec6ca0c84d8c
Merge: d5917d38 e5df5e7b
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 17 16:30:20 2016 +0100

    Merge pull request #676 from mtomaschewski/bond-primary
    
    bonding: track and set primary on enslave (bsc#998413)

commit d5917d38599c45a548ddda318615edfb673c81c9
Merge: 593b7154 b33cbdee
Author: Nirmoy Das <ndas@suse.de>
Date:   Thu Nov 17 16:30:05 2016 +0100

    Merge pull request #675 from mtomaschewski/dhcp-custom-opts-3
    
    dhcp: support to define and request custom options (bsc#988954)

commit b33cbdeea9b9702b598b537830f1e2ac3335052f
Author: Marius Tomaschewski <mt@suse.de>
Date:   Thu Nov 17 14:45:27 2016 +0100

    man: documented custom options in wicked-config(5)

commit bd2c85ef9c9216d551a5d90995784ee2dc85b6ec
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Nov 8 12:37:53 2016 +0100

    dhcp: fix to initialize type in option declarations

commit 8687e4436bdde6cdc7f17dd357753e8bef312faf
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 18:19:28 2016 +0100

    compat: enable to request options by name in suse ifcfg

commit 1e79b64868937191f4d7c654aef0fde6c98e0be0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 18:17:51 2016 +0100

    leaseinfo: format shell parsable custom options

commit 5ebb262181d25c162539451b9a4ffa5fd4dba689
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 18:15:38 2016 +0100

    lease: parse and format custom option types

commit f620662cb11b7325f512417a65e2097f3386a6f4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 18:12:08 2016 +0100

    lease: add device name context to lease functions

commit cdb7108f12315092b3373bb47b9f9c8a030524a4
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 18:01:28 2016 +0100

    dhcp6: enable to request custom options by name

commit c0bc65c3767e593cf2ffd8bd7dab05ce9d0b2579
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 17:59:05 2016 +0100

    dhcp4: enable to request custom options by name

commit 05bfd978b079cd6fa3a2e1fd49500f8943ac18a1
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 17:35:22 2016 +0100

    dhcp: parse custom option types in config/addrconf

commit 4f5a0605317a83eae3eabc204b7d2175fc1152f0
Author: Marius Tomaschewski <mt@suse.de>
Date:   Fri Nov 4 17:29:43 2016 +0100

    dhcp: utils to parse and format custom option types

commit 593b71548a2a1eff64b6d60b32288e1d4ae0ab21
Merge: bb47f04e 527f5691
Author: Nirmoy Das <ndas@suse.de>
Date:   Tue Nov 15 16:25:39 2016 +0100

    Merge pull request #674 from mtomaschewski/ifdown-skip
    
    ifdown: show reasons to skip an action (bsc#997027)

commit 527f5691421c16f44b7910032e083a65a94478ef
Author: Marius Tomaschewski <mt@suse.de>
Date:   Tue Nov 15 16:09:19 2016 +0100

    ifdown: show reasons to skip an action (bsc#997027)
    
    Use (not visible) info log level in ifup/down/reload all,
    but increase to notice log level on requests for specific
    interfaces, e.g. ifdown eth0.

commit 9db26d33a36135e8124b62fe0fa81b1a22e68014
Author: Marius Tomaschewski <mt@suse.de>
Date:   Mon Nov 14 11:24:15 2016 +0100

    dhcp6: fix refresh on newprefix workaround (boo#972471)
    
    As a workaround for a missed NEWLINK on IPv6 RA changes when RA times
    are set to 0 (unspecified) by the router (bug 975020), we refresh the
